commit 1077c4ba2e2dbe249884e6974c6050db8eb5e9c2
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Feb 1 16:14:26 2017 +0100

    Translation files updated.

commit 79fc6552b8b6510e3ca61ac871ca617c663909ef
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Feb 1 16:12:49 2017 +0100

    Added newline into tooltip PREFERENCES_OUTDIRTEMPLATEHINT

commit 968d991d97fc2c7d57712d7cd860c077be712ab9
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Jan 31 20:47:18 2017 +0100

    Fix call to `abs()` with `unsigned int` (fixes #3339, #3652)

commit 601a05a402e0a1d48d4ed514edb320d631437e48
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Tue Jan 31 10:28:44 2017 +0100

    Removed "std=c++11" from release notes.

commit 9ce41d8e91958cc78fffdd81a095c4e1f4e65e68
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Jan 31 00:22:54 2017 +0100

    Fix deprecated Glib::RecMutex on Windows + remove useless GThreadEnter
    
    (no issue)

commit ebace9dd0ff21278657c7a4108468f61b65bc04b
Merge: 3809a15d 06c820ea
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Jan 30 23:17:28 2017 +0100

    Merge pull request #3648 from Beep6581/versionfix2
    
    Revision of CMake and related files to support meaningful git versions within our extensive use of branches and development builds. #3628

commit 06c820ea8ab15a8d7e2254c6eaa5895d029fd0b2
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Mon Jan 30 23:11:14 2017 +0100

    Release notes Package Maintainers section updated.

commit 03919242b1407dbc36ba5587b85f90b5c2300734
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Mon Jan 30 22:50:21 2017 +0100

    Consistency between generateReleaseInfo and UpdateInfo.cmake

commit 139df58adeb46792500dc2f283731d334177a919
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Jan 30 22:47:27 2017 +0100

    Unimportant typo fixed

commit bc19897bc782cbee7994a1eaa3769de834a8f1e1
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Jan 30 01:32:36 2017 +0100

    Changed AppId value for InnoSetup installer (#3628)

commit f1e253b176139ed83db4348a018e665adb1206b5
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 29 20:53:03 2017 +0100

    Git version fix for macOS files.

commit 3809a15d98836c91db66135562ffccf00ab26a7f
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sat Jan 28 22:52:56 2017 +0100

    Updated splash screen SVG + PNG.

commit 52dca96723965e6a8f954c29ef156a6cf5da23b1
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 28 22:39:50 2017 +0100

    Bigfix of InnoSetup parameters (#3628)

commit 2356af62465b3b9fe99bd5a89b91e9fbb8c89a83
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 28 03:03:15 2017 +0100

    Bugfix of paths in UpdateInfo.cmake

commit cded30dcbbdad0b7976b78a323395cabf3d28b5e
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sat Jan 28 02:32:31 2017 +0100

    Fix previous commit: Update old name.

commit 77d5f8779bf183080a837a709ad6d9c2b1e34569
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sat Jan 28 02:29:22 2017 +0100

    Cleaned up CMake logic thanks to Hombre, #3628

commit e5c00f0a9d18ea9741f1ba4963178fc4adce9bc2
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 25 00:18:52 2017 +0100

    Complete revision to how RawTherapee's version is handled in CMake and in other files, #3628

commit 7fd699955bd443f7e49e71add10f1f0858698588
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Jan 23 21:04:04 2017 +0100

    Syntax correction in French strings

commit 9fbbb052eefb739753f0f3d631e45694d659610a
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 22:19:13 2017 +0100

    Moved rt_splash_5.png/svg into rtdata/images

commit 20e3f89abe3e52ceecafe3e793208367b55fd935
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 21:39:45 2017 +0100

    Final translation file updates.

commit 1f2a2542fe0e0daca8e40febe603cf903a33c2b6
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 21:20:10 2017 +0100

    RT5 release notes and other text file updates.

commit b3ec3694bee9031f0c469488bcbc795cfafa6df3
Merge: 3f62b147 4649e130
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Jan 22 19:54:29 2017 +0100

    Merge pull request #3621 from Beep6581/fix_3619
    
    Fix #3619 and some minor clean-ups

commit 4649e1306f537363bc6fd71c2832e202d414b1d1
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jan 22 19:28:46 2017 +0100

    Fix #3619 and some minor clean-ups

commit 3f62b147035de421bd246dc4a1977d1999f45bbc
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Jan 22 18:06:32 2017 +0100

    Small bugfix in rtgui/retinex.cc, no issue

commit 250cdd40d7ed3305400ee8e8905fa23c067aaac1
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Jan 22 18:06:01 2017 +0100

    Removing useless strings in French translation

commit 059594c1999ed437903f76892a22ea6b126e4de5
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 17:29:20 2017 +0100

    Added Canon EOS 7D Mark II daylight DCP, no issue.

commit 25203fa6ef3d555dc1e11ae6b3752624d30d49cb
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 17:18:18 2017 +0100

    Added Canon EOS 7D daylight DCP, no issue.

commit ebcb1de0ee9616a5937eee392571db095a248ecc
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 17:16:11 2017 +0100

    Added Canon EOS 50D daylight DCP, no issue.

commit 504307bd770efbfe62099944389508169ff8dbab
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 17:09:28 2017 +0100

    Added Canon EOS 40D daylight DCP, no issue.

commit 6659e70a6c1d0bcddd209a6d489abe83eccf47bf
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 17:05:11 2017 +0100

    Added Canon EOS 20D daylight DCP, no issue.

commit 9570d0752d7ab0000230a46765839c31e328cc42
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 16:55:25 2017 +0100

    Added SONY SLT-A99V daylight DCP, no issue.

commit ddc05d8ac80c24909967a319ebd4aafdb6176b83
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 16:42:53 2017 +0100

    Minimum crop size 1x1, closes #3619, closes #3620

commit 3de8b6f6fc5540243d70cf3d80e8e486e1b07e86
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 14:08:45 2017 +0100

    Updated FUJIFILM X-Pro2 dual-illuminant DCP, closes #3269

commit 74c7cc647fdaf60285a13af955a72626d1648206
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 12:41:23 2017 +0100

    Added NIKON D810 D65 WL=15700 DCP, https://discuss.pixls.us/t/last-call-for-color-target-shots-for-inclusion-in-rawtherapee-5/3080/35

commit 58abd53feb4bf84570f83584d732990d946d6ec7
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 22 12:39:29 2017 +0100

    Added NIKON D600 dual-illuminant DCP, https://discuss.pixls.us/t/last-call-for-color-target-shots-for-inclusion-in-rawtherapee-5/3080/38

commit d70efb075348415380e6d1e317fbebfec3b5e2d8
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 21 16:45:02 2017 +0100

    Better translation of DCP's LUT in French

commit de98047ae2346d47b6121894c3086c8cb16742c9
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 21 16:41:59 2017 +0100

    Solving issue #3506 (bugfix from mmmtok)

commit 8e1392429dc7219ec0bd7b2637ce2c327097b80d
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 21 02:33:39 2017 +0100

    Updated French strings (yes, again...)

commit 75138356f1fb9ba7567f7d1aa01479c6d316925e
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 21 02:26:58 2017 +0100

    Updated French strings + bugfix in rtgui/retinex.cc (no issue)

commit f25e161d16d942d09cda27e94b2f80ab2f93783f
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Jan 20 21:19:55 2017 +0100

    Clean-ups for #3616

commit 62451f471f925ae39f215cc4e0a89a3059cae8ef
Author: FelixJongleur42 <flo@fkolbe.de>
Date:   Thu Jan 19 22:22:49 2017 +0100

    issue 3598 and 2289 - util functions to determine file types by ending

commit c94e017d90a0cc83273e80b213652a656ea6fa3b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jan 20 20:52:47 2017 +0100

    Segfault when selecting GIMP installation directory in Preferences (Windows), fixes #3534

commit f2fff3fc8b764b06e991bafdec4bae2967f19c77
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 19 22:38:35 2017 +0100

    Added new NIKON D750.dcp, #3615

commit dcf5e4f6a9cd54c873967a655f39c6856c3f09a5
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 19 22:35:16 2017 +0100

    Removed NIKON D750.dcp and Nikon D750.dcp, #3615

commit a33d574bc72dd74ead2f9c12f2f2041ecb926f79
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jan 19 17:05:16 2017 +0100

    dummy commit to fix broken repository

commit 1280ddd66227d41dca9edf22bf6c5a40fda040e8
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 19 00:49:41 2017 +0100

    Removed "rtdata/dcpprofiles/PENTAX K-1.dcp" as it had an incorrect filename and was replaced by a better DCamProf 1.0.4 version "RICOH PENTAX K-1.dcp"

commit a14e48ba9304401ed240a8f322a765aee8315ebf
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 19 00:40:36 2017 +0100

    Added RICOH PENTAX K-1 dual-illuminant DCP, no issue, raw files from Hombre

commit 7a884ba47836197033f24b1f7c8b90571d1ee564
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 19 00:23:07 2017 +0100

    Added NIKON D750 and YI TECHNOLOGY M1 daylight DCPs, dual-illuminant to follow, https://discuss.pixls.us/t/last-call-for-color-target-shots-for-inclusion-in-rawtherapee-5/3080/12

commit 47bd4102c943a3b657a0c40d547b499252fae188
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 18 21:58:56 2017 +0100

    Added PENTAX K-1 dual-illuminant DCP from Hombre

commit 12e673e6b081d7070af93db78aa3b6dcc1cf40cf
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 18 21:47:04 2017 +0100

    Added OLYMPUS E-M10 DCP from https://discuss.pixls.us/t/last-call-for-color-target-shots-for-inclusion-in-rawtherapee-5/3080/10

commit 3744c8ed5fd33ceb7d60d0d17e26bd32a957ff1d
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 18 21:42:29 2017 +0100

    Added FUJIFILM X-Pro2 DCP, #3269

commit 7a8cd68f30a25070d22d42ba1dfe7621589451ac
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 18 14:17:55 2017 +0100

    External editor polished and implements ShellExecute, closes #3522

commit e1f29fc11477b806bb764c3730bda7bb40c2bfdc
Merge: 8fd4090f fe785253
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Jan 18 11:38:48 2017 +0100

    Merge pull request #3606 from mkyral/czech_translation
    
    Update Czech Translation

commit 8fd4090f2f7d9a4db86b75bc6745b669cc6449c3
Merge: dd7d69f8 bfc81386
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Jan 18 11:34:25 2017 +0100

    Merge pull request #3609 from Beep6581/dcp-regenerated
    
    Generated new DCP input profiles using dcamprof 1.0.4

commit bfc81386f1ec9d3c5ff4798c7bd5ad8eb48b012d
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sun Jan 15 23:32:01 2017 +0100

    Generated new DCP input profiles using dcamprof 1.0.4 for:
    - Canon EOS 6D
    - Canon PowerShot G7 X
    - Canon PowerShot S110
    - FUJIFILM X100T
    - FUJIFILM X-T1
    - NIKON D7200
    - PENTAX K10D
    - PENTAX K-5
    - PENTAX K-5 II
    - RICOH PENTAX K-3
    - SONY ILCE-7M2
    - SONY ILCE-6000

commit dd7d69f86967a0157c1e3c226d2fe01d0a226061
Merge: 7a98d1c6 a7998561
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Sun Jan 15 18:42:39 2017 +0100

    Merge pull request #3608 from Beep6581/dcp-batch-editing
    
    Fix issue #3590

commit a7998561e481348e9520d23863a891f4486269d8
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Jan 14 21:10:16 2017 +0100

    Fix issue 3590

commit fe7852532b4a2f279fd00d86b3c65a2c5de3ca4d
Author: Marián Kyral <mkyral@email.cz>
Date:   Thu Jan 12 20:25:22 2017 +0100

    Update Czech Translation

commit 7a98d1c6130950ab444151f796829231023294d2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jan 11 16:48:31 2017 +0100

    Build on Linux broken due DCP profile filename typo, fixes #3603

commit cef9b7fe2b35730314f0b066086f63ea4c171df7
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jan 10 22:20:23 2017 +0100

    Pentax K1 file in APS-C mode has wrong raw crop, fixes #3519

commit f203f284d6e15de4a2a12f8788d6e09eb6287334
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jan 9 16:19:19 2017 +0100

    Limited exif user comment to 65535 chars

commit 1998e2c6d2c7bb16850e0c7871dc83f12a96d936
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jan 9 15:34:18 2017 +0100

    Crash when opening JPEG file with corrupted metadata, fixes #3602

commit 1c3b3687f89f14fd99848f4cebbde5b47fe7a02c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jan 9 14:31:49 2017 +0100

    Crash on reading floating point demosaiced DNG files, fixes #3600

commit d54a6bcc8cf89f32ec4999272a830ab6bb1a2f32
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jan 8 20:44:38 2017 +0100

    Revert "Crash on reading floating point demosaiced DNG files, fixes #3600"
    
    This reverts commit 32f3aaab733e771d81beccf8f2ce9d2c63f12f45.

commit 32f3aaab733e771d81beccf8f2ce9d2c63f12f45
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jan 8 18:44:55 2017 +0100

    Crash on reading floating point demosaiced DNG files, fixes #3600

commit c02ca5089b6ef27154f05a5d193023e5e548b1e0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jan 7 23:06:57 2017 +0100

    When opening a folder with a lot of files (about 1000) progress bar in rt and tab label of filebrowser (percentage) are not updated frequently, fixes #3592

commit 2f1da199bd4b7108fced583530b85c0152e5d6de
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jan 7 23:02:30 2017 +0100

    Segfault when opening a folder which contains a 13229 x 57812 jpeg, fixes #3599

commit a61db56826aace6e0e1f37b1d0d63a5bb8566ed5
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sat Jan 7 14:10:56 2017 +0100

    Deutsch translation updated by TooWaBoo, closes #3596

commit 414f28e806cde1bcdbfee3e8d600d909e94e2235
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Jan 7 11:51:22 2017 +0100

    Guard `processor` in `editorpanel.cc` (#3578)

commit a7b670dc27cb50e844249b207da66090adaaf659
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Jan 6 17:04:25 2017 +0100

    Prevent TravisCI spamming join/part in IRC.

commit 32b154ecc8437974d682db38b2d26bba50ca6b5b
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Jan 6 17:02:10 2017 +0100

    Update language strings after merge with IPTC Core 1.2 changes, #3581

commit 8459229f96b04644ff04360cf3fae373d40c44a9
Merge: c99bd6d2 55dbec9c
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Fri Jan 6 16:45:57 2017 +0100

    Merge pull request #3582 from Beep6581/iptc12
    
    IPTC strings updated to version 1.2

commit c99bd6d211b457f194fd44bf48aeb50c0b31a29f
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Jan 6 16:44:58 2017 +0100

    macOS fix from #3589

commit d19fca2b5fafd4455e02b2fa7eee16adc046a109
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Jan 6 16:37:40 2017 +0100

    Translation updates

commit 4eb123c4722ba445124ee68d17b901bdf01065f0
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Fri Jan 6 15:56:44 2017 +0100

    Turn icon buttons into label buttons, language strings updated. #3571 (#3580)

commit 5516bbfc6839df413d6d4d85af7c9d142dc4b2b2
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Jan 6 15:36:32 2017 +0100

    Updated SONY ILCE-6000.dcp, closes #3220

commit dc55eae4164f93d04f281f5b8f54036f184f8b39
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Thu Jan 5 02:06:47 2017 +0100

    Deutsch updated by TooWaBoo, closes #3584

commit 55dbec9cf0a483a63c6099811d366bc3c800bb10
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 4 23:47:26 2017 +0100

    String change in light of libiptcdata being stuck in 2009, #3581

commit 14361da559b495ed99c74b56fd9541948a6ce427
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 4 23:23:25 2017 +0100

    Updated IPTC panel language strings to IPTC Core 1.2.

commit d654a7a21bd503d4333d821c9bb85d6f0833abcd
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Jan 4 21:59:12 2017 +0100

    Fixed wrong tooltip in IPTC panel, fixes #3569

commit 6a1ccb9b152e2feaa1ebac75a2c6cf6f8a673168
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Jan 2 02:51:54 2017 +0100

    Bugfix backported from gtk3 branch, related to OSX printer profile

commit d29a94c2a7f8305326b551b3f8eba47f73261e67
Merge: 8c22465d e9df621d
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Sun Jan 1 23:12:28 2017 +0100

    Merge pull request #3563 from Beep6581/printer-profile
    
    Printer profile added in Preferences for soft-proofing

commit 8c22465d9193dcc727430b3e122d5cb9d3877eba
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Jan 1 15:28:54 2017 +0100

    Revamped IPTC tab (issue #3554)

commit e9df621d4b035298be436a44dab7e23fa6d77895
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Jan 1 02:03:44 2017 +0100

    Updated strings + Image preview now updates on changes in Preferences
    
    ... regarding Printer profile, intent or BPC

commit 6f33c1af74158a73bf14f8924ad44c08d6cb7856
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Sat Dec 31 12:32:47 2016 +0100

    Deutsch update by TooWaBoo, closes #3561

commit 3e43167467bb859aaadf4a4c10bfafcc26776705
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Fri Dec 30 16:58:43 2016 +0100

    Swedish update by mks9000, closes #3564

commit 8d52510381ec796808d3ff2d703cf8d50377f723
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Dec 30 16:11:21 2016 +0100

    RawTherapee crashed after opening linear DNG from Sigma SD H Quattro camera in editor. fixes #3559

commit 23863acecac898e3e6773e70dfeb1aeeee8bdd75
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Dec 30 03:59:18 2016 +0100

    Printer profile added in Preferences for soft-proofing
    
    The output profiles now retain only 'Display' device class as well as
    the Monitor profile - and they both have to have rgb color space, the
    printer profile retain only 'Output' device class.
    
    MacOS can use soft-proofing but due to undocumented feature of OSX, and
    since Cairo assume that the image data are sRGB, the monitor profile is
    forced to 'RT_sRGB'. A warning message replace the combobox for this OS.

commit cc8dae26ff6b81d810fd954828b65ff380652fff
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Tue Dec 27 22:06:58 2016 +0100

    camconst.json updates by IliasG #3298 2016-12-26

commit 95f0d67dfe0422e71fb97048e451c7e5062d182c
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Dec 27 14:31:55 2016 +0100

    Fix issue #3532 + a memory leak

commit c90b70199917893097eb6c60fea80f2e771c5137
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Dec 25 23:55:45 2016 +0100

    Backporting patch from issue #3446
    
    This commit change the way that the Curve buttons and Accompanying
    object expands, and fix the alignment of the WB's buttons.

commit 0b66f64a3bf539cc3d311c964509d6efa082a7c6
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Dec 25 20:32:13 2016 +0100

    JPEG IJG add missing README, #3549 (#3555)
    
    * Move IJG jpeg file into own folder, include missing README, #3549
    
    * Forgot to add README

commit 138d531edca4dc2478004a96cdc000691b47d06d
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Dec 22 18:23:25 2016 +0100

    Fix off-by-(-1) in checkRawImageThumb() (#3553)
    
    Kudos to @heckflosse!

commit 829ffc7e72671bad629a5593dcf6897719d9daa0
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Tue Dec 20 21:52:54 2016 +0100

    Translation strings update.

commit 56dbfe1e5f6a066c6d09da36479c5e75832df694
Merge: 2145f559 d8fadb81
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Dec 19 19:56:34 2016 +0100

    Merge branch 'var-tracking' as per @Beep6581's approval (#3543)

commit 2145f559aef477752777cc61ee97b50464e4cdb3
Merge: 7fdcc8f1 db2c01af
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Mon Dec 19 00:36:42 2016 +0100

    Merge pull request #3477 from Beep6581/speedup_gradient_vignette
    
    Speedup Vignette and Graduated Filter

commit 7fdcc8f172ca7c898ae15f489f17322645393f7f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Dec 18 18:17:52 2016 +0100

    Review of thumb size defaults, closes #3535

commit d8fadb81bf466842f870fb55f29a6103bcc7d3cd
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Dec 18 16:07:14 2016 +0100

    Prune unnecessary `Wavelet` members (#3543)

commit 653f252b9c0bac8366e18e7cb2ebf345d0817d2c
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Dec 16 18:14:01 2016 +0100

    Constify `Wavelet` (#3543)

commit e5dba2e890bb922308af55ae012361892675e096
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Fri Dec 16 11:38:26 2016 +0100

    Remove intrusive tooltips, issue #3537 (#3538)
    
    * Remove intrusive tooltips - TP_SHARPENING_TOOLTIP
    * Remove TP_SHARPENING_TOOLTIP from default

commit 47ce8778b18b4a36f06e9bc87a4365532ce835f3
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Dec 15 19:43:20 2016 +0100

    Experiment to prevent var-tracking warning (#3543)

commit 3cc8438cf90a3001c2f01d44e2962c0c2c8dc262
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Dec 14 14:39:20 2016 +0100

    CbDL before black and white no preview when changing exposure, fixes #3539

commit cc4e7be2df813b4aebae93fbb4f1dc6278922021
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Dec 14 14:01:05 2016 +0100

    Fix crash with Canon m-raw files when raw crop in camconst.json is defined, #3533

commit 23f17bd9bc0d1413e3919285b23e5dd978429676
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Dec 13 20:44:05 2016 +0100

    Fully check thumb data size (#3529)
    
    Also, take rotation into account when falling back to
    `Thumbnail::loadFromRaw()`.

commit db2c01af023a3cfc7985442149b98897e63f39be
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Dec 13 15:13:03 2016 +0100

    Further small speedup for vignette and gradient

commit 1f080e0438e8e88270f8cd5612d86e724d699efb
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Dec 11 17:17:36 2016 +0100

    Bugfix: RT could crash while displaying Color Pickers (no issue)

commit 976fc087bd52e8759e81bb7962fc66ea86b73ae9
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Dec 3 11:24:11 2016 +0100

    Removed some debug message left in code

commit ac6940e9343269e2a3568ec191d7bc2859da84bc
Merge: 981a5349 c5bef4f3
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Nov 29 20:33:52 2016 +0100

    Merge branch 'grey-imageio' (#3515)

commit 981a53492010a50fd9b2a334b4c130ca3799b7ae
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 29 13:11:42 2016 +0100

    Fixes #3517, build fails when using libcairo 1.15

commit c5bef4f3bcb3aa719333d2b24880f3bb5e74ad74
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Nov 28 20:57:19 2016 +0100

    Make `ImageIO` load grayscale JPGs and TIFFs (#3515)

commit 6231315cb8693863437ebed37d4c33bc9c1c91ad
Merge: bc85236e 053b305d
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Nov 23 23:46:11 2016 +0100

    Merge pull request #3514 from Beep6581/histtonecurve
    
    Tone curve histogram ignores DCP tone curve, fixes #3512

commit 053b305d8947ea9ac5c36da87c767836c914fa9e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Nov 23 17:23:25 2016 +0100

    Tone curve histogram ignores DCP tone curve, fixes #3512

commit bc85236ee916dab71376252823e91e4934089171
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Nov 16 19:19:35 2016 +0100

    rt_splash_5 licence changed to CC-BY-SA 3.0, closes #3511

commit 7cb87819108f6ef221cde58f6583bf2dd6a5daeb
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Nov 11 09:25:29 2016 +0100

    camconst.json formatting fix

commit fda15c124ee146df9e488b2b872d46ab534f07d5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Nov 10 20:13:21 2016 +0100

    Improve support for Pentax K-1, Olympus E-M1MarkII and Canon G7 X

commit bda2e6bc6c2bd8e33461c56566571cefec0da733
Merge: f4b8c0fc 2d743bfe
Author: Floessie <floessie.mail@gmail.com>
Date:   Thu Nov 10 18:21:19 2016 +0100

    Merge pull request #3504 from Beep6581/fix-clang-warnings
    
    Fix some Clang warnings reported by @Partha1b

commit 2d743bfe7f9c5e4e520e3be7f9df39225b2deb53
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Nov 10 18:04:06 2016 +0100

    Provide a better `std::enable_if<>` solution

commit b3bc325934ff412ff740d35c1984bcd987e1929c
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Nov 9 20:57:23 2016 +0100

    Add integral `Threshold::operator ==(Threshold)`
    
    Kudos to @heckflosse for reminding me what C++11 is about. :)

commit 4ee191487e0d6357cee593be57bddf5ce814c715
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Nov 9 19:28:14 2016 +0100

    Fix uncritical warnings in `rtengine/procparams.h`

commit f4b8c0fcc01bc1424d538db5eebaefb159f1f12c
Merge: f0176034 59e999fb
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Nov 8 20:59:02 2016 +0100

    Merge pull request #3502 from Beep6581/pentaxhighiso
    
    Pentax: ISO > 65535 was reported as 65535 in info dialog

commit 25c67ab3c16a9a5a79f4d904d0a451e84562875f
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Nov 8 20:23:48 2016 +0100

    Fix some Clang warnings reported by @Partha1b

commit 59e999fbf548ad4ca3695b25804603ba22a070f2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 8 15:31:48 2016 +0100

    Used stoi instead of atoi

commit b5094d9d9ffcd0f03e2819b3e259484de0a8a13c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 8 14:06:11 2016 +0100

    Pentax: ISO > 65535 was reported as 65535 in info dialog

commit f017603478215231820cfd1860e2128c8dca14a5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 8 02:25:34 2016 +0100

    Enabled property of a tool shoot be first in tool group of pp3 file. Was not the case for Retinex. Fixed. No Issue

commit 03a65f294a2bba29dea00d1db3180171e25b3e88
Merge: b2757e57 495c0938
Author: Floessie <floessie.mail@gmail.com>
Date:   Mon Nov 7 20:08:15 2016 +0100

    Merge pull request #3501 from Beep6581/fix-clang-build
    
    Fix Clang warnings and build failure on OSX 10.12

commit b2757e576b42fdce781840652c6b6a535205eaba
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Nov 6 17:26:37 2016 +0100

    Added rtdata/rt_splash_5.svg and png

commit 495c0938f41e58ee28b2fbc947e9d0e09ff12233
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Nov 6 17:09:27 2016 +0100

    Fix Clang warnings and build failure on OSX 10.12
    
    Kudos to Partha over at pixls.us for finding and fixing!

commit 2bf87d5c5c36892658ee9b07ffc453f918d858c8
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Nov 5 19:13:59 2016 +0100

    Fixing issue #3497: "Lockable color picker interacts with info text on
    image area"

commit b961e314013569f3b6c87280fed4f9940c50f425
Merge: 880d0305 e35e46e0
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Oct 31 22:48:37 2016 +0100

    Merge pull request #3491 from Beep6581/colt-fix
    
    Fixes Preferences > Color Management layout, #3488

commit 880d0305486d8d9f6a4bb71c9f42a45921bfe48e
Merge: d2526e0f 7fe9297c
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Mon Oct 31 18:17:18 2016 +0100

    Merge pull request #3490 from Beep6581/twonewcams
    
    better support for Pentax K-70 and XiaoYI M1

commit 7fe9297c01df20585d89d5a9e262f37a6411157d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 31 14:43:35 2016 +0100

    better support for Pentax K-70 and XiaoYI M1

commit d2526e0f942848ac8f91b3d0f2e8d3d31ab3f78d
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 31 12:04:34 2016 +0100

    Formatting, spelling, grammar and structural changes to camconst.json

commit 789235188a9ae2641c033ebde18241b9ee93392a
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 31 09:32:12 2016 +0100

    camconst.json updated by iliasg, #3298

commit 99382aa4829ab74cad227bca9fa28b6022f8ea04
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 30 22:49:13 2016 +0100

    Fix non SSE build failure reported by Marcin, no Issue

commit e35e46e0adcba0ac675e6ead888a39cb03b2d971
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Oct 30 20:52:13 2016 +0100

    Fixes Preferences > Color Management layout, #3488

commit 3a346d919d172e1d15aa31bf2dccf428c5516d7b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 27 13:40:30 2016 +0200

    hphd demosaic : left quarter is not demosaiced correctly, fixes #3485

commit 2a2dd2af8b2fb12da1a86dda3d121a6fe3437a8e
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 24 21:04:13 2016 +0200

    Small fix to Preferences > Default Theme frame, no issue.

commit 22d8869953e294af6aa25f67a844a9bf9fb4d914
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Oct 24 01:14:35 2016 +0200

    Hotfix for issue #3480.

commit fca99676b6a398a1bb6b16be8d9b78a7b8f39c09
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 22 18:29:53 2016 +0200

    Fix a bug I introduced some commits ago. Fixes #3476

commit 2c7325b2fd470583a1a664dcb9033b2ab3fab0ba
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 22 18:11:14 2016 +0200

    Removed StopWatch

commit 09b319fe0b15a57263a4c5c1f81332add5072494
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 22 00:21:01 2016 +0200

    Speedup for Vignette and Graduated Filter

commit 968f2b06ca362f90210e1babddae0c4d5f1e06c6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 21 12:09:47 2016 +0200

    Segfault on EAHD, fixes #3474, kudos to Floessie

commit 17ea8b162c4975f3f1b40d6e7fa6f54d48c031d2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 21 02:09:14 2016 +0200

    Removed printf relicts from softproofing branch

commit 8cad2f8863de38c7d7d89249cbd1b180ff520c18
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 21 00:41:27 2016 +0200

    CbDL badly interacts with Graduated and Vignetting Filter if CbDL is set to 'before Black-and-White', fixes #3473

commit 0ba6258fc84e1aa4f73f990f7da9ec07aeea91b6
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Oct 20 20:00:09 2016 +0200

    Removed 3 Noise Reduction tooltips as they were intrusive and/or incorrect, no issue - IRC

commit f0211a3cb0ceabceee874cd7500dfc988b1204ef
Merge: c00b7c72 e684bfaa
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Oct 20 00:11:06 2016 +0200

    Merge pull request #3472 from frspp/patch-1
    
    Update camconst.json to support olympus omd e10 mk2 raw

commit e684bfaaa54e973d42596da094fcac5bb05a7818
Author: frspp <juusorit@gmail.com>
Date:   Thu Oct 20 00:57:35 2016 +0300

    Update camconst.json
    
    support for olympus omd e10 mk2 raw (was pink issue).

commit c00b7c72231df01c7a067090a29d0837a5fc4b8e
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Oct 19 10:12:15 2016 +0200

    Regenerated translation files

commit 467926ee5f6cc17ed2141f54307f75e5e96715e7
Merge: d14e9adb c027c329
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Oct 19 09:54:06 2016 +0200

    Merge pull request #3466 from mkyral/master
    
    Czech translation update by mkyral, #3466

commit d14e9adbc2e032e3605e9c92df4976e505a126f2
Merge: 952fc5f1 fb8941cd
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Oct 18 21:53:34 2016 +0200

    Merge pull request #3465 from Beep6581/clang-tidy
    
    `clang-tidy` cleanups

commit 952fc5f1270ecd293b5066a223312d9e0c68bbb8
Merge: cced5756 8f2f4e08
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Tue Oct 18 21:34:42 2016 +0200

    Merge pull request #3461 from Beep6581/connblocker-in-toolbar
    
    Enhanced ConnectionBlocker class, now used in ToolBar class

commit c027c3295a73adc02025b9596af2b49b3e30b3e0
Author: Marián Kyral <mkyral@email.cz>
Date:   Tue Oct 18 21:28:39 2016 +0200

    Czech translation file update - remove spare spaces at EOL

commit 70d14740e0c9e903b73387b80ac259ab7a16eee3
Author: Marián Kyral <mkyral@email.cz>
Date:   Tue Oct 18 21:24:33 2016 +0200

    Czech translation file update - small fixes

commit 44aabc39269bd2e574c731ab1aeadf1cde09ff11
Author: Marián Kyral <mkyral@email.cz>
Date:   Tue Oct 18 20:58:17 2016 +0200

    Czech translation file update

commit fb8941cd887191b15069ab3e11657f2c99bb419b
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 18 18:30:25 2016 +0200

    Manually simplify bool expressions and fix `rtgui/progressconnector.h`

commit ae98d4cb1f49476694ce3906e6f3898cf0d2b35c
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 18 18:18:25 2016 +0200

    Revert `rtengine/dcraw.cc`

commit 730c03785d4e3ae34fa0618e7578ed57ddb9d713
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 18 18:16:05 2016 +0200

    Reapplied clang-tidy filters
    
    - modernize-use-nullptr
    - modernize-redundant-void-arg
    - readability-simplify-boolean-expr
    - misc-redundant-expression
    - readability-redundant-control-flow
    - readability-avoid-const-params-in-decls

commit 0bbc84b2afef3d9f76ce31da70fe29a138182837
Merge: f9f4fe90 cced5756
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 18 17:48:50 2016 +0200

    Merge branch 'master' into clang-tidy

commit f9f4fe90354d5c3dad516dc305000dfa01446654
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 18 17:12:50 2016 +0200

    Revert `rtengine/dcraw.cc`

commit cced5756cbbd4ddf7aa6f3e83060bd46083d0d7a
Merge: ed42b123 093fa46a
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Mon Oct 17 22:24:46 2016 +0200

    Merge pull request #3464 from Beep6581/cppcheck3
    
    Merge some new cppcheck fixes into master

commit 093fa46aa61bfa8800ca8a1a5b0eb3efae9aeb0d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 17 22:20:33 2016 +0200

    Updated dcraw.patch file

commit 3d73eb45a154abe25ba86a3496e4b5b19cac3c81
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 17 21:47:52 2016 +0200

    Disabled unused functions in dcraw.cc .h

commit 8df2df664f177d648c08b64dab34794b9ce3d198
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 17 18:49:15 2016 +0200

    Cppcheck: some fixes

commit ed42b1239c2618f68953e162c3aca8612edf4836
Merge: 50165dab 81421db9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 16 22:13:13 2016 +0200

    Merge cppckeck2 branch into master

commit 8f2f4e0870e68c73c0d786de7e57be6ab050c51a
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Oct 16 14:19:59 2016 +0200

    Enhanced ConnectionBlocker class, now used in ToolBar class

commit 50165dab20aa4442cdb66fac960e40c062c15e13
Merge: 81c5b1ca 29d5329f
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Oct 16 01:45:52 2016 +0200

    Merge branch 'master' into softproofing

commit 81421db9c9df90e54a182d31e6a475537bceab4a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 13 22:15:33 2016 +0200

    Cppcheck: some fixes

commit 362564339233bc5bf7f21b827a63563ebf2b4f84
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 13 17:37:08 2016 +0200

    Cppcheck: Fixed bug from last commit. Also added some new fixes

commit 172ab63b859acb13b19b8474dc94e061cb5d75cc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 13 01:34:02 2016 +0200

    Cppcheck: Fixed another bunch of warnings

commit aeaff29ac0a70f1ce7ce29cdf8899c1be9c17bb8
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Oct 12 20:01:30 2016 +0200

    Apply `readability-simplify-boolean-expr`

commit e98bd4748717248d6d03636ae321aef9a6352df4
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 12 19:04:06 2016 +0200

    Cppcheck: Fix some warnings

commit 19de9d1efa40a91cb5bf2cb27e14c34994480c81
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Oct 12 18:24:14 2016 +0200

    Apply `modernize-redundant-void-arg`

commit 0731975ff08e0d57e5c40ef69554dd68eb4bc6d2
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Oct 12 17:48:40 2016 +0200

    Apply `modernize-use-nullptr`
    
    Setup:
    - `mkdir tidy; cd tidy`
    - `cmake .. -DCMAKE_BUILD_TYPE=debug -DPROC_TARGET_NUMBER=1 -DCACHE_NAME_SUFFIX=4 -DBINDIR=. -DDATADIR=. -DBUILD_BUNDLE=ON -DWITH_LTO=OFF -DOPTION_OMP=OFF -DCMAKE_EXPORT_COMPILE_COMMANDS=ON`
    - `cd ..`
    - `find -name '*.cc' -exec clang-tidy-3.8 -header-filter=.* -p=tidy -fix-errors -checks=modernize-use-nullptr {} \;`

commit 29d5329f3f8d212186260ac7775ec46317d61f29
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Oct 12 10:01:01 2016 +0200

    Fixed RT.ico path in WindowsInnoSetup.iss.in

commit 3076787c0fec69114a23c9a52f55a28c0d9baec8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 12 01:39:04 2016 +0200

    Removed rtengine/dirpyrLab_equalizer.cc

commit 81c5b1ca4197f39ddfd9c98b204c63da235cbb2d
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Oct 11 23:21:41 2016 +0200

    Cancelling a 32 bits Tiff workaround, now the Gamma value from embedded
    ICC profile is correctly handled

commit 554bbf18933a43ca90bc6fbbe6dbe9f48247b999
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Tue Oct 11 22:08:03 2016 +0200

    Deleted clean.sh

commit 9e4a487d4ef4f8a3b3bddf5e25b9419409eb6492
Merge: e902091f ff64e656
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Tue Oct 11 22:05:19 2016 +0200

    Merge remote-tracking branch 'origin/wav-subtools-off'

commit e902091fe9f9d1356ddef7c78c0813bb66055e93
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Oct 11 09:46:42 2016 +0200

    Fix crash when toggling Before|After view, by Flössie, fixes #3454

commit ff64e656bc084916844891298934e45618a3cb12
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Oct 11 09:39:14 2016 +0200

    Sets Wavelet sub-tools to "off" by default, #3386

commit a989d440b1ac55645b8caefb6bfec943fd5ca3ef
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Oct 10 23:48:39 2016 +0200

    Bugfix : RT was crashing if Soft-proofing activated w/ "No ICM" output
    
    See issue #3406

commit b8eb3492c9db1365a7b596dbd3cd48e00f4b6a94
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 10 17:10:31 2016 +0200

    colour picker died when crop tool was activated while colour picker was active

commit 0821eea7b6a4ac2fce1fcf644e06078e161e41e3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 10 16:28:44 2016 +0200

    Cppcheck: Fixed 2 issues introduced with merge of lockable colour picker

commit c7cf196ae15c11f8ff169da98626d76712eb6d52
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 10 15:03:45 2016 +0200

    Fix a cppcheck style issue to test Travis

commit 78c5cdd1ca758d1b3e78b1e2b577a98440f91ac2
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Oct 10 14:41:43 2016 +0200

    Set Travis to for master only with email

commit 3781d3cc16e153b8153ce76d6742ca27b94e8cc2
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 10 14:37:11 2016 +0200

    Added .travis.yml for GCC-6 build testing of master, #3451

commit fdc50d4837223e60c4fba90a301b0cb2c97b625a
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 10 00:50:04 2016 +0200

    Removed .travis.yml, use "travis" branch.

commit 252e50085e5d513dcb7ad13267603ed0282815d3
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Oct 10 00:22:22 2016 +0200

    Update .travis.yml

commit 967b1a2ea97a8cbf68efd7aab1b262f7cb6e85e2
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Oct 10 00:18:40 2016 +0200

    Create .travis.yml
    
    Initial Travis Continuous Integration support, using the Ubuntu 14.04 Trusty Tahr environment.

commit a57ecac9e939d5517c2df88a8a886162b4fb598b
Merge: e16b2407 d132149a
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Oct 9 22:55:31 2016 +0200

    Merge pull request #3452 from Beep6581/cppcheck
    
    merge fixes for a lot of issues reported by Cppcheck

commit d132149a2661c4036b87fd951349dd79a1cec90a
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Oct 8 15:36:44 2016 +0200

    Introduce `rtengine/noncopyable.hpp`

commit e16b2407bdee4e3d60921f29b853b4ab594e93ed
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Oct 8 00:44:59 2016 +0200

    Bugfix: double click to zoom in/out now effective over Pickers
    when the Color Picker mode is off.
    
    see issue #1812

commit 222b8a7562606312761c97dabbe6063c2f7d8c12
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Oct 7 14:38:22 2016 +0200

    Bugfix: Pickers wasn't displayed after a Detail window move
    
    See issue #1812

commit 1c8d8c6dce0187fbca3b9620d8011ec1dbb9901f
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Oct 7 12:48:20 2016 +0200

    Small code cleanup

commit 103091e2c9079f7b2834e40f99189283d96b44a0
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Oct 7 02:18:52 2016 +0200

    Code simplification + bugfix

commit 5383a7ab71be16b21b4731898706e5e9bb3113b5
Merge: 773a65b5 897b9d92
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Oct 7 01:27:33 2016 +0200

    Merge branch 'master' into lockable-color-picker

commit 773a65b5be550d6facfe4cf5d46a894c828fdb7e
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Oct 7 01:25:45 2016 +0200

    Bugfix and using the Navigator's range for displaying values
    
    Thanks a lot to Heckflosse and Floessie for the bugfix

commit 897b9d92ee4f6472141f9960950fbe21dc0c2116
Author: Morgan Hardwood <bugs@londonlight.org>
Date:   Wed Oct 5 21:32:45 2016 +0200

    Fix non-ASCII characters, fixes #3445

commit 8a2b2e6700e214b2cd14d97b32d9b8215a1d0a62
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 5 01:15:52 2016 +0200

    Extended StopWatch class to report processing time in microseconds

commit f60a4fc4b11960da61c7c39e9db4c0165f5e7106
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Oct 5 01:13:20 2016 +0200

    Adding Picker size support and Displayed values support (RGB/HSV/LAB)

commit 18ee91b8e4dcd5d1e6c51d79f7147c3285d8d4c4
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 5 00:04:22 2016 +0200

    Removed rtgui/createicon.cc

commit e82b60cd03b2e65a3a1f9b0a755351367ea0e3db
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Oct 4 23:50:44 2016 +0200

    Cppcheck: Fixed some issues found by Flössie during review of my changes

commit 566d4c982224194b16e158235744c866106f22f5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Oct 4 23:28:19 2016 +0200

    Cppcheck: Fixed most issued in rtgui/*

commit 162c65e69657f924f1690d2d124f3689d9909b5d
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Oct 4 20:36:28 2016 +0200

    Use `get_parse_name()` in `rtgui/dirbrowser.cc` (#3444)
    
    This will print the full path and is consistent with the gtk3 branch.

commit 23011fbd63acb06fca6b225b5205d290feb7f557
Merge: ee4749f2 1c9b84aa
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Oct 4 00:04:57 2016 +0200

    Merge branch 'master' into softproofing

commit 1c9b84aadba560d75e44357992afd49f81252c8e
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 3 22:44:13 2016 +0200

    Moved RT.ico from rtgui into rtdata/icons/

commit 6d85d350397712bf166ca93a287878878f4c45ee
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Oct 3 22:05:02 2016 +0200

    Removed non-ASCII characters from code files, closes #3445

commit 01048ee513534082d71e219a92813250874130c8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 3 21:17:27 2016 +0200

    Cppcheck: Fixed all issues in rtengine/ alignedbuffer.h, colortemp.cc, dcrop.cc, simpleprocess.cc

commit 260cd290fb1aa67c73a8d925b3ee8c19832ac936
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 3 21:01:26 2016 +0200

    Cppcheck: Fix most issues in rtexif/*

commit 95027d2884d3613a023ce92f9a54addbb3934b5e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 3 17:56:31 2016 +0200

    Cppcheck: Fix most issues in rtengine/ipwavelet.cc

commit 3bef6cb8de11b1898b5587d75c8bd3829c560725
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 3 01:56:22 2016 +0200

    Cppcheck: Fixed almost all performance hints

commit 3552fd4161a3de144914a4b6696eef4c98bd8ff8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 3 00:54:02 2016 +0200

    Cppcheck: Fix issues related to explicit constructors

commit ccd9002c3abc504e3a25b7bbf0489b90b4cf808e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 2 23:33:00 2016 +0200

    Cppcheck: Solve issues related to copy constructor

commit 050d96c8aa81eb597454c0989d0a455028102fb2
Merge: aca00389 35b9fa2e
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Oct 2 17:25:03 2016 +0200

    Merge remote-tracking branch 'origin/master' into lockable-color-picker

commit aca00389d9c0f5d2edf4f000844e980d95c66bcc
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Oct 2 17:23:09 2016 +0200

    Solving most if not all bugs left
    
    Still some features to add, but this commit should make this tool fully
    usable.

commit 8de758f7b6338de2fa07a100f134427bc034351e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 2 15:22:42 2016 +0200

    Removed rtengine/hlmultipliers.cc

commit f9f593d343f2b9626a356c76ea2b135e3254ab29
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 2 15:09:26 2016 +0200

    Cppcheck: Fix issues related to rtengine/FTblockDN.cc

commit 35b9fa2e9dd38abe22ac18ae64bd95135924a36b
Merge: f08af8a6 ca0afa8d
Author: Floessie <floessie.mail@gmail.com>
Date:   Sat Oct 1 13:16:18 2016 +0200

    Merge pull request #3444 from Beep6581/fix-glibmm-2.50-incompatibility
    
    Fix incompatibility with glibmm 2.50 (#3440)

commit ca0afa8d5f3cc7d09b6bab32d155a87c550f0d7b
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Oct 1 12:38:24 2016 +0200

    Fix incompatibility with glibmm 2.50 (#3440)
    
    Kudos to @Hombre57 for the suggestion.

commit f08af8a638349d3aa4d8dac0281a0866feb2b2cf
Merge: 4ca8239f f6e9f7a8
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Oct 1 12:23:43 2016 +0200

    Merge pull request #3443 from innir/dcraw-CVE
    
    Fix buffer overflow in dcraw

commit 4ca8239f3f8260f5c8c770e3cd663f7f329ff0a7
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sat Oct 1 11:27:18 2016 +0200

    Deutsch translation updated by TooWaBoo, closes #3442

commit f6e9f7a8aeec0113b9a4f3ca0bdada85d9cfc601
Author: Philip Rinn <rinni@inventati.org>
Date:   Fri Sep 30 22:51:46 2016 +0200

    Fix buffer overflow in dcraw
    
    Apply patch from https://github.com/LibRaw/LibRaw/commit/89d065424f09b788f443734d44857289489ca9e2, this fixes CVE-2015-8366.

commit 450624798580d8c24f3d1fe0fbf0fd82b2f1ec2c
Merge: f904bc8f bf273043
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Sep 30 01:06:19 2016 +0200

    Merge branch 'master' into lockable-color-picker

commit f904bc8f84b629c19721504e99a647604a41036c
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Sep 30 01:03:57 2016 +0200

    First patch of the LockableColorPicker tool.
    
    Still Work In Progress, but can be used without too much hassle.

commit bf273043115b55172d27ce52d27b8f6d90914426
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Sep 29 23:39:10 2016 +0200

    Use same logic to auto select darkframe in gui and engine also for darkframe hotpixels detection

commit 5b2ebce7d602da8e2e3057d61f400df740e7ad26
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Sep 29 22:54:38 2016 +0200

    Use same logic to auto select darkframe in gui and engine

commit 8e6cfcb76653f227452806e56b31466ff5f6384a
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Sep 29 18:21:37 2016 +0200

    Fix use-after-free of `ImageArea::mainCropWindow` (#3048)

commit 87eea2f078ce1b07f36581949b37ba53e362244c
Merge: 4b54f985 d8be9933
Author: Floessie <floessie.mail@gmail.com>
Date:   Thu Sep 29 08:04:49 2016 +0200

    Merge pull request #3438 from Beep6581/fix-gcc6-warning
    
    Fix "-Wignored-attributes" with vector arguments in `rtengine/median.h`

commit 4b54f985008522e307507f3d3af882e0b07da074
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 28 00:03:23 2016 +0200

    Syncing translation files with gtk3 branch.

commit 6ba96a10e97aee695d2a4b272a14c8a84cb71476
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 27 23:24:02 2016 +0200

    Replaced "x" with Floessie's "×".

commit c339eddcc9bf6233fe10ae7d939079616f654325
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 27 23:14:17 2016 +0200

    Regenerated translation files.

commit 7d21cbfaa6956fb03198966712366cf00e8eea1b
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 27 23:13:55 2016 +0200

    Reworked Median (NR) wording, updated RawPedia accordingly.

commit 18c0f7ad9189ef55bfcb5ee6e23111ffef731c8d
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Sep 27 21:16:30 2016 +0200

    Fix remaining Denoise - Median tooltips (#3360)
    
    Also replace 'x' with '×' for uniformity.

commit 8b94684d325389452a19f815b5ed7ffa262df468
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Sep 27 15:56:07 2016 +0200

    Fix Denoise - Median tooltip

commit d076223293e0cb53dfad5496c3610c318960676e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Sep 27 14:47:37 2016 +0200

    Added attributions in median.h

commit 9f3bfb88b6894e52769d223e4e4c946944cf2ada
Merge: 24e80cf8 4076e1d5
Author: Floessie <floessie.mail@gmail.com>
Date:   Tue Sep 27 07:42:54 2016 +0200

    Merge pull request #3432 from Beep6581/fix_image_datas_convert_to
    
    Use full range in `ImageDatas::convertTo<>` (#3429)

commit d8be9933e2a100eca98d2076c330ed8982c792c6
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Sep 26 21:31:46 2016 +0200

    Fix "-Wignored-attributes" with vector arguments in `rtengine/median.h`
    
    See [GCC bug 69884](https://gcc.gnu.org/bugzilla/show_bug.cgi?id=69884).

commit 4076e1d5aada5d74d52f6c21fe93e08cd54600a3
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Sep 26 21:16:20 2016 +0200

    Add Ingo's optimization in another place, too (#3432)

commit 24e80cf8ee008b11fb50d7f666dafcde9460f0f0
Merge: a5af1322 b32ace88
Author: Floessie <floessie.mail@gmail.com>
Date:   Sat Sep 24 22:05:48 2016 +0200

    Merge pull request #3436 from Beep6581/fix-canon-exif
    
    Fix Canon EXIF

commit a5af13228d57af4a088889cac9f1098f267006ed
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sat Sep 24 13:57:28 2016 +0200

    camconst.json updated by IliasG, closes #3298

commit b32ace88a99800605bcf35da0e2874810447baef
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Sep 22 22:00:05 2016 +0200

    Fix `Tag::toString()` for `LONG` type (#3422)

commit 759676788b186a25fa5c6ebd287b94da62d4b6ef
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Sep 22 21:52:07 2016 +0200

    Use BABL method for 16-to-8 bit conversion (#3429)

commit 76355590628322f5484f8085e6370cecbac2eb63
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Sep 22 21:22:35 2016 +0200

    Add Ingo's missing optimization (#3432)

commit e1b870e8451b21031c34d7d66fabc987d59afcfd
Merge: 1e7b8035 2d0e5e4f
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Sep 21 21:59:28 2016 +0200

    Merge remote-tracking branch 'origin/master' into fix_image_datas_convert_to

commit 1e7b8035c41196b0585b2c1c103761d71083e19d
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Sep 21 21:54:46 2016 +0200

    Round when converting to 8 bits (#3429)

commit 2d0e5e4feeac9801994d82c5931531f508deb2e9
Merge: 298e91b1 1e268105
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Sep 21 21:48:24 2016 +0200

    Merge pull request #3434 from Beep6581/save16bit_speedup
    
    About 15% speedup for function lab2rgb16 which is used when saving 16 bit output

commit 540e95a0634f646c8d8110de56724a3cde8eb363
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Sep 21 21:16:24 2016 +0200

    Fix "MeasuredEV2" (#3422)
    
    Kudos to @cm7695!

commit 1e268105dbcb3d8653166907cb87589b87839a89
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 21 21:01:51 2016 +0200

    replaced code to convert from Lab to XYZ by calling Color::Lab2XYZ(..)

commit ab2be87333407451ae090f6bc3f86b6910ea0056
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 21 14:05:30 2016 +0200

    Simplified float2uint16range(..), removed StopWatches

commit 29c4d936aa3c7f4801fadc1d15e45c15e7a7e5ba
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 21 00:35:02 2016 +0200

    cleaned code

commit f17011cec400b0730a8f9ead26069ddb1390bd82
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 21 00:24:44 2016 +0200

    use faster implementation to clip float to [0;65535] and round in rtengine::lab2rgb16b and rtengine::lab2rgb16

commit c67b986744d21b803de17dba71f1d82d6bc38a7e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 21 00:22:42 2016 +0200

    add faster implementation to clip float to [0;65535] and round

commit 309b823f93d426367d192b2a9e5a5a03e5345b7b
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Sep 17 17:32:46 2016 +0200

    Fix range in `Image*` classes (#3429)

commit cb034284be3f33921952dd28acd6c0fa951b3e1f
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Sep 14 21:36:44 2016 +0200

    Use full range in `ImageDatas::convertTo<>` (#3429)
    
    Kudos to @mmmtok for finding and fixing!

commit 298e91b1a041bd0000c38032f0379054c6ee23f4
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Sep 14 21:00:15 2016 +0200

    Fix "FocusDistance*"-EXIF for Canon (#3422)
    
    Kudos to @cm7695 for finding and fixing!

commit 0016bf4f2bf12664b9d9ed71c3c3678f040717a3
Merge: ef508416 6b769fb1
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Mon Sep 12 12:56:09 2016 +0200

    Merge pull request #3426 from Beep6581/issue_3425_fix
    
    fixes #3425, A combination of settings in Wavelet's Edge Sharpnes too…

commit 6b769fb13315fb2c55def4449ce23a929c77e2d2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 12 12:54:46 2016 +0200

    Correction to last commit

commit 1c17be663bed1f5f3081ae9884a4c4af56d0675a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Sep 11 23:49:37 2016 +0200

    fixes #3425, A combination of settings in Wavelet's Edge Sharpnes tool crashes RawTherapee

commit ee4749f27197057b97d31056960f76af26bc5357
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Sep 11 03:49:33 2016 +0200

    Fix a recursive Mutex lock bug when selecting an output Gamma profile.

commit ef5084162938eb659bcf0019db1f67842832fb83
Merge: a7dc063f 40794f8e
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Sun Sep 11 00:47:07 2016 +0200

    Merge pull request #3415 from Beep6581/eclipse_c++11
    
    Add full support of c++11 to the Eclipse IDE

commit a7dc063f35580ff7430d8954f620b6666ce03d1b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Sep 10 17:58:07 2016 +0200

    Added Canon EOS 5D Mark IV to camconst.json, kudos to IliasG

commit c8aa1c9f493b66630c884d34fb97ee95d47ae358
Merge: eb3c6612 3ffe9831
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Sep 9 21:58:26 2016 +0200

    Merge pull request #3423 from Beep6581/denoise
    
    Merged Denoise speedups to get more tests

commit 3ffe983140ecb59966a3b929f8fbb196d452c2a1
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 9 21:54:51 2016 +0200

    Small code cleanups

commit eb3c661293a8b815b46270e64e61c0fa7efaaed9
Merge: 3ddb4171 344d9753
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Sep 9 21:38:05 2016 +0200

    Merge pull request #3407 from Beep6581/bwspeedups
    
    Merged bwspeedup branch to get more tests

commit 344d97537816e0e799087a73839e17826d43077f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 9 21:36:37 2016 +0200

    Removed stopwatch

commit d564d17425e2677bf1f24b77088cb7e61957fc09
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 9 16:36:18 2016 +0200

    mentioned the author of the sleef library in the header of the sleef source files, removed unused sleef.h

commit 5bb20c413e889e397d005357c45003822989f606
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 9 16:04:43 2016 +0200

    Cleaned code, also reduced base memory usage of RT by 1 MB

commit ef83e6b591a211afe8d4471c6933b3953ae2fd4e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 7 23:34:06 2016 +0200

    Removed StopWatches and corrected some bugs from latest commit

commit 0f21a0de6c1339fa7e8364d736af11dc1838b6f5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 7 16:44:16 2016 +0200

    Speedups for denoise, fixes #3418

commit 3ddb4171d29c85c736d97902905260792714e4c9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 5 10:40:28 2016 +0200

    Fix a crash in denoise

commit b04596ec605e7c4febc09c9559b65020306ab249
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Sep 4 02:55:57 2016 +0200

    Fixing a small glitch in the main cmakefile

commit a9fc506ac96e5d5f5e9561fc33c2de5f52d39e55
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Sep 3 23:29:26 2016 +0200

    Bugfix: the options file were reseted unexpectedly
    
    The error was that it was reading a wrong value, which thrown an
    exception, but the error was diplayed in verbose mode only. Bug fixed,
    and now it'll report any error in evry case.

commit 40794f8e15f73ab0834b98691648ab9ddef4a0ac
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Sep 3 21:44:02 2016 +0200

    Add full support of c++11 to the Eclipse IDE
    
    ...(i.e. including when building the index), with the help of
    -DCMAKE_ECLIPSE_VERSION="4.6.0" (set to your version, of course) on the
    command line. Without this, the declared symbols are wrong and c++11 is
    not supported by the IDE (vs the build makefiles).

commit a69c631f22a76e3ed4085fd7717d4a4082e372b5
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Sep 3 00:49:35 2016 +0200

    Fix issue #3411 + revert some code to the old one for better readability

commit dc4bbe906ba92ddc66f98a3c26ce19822bfb99ab
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 2 21:04:23 2016 +0200

    Avoid possible buffer underrun in ImProcFunctions::Mad and ImProcFunctions::MadRgb

commit bdf4665c1689ac43475cc39c791ae971f2d41433
Merge: c96c7dc8 db6b43e3
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Sep 2 16:24:14 2016 +0200

    Merge branch 'master' into softproofing

commit c96c7dc8f396805fda1c74d01509607ebdece050
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Sep 2 16:23:21 2016 +0200

    Soft-proofing ang GamutCheck buttons are now disabled if Monitor profile
    == NONE of is no suported intent for the selected profile.
    
    The Monitor profile list (in the Editor and in Preferences) shows RGB
    profiles only, whereas the output profile list shows all profiles (RGB,
    CMYK, ... anything!)
    
    Bugfix: When switching to a new image, the image now use the selected profile and intent.

commit d31de41f68cfcb9c3f5043987fdba0d882eed550
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Aug 31 23:40:27 2016 +0200

    Cleaner implementation of the gamma array (more C++11)

commit db6b43e3c0c6d18cae33d48e80935dc99a620be2
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 31 14:12:31 2016 +0200

    Updated links
    
    Added link to RawTherapee forum at pixls.us
    Removed dead link to Michael's code documentation.

commit d52b627c683ae016f971406880b998f0bae9fd27
Merge: 6a19178e f3d46f4c
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Aug 31 13:42:56 2016 +0200

    Merge branch 'origin/navigator-units'

commit f3d46f4c3768d04931651cb9989feaf3070279cd
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Aug 31 13:40:02 2016 +0200

    Minor code adjustment

commit 388d43ebcec62c9bdd9e8e0afec876a689d5ad89
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Aug 31 03:58:07 2016 +0200

    Adding new units for the RGB and HSV values in the Navigator tool (below
    Histogram). Click on one of thes two columns to cycle to a new unit
    independantly, between [0-1], [0-255], [%]  (Hue stays in degree instead
    of percent). The current unit is saved in Options for new Editor tabs or
    between sessions.

commit 72db91b574ebd1bfdda1a12ac1bbcae975dcd056
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Aug 30 03:16:22 2016 +0200

    Updated color_management.svg explanation file

commit d762ef45109e2dd9afc8239c0cfce9e84aa43616
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Aug 30 02:06:10 2016 +0200

    Bugfix + cleanup

commit 6a19178e52a29ae80dd02a9bdfaf810807319fab
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 30 01:53:27 2016 +0200

    Enable whole area of magnification windows for moving, fixes #3378

commit ad5ef216483fa81d0de038d36ea3a5e01189160b
Merge: 7c7cb9f9 a34c1941
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Aug 29 21:08:54 2016 +0200

    Merge remote-tracking branch 'origin/master' into softproofing

commit 7c7cb9f9f12022de17adeee86271dc8c3bc5719c
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Aug 29 21:04:59 2016 +0200

    Bug fix: the monitor profile and softproofing profile are now computed
    automatically even without special trigger event. The order of the
    Monitor Intent is now correct.

commit a34c19413b0cc861aec2b7036df2865b53aea659
Merge: 2ba7e296 80a976d7
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Aug 29 01:35:56 2016 +0200

    Merge branch 'master' of https://github.com/Beep6581/RawTherapee.git

commit 2ba7e296d01fff8534ce8538d69f426f174dc5fd
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Aug 29 01:35:19 2016 +0200

    Bugfix: Options::readFromFile should not reset the options values. They
    are initialy set in the constructor then should only be updated by each
    call to this method.

commit 80a976d75b2c3e4f155023b4e765b378cbbb818d
Merge: d9d539cb 46334c04
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Aug 28 20:02:22 2016 +0200

    Merge pull request #3404 from Beep6581/rgbcurve_lummode_speedup
    
    RGB Curves Luminosity mode: ~ 40% speedup. Also changed behaviour of r and g curve

commit 46334c046242405409f1644d81829751a34945c6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Aug 28 19:59:46 2016 +0200

    Disables StopWatch

commit 84614a11e82bc2bc2ccbb8366503929e97101976
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Aug 28 14:47:01 2016 +0200

    B&W: Speedup for Color::trcGammaBW

commit a1981dbd4d1ed5c5c50a8a11053fea6ab1c0f7fa
Merge: f11ef69c d9d539cb
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Aug 27 23:52:53 2016 +0200

    Merge branch 'master' into softproofing

commit f11ef69cda92b0ed5973a06177802442a8469da3
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Aug 27 23:20:37 2016 +0200

    Bugfix

commit 6d4e82b94f8cb0a315f7c67a4c44f4b261e01d12
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Aug 27 22:58:16 2016 +0200

    Speedups for B&W conversion

commit 827acd35f9d5ea8f7209dc13e53221ff09a555fa
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Aug 27 22:20:54 2016 +0200

    Some bugfix.

commit 66054ca50dca6a3b868c62f8b896e34fd371131d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Aug 26 16:38:14 2016 +0200

    RGB curves luminosity mode: Experimental patch to equalize the strength of R, G and B curve

commit 7a2dd888bb438fef1ba08b6c92911f08e1b2d0a4
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Aug 26 14:20:47 2016 +0200

    RGB Curves Luminosity mode, reduce number of atan2 calculations

commit 294f16c7415d3b9ae3c4305ec8e64c19ee022e87
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Aug 25 19:28:05 2016 +0200

    RGB Curves Luminosity mode: ~ 40% speedup

commit 5affa18341d732b4821ca49e7f4afcedbe4d3be6
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Aug 24 22:32:06 2016 +0200

    Introducting soft-proofing and Black Point Compensation, simplify the
    CMM at the end of the pipeline + sparse code refactoring
    A new BPC checkbutton has been created in 'Preferences/Color Management'
    and in the ICM tool. Better hanbling of widget sensitivity of the output
    profile / gamma part of the ICM tool.

commit d9d539cbb30c2b44f42e7b2f1be69313fcccf5d1
Merge: 3160efde 39a57cbb
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Aug 24 21:30:18 2016 +0200

    Merge pull request #3401 from Beep6581/colourtoning
    
    Colourtoning: Speedup and improvement for Automatic Saturation Protection

commit 39a57cbb3b6ea1b4c2c0b78daee333ba2addc38f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Aug 24 21:28:01 2016 +0200

    Disabled StopWatch

commit 3160efde8176972f032123391aeb4a27c512d1bd
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 24 11:01:42 2016 +0200

    camconst.json updated by IliasG, closes #3298

commit 65b0ad4eb78c27641d846546d3770cff127c4b41
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 24 10:13:56 2016 +0200

    Serbian translation updated by gpopac, closes #3402

commit 281e3979d5a68ba0420dce49aa9572b52d892abd
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 23 21:32:30 2016 +0200

    ImProcFunctions::moyeqt, simplified calculation

commit 7a4cf9aba827be535b3860b64dad658f8baccf6d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 23 19:59:49 2016 +0200

    Colourtoning: Always calculate saturation for 'Automatic Saturation Protection' from full image

commit 9b62f92095d1b4bb574f939625296d1c350a34ff
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 23 19:35:15 2016 +0200

    About 7x speedup for Automatic Saturation Protection in Colourtoning

commit 3df0acee567abad80399a9eb075fbf76ef6b3f1f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Aug 21 15:13:17 2016 +0200

    Fixed wrong transition curve in ciecam02, fixes #3398

commit 3e510cd94e70da320da18e04e8b318d4f837f5aa
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Aug 18 21:41:16 2016 +0200

    Fix some ciecam02 issues, fixes ##3380, fixes #3396, fixes #3397

commit cd16b91be02d010322c74be5affa9d031c8a4545
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Aug 17 16:15:35 2016 +0200

    fixes #3395, unrelated bulk changes cause saturation setting to double its value

commit b71059533585cbcc8ddf9b5732803e7a8a401449
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Aug 10 22:59:48 2016 +0200

    Adust buffers to fix potential buffer overruns

commit 14b5bf13863918f558bc07a9d9e8c7c729a76ee7
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sat Aug 6 21:24:36 2016 +0200

    Prevents thumbnail race condition, from Floessie in #3304 and fixes #3384

commit 1339cbe67af7b5b3376e1e95f7663a5dfcab658d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 2 01:15:36 2016 +0200

    Fixes "CIECAM02 causes blue to become black"
    
    Signed-off-by: Morgan Hardwood <entertheyoni@gmail.com>

commit 77bdfa772e1c8741cb9c210dc90064af94c111f4
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Aug 1 13:47:37 2016 +0200

    Removed markdown style from ISSUE_TEMPLATE.md
    
    Turns out markdown style makes no sense here.

commit b15955c549cdb9966c5ef35b2d9a649216f47629
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Aug 1 13:43:11 2016 +0200

    Create ISSUE_TEMPLATE.md

commit 1255d9e942fbcacf9736dc7dc2df7e7ba270f1a4
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Jul 28 04:48:53 2016 +0200

    Fixes #3389 - CbDL memleak.

commit 2c976e4e2442496e5821e4c1a0303dec0d5edbf6
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Jul 28 22:29:04 2016 +0200

    Nederlands updated by wim ter meer, closes #3390

commit 57e95a35c23fb748f9fd8bf9ecdecf7fa1b4fec6
Merge: 0608ad8f 2d346f67
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 15 01:16:33 2016 +0200

    Merge branch 'master' of github.com:Beep6581/RawTherapee

commit 0608ad8f49fc80f3122688688f778537895c8b3a
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 15 01:16:12 2016 +0200

    Simplified OS X GIMP and Photoshop calling code.

commit 2d346f670e6bddc5ba9ff81b6a17bc4782c0adbd
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jul 14 20:56:14 2016 +0200

    Fix build issue with clang

commit 5127e94cc92e749cb472a16169c3c139b9bd8072
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jul 12 17:28:16 2016 +0200

    Add missing #ifdef __SSE2__, fixes #3382

commit cb5e99ef62e4163a9a35ed1c8a1d1468fd308fb8
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Jul 10 21:22:12 2016 +0200

    Updated defaults for crop, sharpening and post-resize sharpening.

commit 3aaacf3b0ce2b79486bab15f9b5bc59df95d6079
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Jul 10 20:31:03 2016 +0200

    Made post-resize sharpening RL radius minimum size consistent with RL radius from main sharpening - 0.40. Removed redundant guiutils.h include.

commit 2ee160dcf7a0b5aa4d45d4b82697b7be2df89cce
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jul 10 18:35:19 2016 +0200

    Fix OOB access in ImProcFunctions::MadRgb, fixes #3379

commit 40ce1bedaf7b0275bfa1039c88ea1ff53ce73c2f
Merge: 5e11f6bb 8d01bef0
Author: Floessie <floessie.mail@gmail.com>
Date:   Sun Jul 10 18:25:21 2016 +0200

    Merge pull request #3377 from Beep6581/median-rework
    
    Median revision

commit 5e11f6bb833681a305c2a00946923f547a914ca9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jul 10 14:01:28 2016 +0200

    Revert "Fix OOB access in ImProcFunctions::MadRgb, fixes #3379"
    
    This reverts commit dd47d8b6c1308a4c87c0659d689dd2e395b8e9d5.

commit dd47d8b6c1308a4c87c0659d689dd2e395b8e9d5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jul 10 13:43:12 2016 +0200

    Fix OOB access in ImProcFunctions::MadRgb, fixes #3379

commit 8d01bef05a1d9b2375821023e390caf0a434ba4a
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jul 10 10:59:50 2016 +0200

    Remove unused `rtengine/colorclip.h`

commit e129510b62f7951e4fa4a3b8a576339e80787362
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Jul 9 17:42:59 2016 +0200

    Partly revert `rtengine/dcraw.cc` and astyle again
    
    Also recreate `dcraw.patch` as suggested by Ingo.

commit 2e9f3fb9dc0f4a3fb0a1ea2aae0f496337529d26
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Jul 9 12:52:59 2016 +0200

    Applied `clang-tidy` on `rtengine/FTblockDN.cc`
    
    - Applied `clang-tidy` 3.8 with these checks and `-fix`:
      google-readability-casting,modernize-redundant-void-arg,
      modernize-use-bool-literals,modernize-use-nullptr,
      modernize-use-override,readability-braces-around-statements,
      readability-container-size-empty,
      readability-inconsistent-declaration-parameter-name,
      readability-redundant-control-flow,readability-redundant-string-cstr,
      readability-redundant-string-init,readability-simplify-boolean-expr,
      readability-static-definition-in-anonymous-namespace
    - Renamed last occurrences of `ULIM` to `median`
    - Removed double include of `median.h` from `rtengine/rawimagesource.cc`
      (found by Ingo)

commit 7f66eb5ec49096ed79d65e4c2e197e814979a6d5
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Jul 9 11:47:47 2016 +0200

    Move common code out of switch in ImProcFunctions::Median_Denoise()
    
    - Move suggested by @heckflosse
    - Use switch/case
    - astyle `FTblockDN.cc`
    - Whitespace cleanups
    - Apply `median()` on `ffmanager.cc`

commit c0c82abb3210355bcff4e1584f23c3d7a3e84ce0
Merge: 719b4050 3b734e4a
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Jul 8 18:11:22 2016 +0200

    Merge branch 'master' into median-rework

commit 719b405076e60217ea551062521f21fbed11b575
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Jul 8 17:28:27 2016 +0200

    Remove vectorized medians < 25 from ImProcFunctions::Median_Denoise()
    
    - But keep those versions in `median.h` for consistency
    - Remove stopwatch

commit 3b734e4a7a48917c1c285d9efcfec5170616739a
Merge: 36f2c4db ed7ee021
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Jul 8 12:43:40 2016 +0200

    Merge pull request #3376 from Beep6581/small_camconst_speedup
    
    Improve processing time to read camconst.json by almost factor 2. Additionally make it future-proof by reducing O(n²) copying amount in reallocate phase to O(n)

commit 36f2c4db5995ecf33a1558d736f97211fa40a2a1
Merge: 7a70601f b744eae4
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Jul 8 12:42:34 2016 +0200

    Merge pull request #3375 from Beep6581/fix_all_cppcheck_performance_hints
    
    Fix cppcheck performance hints

commit b744eae46d1926181a0fc8a8dd997eaedb066e2f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jul 8 12:41:38 2016 +0200

    Fix a bug reported by cppcheck and an OOB access, kudos to Floessie

commit ed7ee021502bfb3efedaf32e3d1cc2e03f1dc5bc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jul 7 22:31:04 2016 +0200

    Added change suggested by Floessie

commit f76211509f2fede4b840b6b4c88d6aa4a228022d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jul 7 21:44:44 2016 +0200

    Improve processing time to read camconst.json by almost factor 2. Additionally make it future-proof by reducing O(n²) copying amount in reallocate phase to O(n)

commit 7a70601f597285431b0c22304e4e21d6187e4d53
Merge: f241caf8 3d6f9407
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Thu Jul 7 11:23:20 2016 +0200

    Merge pull request #3372 from Beep6581/helpman
    
    Updated help and man page, #3369

commit f241caf8cb1d9298d65f5d48bb38c9b094c292bf
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jul 6 14:46:10 2016 +0200

    Canon EOS-1D mkII raw files are rendered as flat black, fixes #3373

commit c8779c04f52c3f4525646df5a459491168d8c8e4
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jul 6 13:04:24 2016 +0200

    Fix all - 2 cppcheck performance hints

commit 3d6f9407a2e4cec3cb354950cd22df2ec8ecc13c
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Jul 5 23:07:58 2016 +0200

    Updated help and man page, #3369

commit a991d53bf3d90703842a34fe4e064a87e1707826
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jul 5 16:48:30 2016 +0200

    Fix segfault when adding files to the currently watched folder, kudos to Floessie for the fix

commit df15f735dcbdabfb09135877ca62fe2ec25bb4a0
Merge: 1a0b96b2 1bf2f87c
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Jul 5 16:10:32 2016 +0200

    Merge pull request #3371 from Beep6581/tiff_exif_fix
    
    Exif lost when saving compressed tiff from raw on windows builds, fix…

commit 1bf2f87cdc5a3c08f44b491f4ba741b6b35ddc8f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jul 5 15:05:03 2016 +0200

    Exif lost when saving compressed tiff from raw on windows builds, fixes #3370

commit 1a0b96b22380b36a6c6496ab183d956c7479524b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jul 4 19:28:04 2016 +0200

    Remove some top level tags when saving to uncompressed tiff, also simplified generation of 'Software' tag

commit 90c7407c90fa0e9fed8026531663fd12746c193f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jul 4 19:25:59 2016 +0200

    Disable wrong warning for non Windows builds

commit bc3023e228cf56468d37bea06e60b21d6db06c83
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jul 3 21:18:57 2016 +0200

    Add RT version to 'Software' tag for uncompressed tiff

commit 87e1914b9db503d1083f55d9a2ac8b8997b1139a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jul 3 16:06:07 2016 +0200

    Fix buffer overrun writing uncompressed tiff

commit 2710bcdcecf7bd00bea8082b2df3ae9dc28adfef
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jul 2 23:03:58 2016 +0200

    Fix a warning and a crash

commit 45d307bf40e0357e9ac6265cee1f46f5a47cbbdd
Merge: 8cbdd319 fe49c851
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jul 2 19:45:45 2016 +0200

    Merge pull request #3366 from Beep6581/exiftool1020
    
    Updated all in /rtexif/ with info from exiftool-10.20.

commit fe49c851ff922286a2fcfc69df7c6ae9d905d64a
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 22:57:44 2016 +0200

    Updated all Sony and Konica Minolta interpreters.

commit ec66a380bd903cf9c46a8b40a0992add6d803691
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 21:32:44 2016 +0200

    Updated all Pentax interpreters.

commit 3866f10d6917085e1db3157301c202892bd5203f
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 19:46:15 2016 +0200

    Updated all Olympus interpreters.

commit 67a4d2af44e44afa92739672758023287983890d
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 19:26:38 2016 +0200

    Updated all Nikon interpreters.

commit 42e6b56c43f364f826246d2e426ab422fa118ef3
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 19:09:36 2016 +0200

    Updated all Fuji interpreters.

commit 9edec3361be2b72bb7d77fd01fc6b3c2f5aff339
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jul 1 17:31:18 2016 +0200

    Updated all Canon interpreters.

commit 8cbdd31914b80a023a4302c130ab2a18d95dabea
Merge: d8ebe7bd b8c5ee7e
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Jul 1 15:07:27 2016 +0200

    Merge pull request #3365 from Beep6581/preprocess_speedup
    
    Preprocess speedup

commit b8c5ee7e47b28a15c2edff43da01e627191d9485
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jul 1 15:04:34 2016 +0200

    Disabled StopWatch

commit d8ebe7bdc3503b602c6f107e4353415b98ff74c2
Merge: cb054567 4236fd05
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Jul 1 14:54:51 2016 +0200

    Merge pull request #3364 from Beep6581/batchqueue_delete_bug
    
    Add milliseconds to queue params file, fixes #3363

commit 4236fd0545b758fbf1c83ded4d2aad7d52606467
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jul 1 13:33:05 2016 +0200

    Add milliseconds to queue params file, fixes #3363

commit 58e560b88e9b0cfdf1e1a8ac1606a31c1d0ba2a6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 30 19:48:44 2016 +0200

    Added further speedups and astyles the changed files

commit 1f63ab85facb36dafc2ecd17f496c18850241c25
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Jun 30 18:18:13 2016 +0200

    Vectorize 49 and 81 in ImProcFunctions::Median_Denoise() (#3346)

commit e2deb1640385c70e9d6a28257c4630f5d1b4ecb2
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Jun 30 18:02:19 2016 +0200

    Fix apparent OOB access in ImProcFunctions::Median_Denoise() (#3346)

commit 406d1b7fb1c72a810d269c1a15173014abf45ce4
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Jun 30 17:54:15 2016 +0200

    Vectorize some medians in ImProcFunctions::Median_Denoise() (#3346)
    
    - Vectorize with Ingo's scheme
    - Make loads more cache friendly

commit ba71bfe4fd74f7164ca958f613c6e2f2424ab04b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jun 29 14:48:37 2016 +0200

    Speedup for getAutoExpHistogram(..)

commit fe0743e4710b9af2bbefc8407fb44783dda1727c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jun 29 14:47:23 2016 +0200

    Reduce size of badpixels bitmap by factor 8

commit 5cbff43191462c2ddc2c1afe25fca08243bb7d3c
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Jun 28 21:49:07 2016 +0200

    Finalize `median.h`
    
    - Added median 13, 49, and 81
    - Integrated Ingo's SSE optimization for "5x5 strong"
    - Converted `MIDDLE4OF6`
    - Refactored `enum mediantype`

commit a3bfd035fa8e149a3f40c791e1e00da0bda3304e
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Jun 27 21:00:18 2016 +0200

    Fix bug found by @heckflosse (#3346)

commit 1275659a91164567dce8cf559432ddabb30ebc45
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jun 26 15:28:04 2016 +0200

    Removed another `pixSort()` and improved two places (#3346)

commit 787a8927370e1fca8adb8323208f0cc7a87a9bde
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jun 26 15:14:45 2016 +0200

    Make further use of `median()` and replace `ULIM` and `ULIMV` (#3346)

commit cb05456746066b05fd9504ac3a3cb545a5b0debe
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 24 14:47:46 2016 +0200

    Fix broken decode for files from Sony DSC-RX1RM2, fixes #3358

commit d82956bbe5df9cba8366f00660c8ac356e1e9a89
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Jun 21 20:50:42 2016 +0200

    Add optimized median25 and kill old macros (#3346)

commit 0189a99e1c12b7e52b907e60724c932087feeca0
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Jun 19 17:02:07 2016 +0200

    Updated all lens interpreters with data from exiftool-10.20

commit b526050b6be4f2fdbf7bf1b8fcb2256fb0fc1e79
Merge: da9e7604 e4a72876
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Jun 18 16:11:21 2016 +0200

    Merge pull request #3350 from Beep6581/save_to_8bit_speedup
    
    Speedup for save to 8bit formats (mainly for 8bit tiff and j…

commit e4a7287650de4010905e285c27a90e48660345fd
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jun 18 16:04:54 2016 +0200

    Removed StopWatches and cleaned code

commit aab8bad3916cb6fba9e0da78e21693712e004d42
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jun 18 14:04:00 2016 +0200

    Let the compiler optimize instead of using handwritten SSSE3 code, same speed

commit 88685c66f6b2c82810b8ed40b7078424c69d2fd9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 17 17:56:34 2016 +0200

    SSS3 code to speedup save to 8bit formats (mainly for 8bit tiff and jpeg)

commit da9e76040333451c2549f41506eb63777add820e
Merge: 1121b2c3 d4f8c1f9
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Jun 17 17:08:15 2016 +0200

    Merge pull request #3345 from Beep6581/cr2_decode_speedup
    
    Speedup for cr2 decode

commit d4f8c1f9d1d442cd30515151f050ecca202bdbde
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 17 16:59:14 2016 +0200

    Removed StopWatch and updated dcraw.patch file

commit 1121b2c34021b6098623ced7b753a2019c566ed6
Merge: ea9dfc9c 05d7abb5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 17 16:23:56 2016 +0200

    Merge flatfield_speedup into master

commit 05d7abb5e029e961d2dd5e9cef46effe4cf6e55a
Merge: b8b98e09 ea9dfc9c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 17 16:11:47 2016 +0200

    Fix merge conflicts

commit b8b98e0924400d69be5e8630f318a4d5a3a9bcae
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 17 15:55:20 2016 +0200

    Disabled StopWatch

commit 45a572e65bd93439ac76680fc4c948fcc2268615
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Jun 15 21:26:19 2016 +0200

    Add general 7-arguments-median (#3346)
    
    This was found on http://www.cs.hut.fi/~cessu/selection/, tested,
    inlined, and optimized. Needs at most 10 compares.

commit 2fa1ad138e56efe14d088755cd09dc10e9d99391
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Jun 14 22:08:03 2016 +0200

    Start median rework (#3346)
    
    - Added basic algorithms to `rtengine/median.h`
    - Converted first occurrences

commit 5703eb5ebcffd51000fcc7d434bde883c0dd12a5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jun 12 21:03:44 2016 +0200

    Fix some compiler warnings

commit c11465e46a1f8dd1acf2bcf8b1dbc7544abffcbc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jun 12 20:56:55 2016 +0200

    Fix segfault when Flatfield blur radius == 0

commit f794cf684b18a9c2ca9b4ac350a10fd1ed37fc90
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jun 12 18:13:01 2016 +0200

    Speedup for cr2 decode

commit ea9dfc9c5c13f252ed790e1a22a4b6f042de3cd9
Merge: 49a6af27 a32e1340
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Jun 12 14:08:38 2016 +0200

    Merge pull request #3343 from Beep6581/dcp_speedup
    
    Dcp speedup

commit a32e13400b3e8130ca3a17abf9bf17af17995dc5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jun 12 13:32:08 2016 +0200

    Removed stopwatches

commit 4a1fb9ae4a559331b8e8710bc56bc1a923d473cf
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jun 12 12:55:54 2016 +0200

    removed wrong comment

commit 5f6781a7415a8caeb3de94bf136552f1329e0c6f
Merge: 97dae796 49a6af27
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jun 12 12:27:22 2016 +0200

    Merge branch 'master' into dcp_speedup

commit 97dae796c6b4e65ddbc4ceb1d387cc9a5303b96c
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun Jun 12 12:07:15 2016 +0200

    Additional cleanups for `dcp.*` (#3343)

commit 65306973b1d7288a92a669d4baf6803fcccd825a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jun 11 22:18:59 2016 +0200

    Speedup for Flat-Field correction, fixes #3253, also introduces changed formatting to switch statements caused by new astyle profile

commit b8749f8484555ab255ef5a53df0ec70164f86d7f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 10 18:30:07 2016 +0200

    dcp speedup cleanup

commit 49a6af275e7365e17b29112885010be883cf2e13
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Jun 10 16:19:55 2016 +0200

    Add some omitted `std::` prefixes in `dcp.cc`
    
    Those could hinder Marcin's SUSE builds.

commit c541d6e182666b875fab3603782f8376dc99bcd6
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Jun 10 14:03:11 2016 +0200

    astyle - indent switch blocks.

commit a889396e44be0e8cfc5c41675ef40da59cb341d3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 10 01:38:24 2016 +0200

    Fix compile bug, fixes #3340

commit eedb9f39bcf8f04fdd2d99f923a3aab5c9738781
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jun 10 00:20:03 2016 +0200

    Another 'small' speedup for dcp

commit 3aa9947a37a2ae4d66ff0f9b9e60488a873309db
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 9 23:43:55 2016 +0200

    Forgot to add dcp.cc with last commit

commit c086177032982c7e977c34ae467829b62fe96dcc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 9 23:42:32 2016 +0200

    Speedup for DCPProfile::apply

commit a824b718081eadb8cdc76c45a533109604c2f478
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Jun 9 23:17:34 2016 +0200

    Minor changes to docs, testing something.

commit b50de693a0f015f406a6a4ee307ed8673057fabf
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 9 21:49:13 2016 +0200

    Replace expensive dcp srgb gamma calculations by access to lookup table => no difference in output and much faster

commit cbbdc3e36fcf8b1f34421e56cea7b85a7209f39c
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Jun 9 20:38:46 2016 +0200

    Rawtherapee forgets checked Autofill-option, fixes #3332

commit a28bbb853b5a4af418bcc5b05edfa5613b591288
Merge: 68208de2 47aa3402
Author: Floessie <floessie.mail@gmail.com>
Date:   Thu Jun 9 20:32:43 2016 +0200

    Merge pull request #3338 from Beep6581/fix-dcp-race-and-store
    
    Fix dcp race and store

commit 47aa3402aea3acb2d64d774fd70e09c24bf9f3e6
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu Jun 9 19:08:46 2016 +0200

    Finalize `dcp.*` cleanup (#3304)
    
    - Introduce DCPProfile::Triple and DCPProfile::Matrix
    - Hide DCPProfile::ApplyState internals
    - Refactor the rest

commit 8ee8eb4ed6105e35f2cf8b635dd4b8dd66fd619c
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Jun 7 21:04:12 2016 +0200

    Another bunch of cleanups
    
    - DCPProfile::apply()
    - DCPProfile::makeHueSatMap()
    - DCPProfile::hsdApply()
    - Refactoring
    
    More to come...

commit 2abd641c0669b922202c0276e68d1b4c0148d217
Author: Floessie <floessie.mail@gmail.com>
Date:   Sun Jun 5 21:30:51 2016 +0200

    Refactor `DCPProfile::DCPProfile()`
    
    - Rename members
    - Styling
    - C++11
    
    Still to come:
    - All the rest of DCPProfile

commit e0ca8ecdff0fce955aae705415c7dd17d3653265
Author: Floessie <floessie.mail@gmail.com>
Date:   Sat Jun 4 22:43:09 2016 +0200

    First round of cleanups for `rtengine/dcp.*`
    
    - Sorted functions and methods
    - Moved local functions to anonymous namespace
    - Slightly modernized local functions
    - Reworked `DCPStore` and fixed memory leak
    
    Still coming:
    - Rework `DCPProfile`

commit a520c937753af1597ed01438400aa34569b376b7
Author: Floessie <floessie.mail@gmail.com>
Date:   Sat Jun 4 21:07:41 2016 +0200

    Add Ingo's patch for #3304

commit 68208de270da25b09d7a10ac56e9c51f5278bfe7
Merge: 8e3c9bfd e2a670c9
Author: Floessie <floessie.mail@gmail.com>
Date:   Sat Jun 4 17:50:38 2016 +0200

    Merge pull request #3329 from Floessie/fix-3328
    
    Fix missing return value in LensGeometry::doDisableAutoFillIfActive()

commit e2a670c99247922f580b5d27a7502cf26c3ab30a
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Jun 4 17:47:19 2016 +0200

    Fix missing return value in LensGeometry::doDisableAutoFillIfActive()
    
    This should fix #3328.

commit 8e3c9bfdafc48cc6c8681f95b8d66ffbd78a0394
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jun 4 12:15:06 2016 +0200

    Fix broken dcp tonecurve and lookup table

commit 8b5cf386bd610d94e3f453fddfd3f9c87e347c94
Merge: 564bf622 21b9b15e
Author: Floessie <floessie.mail@gmail.com>
Date:   Fri Jun 3 19:30:16 2016 +0200

    Merge pull request #3318 from Beep6581/lcpautofill
    
    Automatically disable Auto-Fill when enabling LCP Disortion Correction, #1791

commit 21b9b15e45667f1fa4fcf3a2a630a69f7e0278a1
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Jun 3 14:00:26 2016 +0200

    Applied Floessie's changes to prevent mutex lock issues, PR #3318 issue #1791

commit 564bf622681dc9d30bd337af0d817e88d2c6dceb
Merge: ca31379b 6dba58e2
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Jun 3 08:42:26 2016 +0200

    Fixed special handling of chroma=-100

commit ca31379b47d4c644f7d9efa2400f1abb0c0ce998
Merge: ba534817 d719dd38
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Jun 2 23:15:09 2016 +0200

    Merge pull request #3313 from Beep6581/rgbcurvesspeedup
    
    Merged to get more tests

commit d719dd385e5c1ef2cbf6d46843cda8423649263f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 2 23:10:57 2016 +0200

    Fix possible issues when building with clang

commit 10f4bf3109cdc99109fc446e3b8ab1960754b294
Merge: f885b174 ba534817
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Jun 2 22:33:34 2016 +0200

    Merged master into rgbcurvesspeedup.

commit ba534817502c7f02930efb567c6dd6f74cfe995a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 2 18:15:55 2016 +0200

    Disable #pragma omp simd statement for clang builds, fixes #3324

commit f885b17439ca9ea15842f5a54b82e4974f21c9e7
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jun 2 15:25:08 2016 +0200

    Small speedup for bilinear resize (used for thumbnails)

commit c63cd8dd76cbba86b3e818850ac4b876b4c66f7b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jun 1 22:30:48 2016 +0200

    Apply white balance for thumbnails in float precision => more accurate and also faster than before with int precision

commit b31225672ae3120cd976e24df8d3ce353320654c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 31 23:47:01 2016 +0200

    Some new improvements to speed of curve generation (mainly to speedup thumb processing in file browser)

commit fcd2c1523ce426823da27c26d38ce7b4e77470c4
Merge: d57eec16 da86b815
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Tue May 31 13:40:15 2016 +0200

    Merge pull request #3321 from patdavid/master
    
    Fix minor spelling & capitalization

commit da86b8154ace0d21b746008ff0ae8b402a964c0c
Author: Pat David <pat@patdavid.net>
Date:   Mon May 30 21:43:06 2016 -0500

    Fix minor spelling & capitalization

commit 9fccdd6ca539ffaa3c9520d6f7ff9fe8aa8a7279
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon May 30 23:47:13 2016 +0200

    Automatically disable Auto-Fill when enabling LCP Disortion Correction, #1791

commit d57eec162823b0188c6193403c1c50fc008cdd68
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 30 13:46:08 2016 +0200

    Update for camconst.json, kudos to Ilias

commit 6dba58e26e981409fb8cf9eee3effcff1f88053d
Author: Desmis <jdesmis@gmail.com>
Date:   Mon May 30 09:11:07 2016 +0200

    fixed special handling of chroma = -100

commit fe8c8bfc99e861c27a6b83f7b7315a54ce8da370
Merge: 5cd202dd 119fbfcd
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun May 29 22:39:56 2016 +0200

    Merge pull request #3316 from Beep6581/dcrawupdate
    
    Update to dcraw 9.27

commit 119fbfcd0bea125fb878e5814bcc91e45bdf7700
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 29 22:35:15 2016 +0200

    Updated dcraw.patch file

commit 5cd202ddb563b52044a27a9c46adaafacd6e872f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 24 23:46:43 2016 +0200

    Fix build on Arch 32bit non SSE using gcc-6.6.1, fixes #3305, kudos to mbajor for reporting and to Floessie for providing a fix for the bug

commit 6e97875d814b3907f02fb38d355be71fa173ade6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 24 22:00:21 2016 +0200

    Small correction to Deutsch file

commit 6603577f5cac52e12c2cae0ae7db960459ed9c05
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Tue May 24 21:45:05 2016 +0200

    Deutsch update

commit d0cef55aada8e51321d44982a2a8ca258eaa6139
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 24 19:06:41 2016 +0200

    Fix wrong crop for Samsung NX1 and NX500

commit f86a0811aae311739615530976b3180b02c82ffd
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 24 18:14:09 2016 +0200

    treat black levels > 0xffff in camconst.json as absolute level & 0xffff

commit 918179f621cbd5c863825bd6f720ef5a79c89baa
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 23 20:01:15 2016 +0200

    Correction to last commit

commit d0158efadfd8d6c96d22b97bd6c57d078db315b5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 23 19:31:22 2016 +0200

    Small correction to Deutsch file, thanks to hi-tower for the hint

commit 18243db5bafb63595fd561c89a7b7676483ef843
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 22 21:57:52 2016 +0200

    Update to dcraw 9.27

commit 023e7d36956a0fefa7a0d99fc9e1316468eff5f7
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 22 14:35:53 2016 +0200

    Copied poke255_uc implementation from gtk3 into master

commit f490c6468221913e72626def9d9e09178c42a06b
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun May 22 14:08:30 2016 +0200

    Updated camconst.json, #3298

commit 6185ce3da7db1d2547d2e9f068c58e261f68dfc1
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun May 22 13:48:35 2016 +0200

    Regenerated translation files.

commit 4cf80e7c73d69af4bffab1a8e90fbe43bbbf0447
Merge: f5abb464 c5567718
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu May 19 22:51:49 2016 +0200

    Merge pull request #3293 from Floessie/fix-build-warnings
    
    Fix build warnings

commit f5abb4644937620fa0db524507abf27858ba820a
Merge: 39bedf02 7d97d0da
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu May 19 22:43:53 2016 +0200

    Merge pull request #3294 from eduperez/master
    
    Use "find_program" to search for git executable

commit 7d97d0da9311650331869db594574452524c91d4
Author: Eduardo Pérez <eduardo.perezesteban@gmail.com>
Date:   Thu May 19 15:23:37 2016 +0200

    Use "find_program" to search for git executable
    
    CMake's "find_file" can return non-executable files or folders, thus "find_program" must be used to ensure that only executable files are detected.
    Fixes issue #3290

commit c556771843cd7d39ff90144b9ea352c32cbf740d
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed May 18 21:16:27 2016 +0200

    Prevent narrowing conversion when building for PowerPC

commit 53f03bd00cf337d0743eb2009094047ca8bb8184
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed May 18 20:57:46 2016 +0200

    Fix ODR violation
    
    When building with LTO, the compiler warns about a violation of the ODR.
    This commit fixes the two competing places by moving the structs into
    anonymous namespaces.

commit 39bedf026ca8304104088321f0f696122fd56d04
Merge: 89a7ebac 68a77f26
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue May 17 22:17:16 2016 +0200

    Merge pull request #3291 from Floessie/fix-empty-clut-name
    
    Fix std::out_of_range exception with empty HaldCLUT basename

commit 68a77f26f631651c11716d3f609eedc8dea8a0de
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue May 17 20:51:14 2016 +0200

    Fix std::out_of_range exception with empty HaldCLUT basename
    
    User jgschaefer [reported an error on pixls.us](https://discuss.pixls.us/t/rt-build-from-git-crash-on-launch-debian-testing-64-bit/1425)
    which could be traced down to an empty basename for a HaldCLUT. The
    original implementation did not throw an exception due to the use of
    `std::string::substr()` instead of `std::string::erase()`, but silently
    assigned the first working profile to `profile_name`.

commit 89a7ebac166483a6f3deb5bd139a4c5917083558
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 16 19:13:35 2016 +0200

    fix wrong condition in Color::transitred

commit 20aec5b1291052cb046b742d3f4704bfb0d23193
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 16 18:20:42 2016 +0200

    Cleanup and small improvements for ciecam02

commit b23778eebc405977fc79e8ccf2b309afb7f66433
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 15 16:07:23 2016 +0200

    Speedup for flatcurves and NURBS curves getval() functions

commit 80f86c7189c4b88ee51fddbef5874e312aedf648
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat May 14 19:29:26 2016 +0200

    Histogram of working space does not show 'gray2C' for gray regions, fixes #3283, fixes #3213, kudos to mmmtok for providing the patch

commit e8d90698cfe2bfb5c5a05ffe4d7b4cf113829c8f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat May 14 14:26:56 2016 +0200

    Fix copy/paste bugs

commit 56804fca6935d6ae0a07b6f9d5ecb805a0c7f7ce
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat May 14 13:17:17 2016 +0200

    use LUTf.makeIdentity()

commit 9da7de408069e021bd6a20a922fb1d7d4f0fec99
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat May 14 12:04:02 2016 +0200

    Fixed a bug I introduced with last commit and changed argument order of Ciecam02::curveJfloat

commit 298a8f417fb8bb67a0d76aa59b78e497bf26b642
Merge: 6e102351 aa291253
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat May 14 11:57:56 2016 +0200

    Merge pull request #3282 from Floessie/dedusting-haldclut-fix
    
    HaldCLUT cleanups after the dust (#3154) has settled

commit 74447dff9930229d782b1e3a1e1090a640d1922b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri May 13 21:52:49 2016 +0200

    cleanup for Ciecam02::curveJfloat(..)

commit c601e05422794bf7a1925b951c53ad343c885d42
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri May 13 15:40:21 2016 +0200

    Fix non OpenMP build and astyled improcfun.cc

commit aa2912531644cf66c2565c73776f13de67ef3e4a
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu May 12 21:44:20 2016 +0200

    Read-ahead of `getClutValues()` is only one pixel now

commit e8595890c5bf2dffa1d2cbd6e95c35b502e8fc68
Author: Flössie <floessie.mail@gmail.com>
Date:   Thu May 12 20:21:17 2016 +0200

    Final cleanups

commit 6e102351e08984053431f0900fc7bc79b7927170
Merge: 721de446 12656796
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu May 12 13:40:11 2016 +0200

    Merge pull request #3281 from Beep6581/retinexgain
    
    Retinexgain

commit 12656796517cfd733cc9747a47de3a51ee39b682
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed May 11 21:04:32 2016 +0200

    Retinex: some small improvements and some cleanup

commit f4d5c645de112bf9e5423707513115eaf82653e3
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed May 11 20:01:17 2016 +0200

    Add Ingo's `clutstore_no_mmx.patch`
    
    Ingo has provided a solution for the strange Windows crash with
    `_mm_cvtpu16_ps()`: It was not an alignment problem, but the use of
    MMX instructions which led to the SEGV.
    
    Now Ingo's solutions omits MMX instructions altogether and is
    nevertheless faster than the `_mm_set_ps()` workaround.
    
    Many thanks to @heckflosse!

commit aa2beb4c724c6d8ba301ce7426d512ecc50faed5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed May 11 00:04:11 2016 +0200

    Floessie suggested some C++11 related improvements which I add with this commit

commit 1edfb0c6f79d72acb6f759e2df30a11503404b59
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue May 10 20:39:20 2016 +0200

    Switch `getClutValue` to vfloat2 and load/store source[RGB] unaligned
    
    Ingo had some cleanup suggestions in #3154 which I tried to realize with
    this commit. Although switching to `vfloat2` is a clever idea, I can see
    no further speedup.

commit 721de446f456ed1cf06b58cc05d76673e0fbcb43
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon May 9 20:00:12 2016 +0200

    Fix crash caused by uninitialized variables when using ciecam02 on files without exif data, fixes #3084

commit 5c14573be7cba3d191f759ed7042328ec0bf1273
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 8 23:16:23 2016 +0200

    cleaned code a bit, also added a small speedup

commit 01ddba2397b28abb8167cac533e51789ecb3d88a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat May 7 22:11:39 2016 +0200

    remove CLIP() from index when accessing gamma2curve LUT because gamma2curve LUT already clips internally

commit 6646c2dc5cbc5300fd66c584d862aea1689f1174
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri May 6 21:51:57 2016 +0200

    Speedup for thumbnail and editor processing, also reduced base memory usage a bit

commit 31b2589b9b67450cfbfe5f014b37a89ef186f12f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri May 6 17:16:45 2016 +0200

    Fix crashes caused by aligned access to unaligned memory in CLUT code, fixes #3154, fixes #3278, fixes #3277

commit 678315672b0cb29a9e44bc7e8dcee58e815f312e
Merge: 9622bbc2 2ad89f94
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed May 4 20:30:37 2016 +0200

    Merge pull request #3276 from Floessie/fix-haldclut-overrun
    
    Fix buffer overrun when applying HaldCLUT (#3154)

commit 2ad89f9464ad1d8e61349bba620d2b03e5bf0530
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed May 4 20:15:15 2016 +0200

    Fix buffer overrun when applying HaldCLUT (#3154)
    
    Ingo found a buffer overrun due to an inverted mask when deciding
    whether to take the SSE path or not. This fix applies his suggested
    pattern for boder cases. Kudos to @heckflosse.

commit 9622bbc2ba8a5c9f78cbe528f23575e0c60705f8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 3 20:50:45 2016 +0200

    Fix buffer overrun in clutstore.cc

commit aa5072fa0aafea5471398da57797ff3eab8dec01
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 3 20:12:04 2016 +0200

    Speedup for histogram panel

commit 5e0a859ceabb49e2f07f6bbebec05d0a47ace46b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue May 3 20:01:59 2016 +0200

    Fix buffer overrun in rgbProc()

commit add88cc62c8ba06d801e1488e1777398f952a54b
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun May 1 22:49:10 2016 +0200

    astyle'd rtengine/clutstore.cc

commit 7a417f2b56f019a851aaaa32123c5c4654aa47ea
Merge: c8db5664 2b9f6e33
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun May 1 21:49:16 2016 +0200

    Merge pull request #3256 from Floessie/haldclut-revision
    
    HaldCLUT revision and speedup (kudos to Floessie for this great work)

commit 2b9f6e3355390ced1a81975f60713f5b0f6cd48c
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun May 1 21:36:13 2016 +0200

    Add Ingo's clutspeed.patch

commit d530617ae19b72de01b883ae6385c1fc3753ec68
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun May 1 20:49:17 2016 +0200

    Include last remarks from Ingo
    
    - Changed `_mm_store_ps` to `STVF`
    - Increased number of cached CLUTs by factor 1.5

commit 17635cf53565b4fed6fc4cced16cd5dd2ec5e901
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun May 1 11:17:40 2016 +0200

    Add myself to AUTHORS.txt
    
    With permission by [Ingo][1] I added myself to AUTHORS.txt.
    
    [1]: https://github.com/Beep6581/RawTherapee/pull/3260#issuecomment-212565582

commit 39f4db609a7c589043d84ef7e9a3ce13eb8aa972
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun May 1 11:10:11 2016 +0200

    Final code cleanup
    
    - Corrected whitespace and comments
    - Replaced `VECTLENSP` with `__SSE2__` and `4`
    - Removed redundant `inline`
      (see: http://programmers.stackexchange.com/a/35436 and
      http://stackoverflow.com/a/5971755)

commit eceb024ba88fa5303071b799ff05ca2669b5d238
Author: Flössie <floessie.mail@gmail.com>
Date:   Sun May 1 10:41:21 2016 +0200

    Add Ingo's `gamma_srgbclipped` patch

commit a742e3a7baadcc2d870853cd13533d725f51ee83
Merge: 67a19d0c c8db5664
Author: Desmis <jdesmis@gmail.com>
Date:   Sun May 1 08:53:52 2016 +0200

    merge master into retinexgain

commit 2dd2f5ca175b6c0673f02bd50a63fcbe59a5b5f5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun May 1 00:16:06 2016 +0200

    Speedup for thumbnail processing

commit c8db56643ad9b4cbbd22aeb6f4cb69d069c5f07a
Merge: 13033757 06611c04
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Apr 30 15:39:59 2016 +0200

    Merge rec2020 into master

commit 06611c04bab09ddae0fa79a34cb432dcae8c39f9
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Apr 30 07:47:21 2016 +0200

    small change

commit 12a5d90fe6be16d9495d696037b6da2e034cdeed
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Apr 30 07:41:34 2016 +0200

    chanhe matrix rgb-xyz and xyz-rgb

commit 130337578ee64ec7beec34171453942f305c4536
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Apr 29 23:17:54 2016 +0200

    Updated Sony ILCE-6000.dcp, #3220

commit beaea22779abe3732a7cee4dfa2a4ef4ad1785e2
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Apr 29 20:35:37 2016 +0200

    Vectorize color space conversion for HaldCLUT
    
    Vectorize color space conversion for HaldCLUT depending on the
    definition of `VECTLENSP`. It's not fully AVX compatible because `F2V`,
    `LVF`, and `STVF` are SSE only.

commit 29fe23e517fa8dde0a31f33de9a00f0d5e286085
Author: Flössie <floessie.mail@gmail.com>
Date:   Fri Apr 29 17:26:56 2016 +0200

    Move `film_simulation_strength` calculation into `HaldCLUT::getRGB()`
    
    - Moved `film_simulation_strength` calculation into `HaldCLUT::getRGB()`
    - Removed unneeded base class `CLUT`
    - Used `_MM_SHUFFLE`

commit e9beb1b69ce07d0a335d0acc2224537bff549424
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Apr 29 07:53:41 2016 +0200

    Add rec2020.icm

commit b97ed08987f7b1bec966db9e37ebd79637a9e2f0
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Apr 29 07:41:17 2016 +0200

    Add working profile Rec2020

commit 9dee6dddf1a114f32fccead94e851205ba110077
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Apr 26 22:16:23 2016 +0200

    Hoist `out_rgbx` allocation out of the loops

commit bf499055e182563f36e26ac3b309a8ee260e1b2b
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Apr 26 21:57:58 2016 +0200

    Apply `HaldCLUT::getRGB()` per tile line
    
    `getRGB()` now takes a whole tile line instead of a single pixel.

commit 78c08e9e5c4287e7b00351732a395cbe9d2c6120
Author: Flössie <floessie.mail@gmail.com>
Date:   Tue Apr 26 20:48:11 2016 +0200

    Add Ingo's optimizations
    
    Add Ingo's SSE optimizations and clean up the non-SSE part of `getRGB()`
    with `intp()`.

commit 56f8ea086cdc95a0d177e6f83391b1ebba165344
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Apr 23 23:02:02 2016 +0200

    Correct whitespace
    
    Last commit messed up some whitespace, this one fixes it.

commit b1a9e968365c5cafcd499dd706268d6f26ddf98d
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Apr 23 22:46:21 2016 +0200

    Store HaldCLUT as flat RGBx array
    
    Instead of using an `Image16`, which is organized in planes, store the
    HaldCLUT in an `AlignedBuffer<std::uint16_t>` with sequential RGBx
    values. This gives a speedup of roughly 23% here.

commit f639cd6b82849a7e3bd3ade4d5e0aaf6507b75c8
Author: Flössie <floessie.mail@gmail.com>
Date:   Mon Apr 18 20:38:23 2016 +0200

    Use Image16 instead of Imagefloat for CLUT
    
    Gain speed and reduce memory by using Image16 instead of Imagefloat for
    the CLUT.

commit e495093b187b647b6585604d2827fb0eb1776871
Author: Flössie <floessie.mail@gmail.com>
Date:   Sat Apr 16 22:20:18 2016 +0200

    Clean up clutstore.* and add LRU cache
    
    This commit adds a true LRU cache to `rtengine` which is used in the new
    `CLUTStore` class. The code in `clutstore.*` was cleaned up with C++11
    features and small optimizations taken from my `clutbench` project.
    The `CLUTStore` class was converted to a true singleton.

commit e61e4883464370fc31296ca7b38c9f4122fa2cd9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Apr 23 22:45:40 2016 +0200

    small speedup for lut += operator

commit d153b554930aaa81f488416bd7ca50b04dac1c72
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Apr 23 20:31:35 2016 +0200

    Reduce default strength of raw ca-auto-correction

commit 2382341f410ee919db1918db6b4478289388f787
Merge: 50e6dfc9 296919eb
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Apr 23 15:59:13 2016 +0200

    Merge pull request #3260 from Floessie/fix-babehav
    
    Fix #3259, RT fails with ASan

commit 50e6dfc95a2a247a695b5d36d59c265a1a05ca26
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Apr 23 03:17:22 2016 +0200

    Recreated GNU GPL v3 license file, hopefully fixes #3218

commit 35267fe8fd51ac19056f4fdf626dcd9e53cc10c0
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Apr 23 02:50:49 2016 +0200

    Added DCPs: Sony ILCE-6000 #3220, Nikon D7200 #3236, Fujifilm X-T1 #3243.

commit 43329b89b191c441e46d41698dabac76b10d377b
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Apr 23 00:04:39 2016 +0200

    Updated Deutsch by TooWaBoo, #3247

commit a79e4bc24bb7854b34939edd731c8f5e4ec6fb1f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Apr 22 13:25:52 2016 +0200

    small correction to last commit

commit 609814afae36520cdb93066e43c237839bfe3734
Merge: f7af57d1 e0e52fbf
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Apr 22 12:57:02 2016 +0200

    Merge pull request #3262 from Beep6581/cacorrectoddheightfix
    
    Unstable output w/ same PP3 and RAW CA auto-correction when image height % 2 == 1

commit e0e52fbffc1e9a836d132a57865bd673d830ee4c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Apr 22 12:54:53 2016 +0200

    replace all  __attribute__ ((aligned (16))) with ALIGNED16

commit 58fb7af2bbd79b8797f8b80c9062899dd38c5113
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Apr 21 20:51:47 2016 +0200

    Unstable output w/ same PP3 and RAW CA auto-correction when image height % 2 == 1, fixes #3258

commit 296919eb2b872e644185bf29ad7af059d3e89099
Author: Flössie <floessie.mail@gmail.com>
Date:   Wed Apr 20 20:29:51 2016 +0200

    Fix #3259, RT fails with ASan
    
    When compiling RT with `-fsanitize=address` it fails early in
    `Options::setDefaults()`. To fix it, initialize `baBehav` directly as
    permitted with C++11. As a bonus, I converted `addsetids.h` from
    defines to an enum.

commit f7af57d11ed0a486eb37eb1e7b76ed8cfee51a30
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Apr 12 13:38:45 2016 +0200

    Allow lcp vignetting correction for lenses without focal length information (e.g. lenses without chip)

commit 8e4c4be6d60fc70d7ec96ffba5254fa8a64d7193
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Apr 12 13:38:27 2016 +0200

    Allow lcp distortion correction for lenses without focal length information (e.g. lenses without chip)

commit 44b9fdaae8e9dc326f7ceccb27bd158f2cb0cd7f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Apr 11 17:06:54 2016 +0200

    Fix crash and freeze opening files with GMCY cfa (e.g. Canon Powershot G1)

commit 3ac59ad467ea930920253d0ef4ac340cef0b4468
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Apr 11 01:37:23 2016 +0200

    Solving issue #3249: "Fit crop to screen doesn't work as expected
    anymore"

commit 324b54bb4665b194676ca317ea317a0e4c5eb028
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Apr 10 07:26:51 2016 +0200

    extend the limit of the tint slider to 10 for IR

commit 86d7d9063f558975014784985235d70a954ccf96
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Apr 8 12:46:08 2016 +0200

    correction for LUT += operator, fixes #3245

commit f64e3deea418c5b522dc7ea12b7ce3ff440fa2cb
Merge: 05aed401 1eb37d77
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Apr 7 18:45:04 2016 +0200

    Merge pull request #3242 from Beep6581/ris_speedup
    
    Speedup for getAutoExpHistogram and getAutoWBMultipliers. += operator for lookup tables (handy to sum up per thread built histograms)

commit 1eb37d7730de75404640f6433f3151e01b94855a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Apr 7 18:34:39 2016 +0200

    LUT.h: new += operator to sum up per thread histograms; RawImageSource::getRAWHistogram: very small speedup

commit 05aed401da913be8edd3864009d2430625dc5ef5
Merge: 8464ecae 4858315e
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Apr 3 18:28:08 2016 +0200

    Merge pull request #3239 from Beep6581/xtransnew
    
    Merge xtrans speedups into master

commit 4858315e24a64e99ce93dc98386a0edd5079051b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Apr 3 18:24:40 2016 +0200

    xtrans_interpolate: removed benchmark code and astyled

commit d629006252c43c20517f10d3aba26a60050ceed7
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Apr 3 17:40:03 2016 +0200

    Speedup for getAutoExpHistogram and getAutoWBMultipliers

commit 8464ecaec83329e87467100496aa3a8ab15b4ea7
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Mar 31 13:59:34 2016 +0200

    Added DCP profiles for Fujifilm X-E1, X-E2, X-T1 and X-T10 with permission from user cack

commit 4b9bc5be88ab6d18594fb9197d6bf94083397522
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Feb 6 14:59:02 2016 +0100

    Try to fix #3132 by making sure every file chooser dialog is given an appropriate parent window.

commit a053f38059c1af3cd1d8d411351955356623cc2e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Mar 24 13:40:16 2016 +0100

    11% speedup for xtrans demosaic

commit f6cb2579d0b012bfc6a095af39b276f312bc2942
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 22 17:46:30 2016 +0100

    fix possible buffer overrun in raw ca correction

commit bfc0505320f510dbe1d985bd76ff8ba3a61f62a3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 22 17:29:48 2016 +0100

    xtrans demosaic: 4% speedup and disabled CLIP

commit 71dd6a6e596ad89b14849ede9810d2ba3117888c
Merge: 4dddb349 db275b1f
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Mar 20 01:45:01 2016 +0100

    Merge pull request #3228 from Beep6581/xtransnew
    
    Speedup for xtrans demosaic

commit 4dddb349b4e9bb474dcbf176e984161a428af4d7
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Mar 20 01:33:45 2016 +0100

    Fix #2388: "Partial Paste still buggy, quite impartial"

commit db275b1f91cb9f49d82eeae572ad54f846f17847
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 20 01:32:10 2016 +0100

    removed benchamrk code from xtrans demosaic

commit 0c786ee1bce8cd2e18d8e6316fb0f04aea3b6d9c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 20 00:35:05 2016 +0100

    RT won't read width of toolpanel on startup

commit d2d436ea6a53c940bab962add432df1ef79e8030
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Mar 19 21:29:43 2016 +0100

    Deutsch updated by TooWaBoo, closes #3227

commit f36565cba9dd0d9de3209774116227fa639c3aee
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Mar 18 21:49:23 2016 +0100

    Fix issue #3182: "Preview image jumps around on canvas while zooming"

commit 8e35deb9c974c96497297545b2dc88a711e009c2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Mar 16 19:34:31 2016 +0100

    Fix uninitialized variable in toolpanelcoord.cc

commit 636d0be31471ca4b7cc31bef1bd0b2bcd387fe87
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 15 19:21:07 2016 +0100

    about 4% speedup for xtrans demosaic

commit 703b3edb0ad8a3301723857aa778655eba780510
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Mar 14 17:40:19 2016 +0100

    Don't demosaic again when changing 'False Colour Suppression Steps

commit bc38a582976d9647f7ea08b27e6f021b827b5a8d
Merge: b0bfe487 6434460e
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Mar 13 23:25:36 2016 +0100

    Merge pull request #3215 from Beep6581/falsecoloursuppression
    
    Speedups for raw false colour suppression

commit 6434460efb00a4e473a86c9665543cb505a6b795
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 13 23:23:32 2016 +0100

    removed benchmark code from raw false colour suppression

commit b0bfe48723d8e5419af9f03399276d5ac1be2bdc
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Mar 13 19:59:04 2016 +0100

    Increased Fast Export's max resize width and height to 10000, closes #3212

commit af45865a2e56621bed429392e03a59e894629a37
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Mar 13 18:15:48 2016 +0100

    The pipette mechanism was broken: the created point was not dragged. (no
    issue)

commit c200c266c050194de90329d59c911a078f0064f0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 13 17:15:31 2016 +0100

    5% speedup for raw false colour suppression

commit 9b2e19717201ec020feed11a3199c1c8c269c7fa
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 13 14:25:33 2016 +0100

    Fixed copy/paste bug in processFalseColorCorrectionThread

commit 13b49f8a54d36fe89658ea89cc58eda76f23f41b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 13 14:02:08 2016 +0100

    Use fabs instead of fabsf in LinEqSolve

commit 8c4c8ac175e98669985adadc7843f660daa18e25
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 13 13:49:46 2016 +0100

    One less operation in MIDDLE4OF6

commit a55167bde8fb290ef4f6711e2d6f0e64455d1a26
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Mar 12 23:32:25 2016 +0100

    24% speedup for raw false colour suppression

commit c64a8a6daf0220eddab5c03aeb10461ef87acbdc
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Mar 12 01:13:43 2016 +0100

    Crop borders detection area has been enlarged from 6px to 9px, and the
    800% limit bug has been fixed.  Fix issue #3205.

commit 4fdcfbd8df7b6d7183fcdb8f50ae88fa036bc651
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Mar 12 00:11:21 2016 +0100

    10% speedup for raw false colour suppression

commit ffd403140d34d625d1be1cfd26acb9b3ef8da831
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Mar 11 18:24:39 2016 +0100

    Regenerated translation files.

commit dadbd71e5880da868f6bc887f65209fe0965f8e2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Mar 9 23:57:37 2016 +0100

    Speedup for xtrans demosaic

commit aef24efc4d618815b9e0ea9a0a9430057313250d
Merge: 0e0f5dd8 7ec1a01f
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Wed Mar 9 19:04:04 2016 +0100

    Merge pull request #3197 from Beep6581/enhanced-edit-mecanism
    
    Enhanced edit mecanism

commit 7ec1a01f3d91fbf45193058cc0cab10745e302ab
Merge: 7dfacf6f 0e0f5dd8
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Mar 9 18:51:36 2016 +0100

    Merge remote-tracking branch 'origin/master' into enhanced-edit-mecanism

commit 7dfacf6ff4d9c4d18c7644ebff6400a9266f6703
Author: Hombre <natureh.510@gmail.com>
Date:   Wed Mar 9 18:50:56 2016 +0100

    Adding comments

commit 30b5949fd53913c29466397410fdf306f93778fb
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Mar 8 00:50:01 2016 +0100

    Advice from Adam taken in account.

commit 0e0f5dd80dea08c05dc102d1b2325d133790ec2c
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Mar 7 17:59:21 2016 +0100

    Shortened DMG image filename, closes #3162

commit b3f6f1c1b522df1b6effe04da1b69c2af354b690
Merge: cf68a0f9 1d64c651
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Mar 6 23:37:21 2016 +0100

    Merge pull request #3199 from Beep6581/xtransnew
    
    About 3x speed for raw false colour suppression

commit cf68a0f9300598be3ff8acef979ae94a8d2c46ed
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Mar 6 23:10:09 2016 +0100

    Added Canon EOS 6D DCP

commit e2691b784a7a64e0a6864d686bd35b71bcacd064
Merge: 72283f86 fede85d3
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Mar 6 21:14:10 2016 +0100

    Merge pull request #3192 from aserebryakov/master
    
    buildRT script updated by aserebryakov due to project migration to GitHub

commit 1d64c651cf6461c16852a8d89345d3d8f26da4e1
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 6 17:34:45 2016 +0100

    Raw false colour suppression: additional 25% speedup

commit 2f2421442b5b8ef20290f214b0f8e9dd77076136
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Mar 6 01:14:35 2016 +0100

    Raw false colour suppression: additional 38% speedup

commit 8619fd8a0b789c4fa284ee262da91d238e638d27
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Mar 5 18:50:26 2016 +0100

    25% speedup for raw false colour suppression

commit fede85d33938d6f6a5dc4c5598b48d3cf3980853
Author: Alexander Serebryakov <alex.serebr@gmail.com>
Date:   Thu Mar 3 21:36:40 2016 +0200

    buildRT script updated in due to project migration to GitHub

commit 18764846daed0c84add1dbd7884e904f4c8a4c32
Merge: 06c26ff1 72283f86
Author: Hombre <natureh.510@gmail.com>
Date:   Thu Mar 3 00:28:12 2016 +0100

    Merge branch 'master' into enhanced-edit-mecanism

commit 06c26ff1b30ad31b5eb311fd2d9c1b2d0107269c
Author: Hombre <natureh.510@gmail.com>
Date:   Thu Mar 3 00:25:10 2016 +0100

    Enhanced edit mechanism, with "element picking" possibility

commit 72283f867da7cb3cb47ff51fa92f1a84a2f5ee0f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Wed Mar 2 22:04:48 2016 +0100

    Fix #3191 which was due to a typo when calling atan2 during polar coordinate conversion.

commit c9b89f3d193e4338b8267854874e0b5f8f6540e9
Merge: da9df6df 1ddd7b6e
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Mar 2 17:11:43 2016 +0100

    Merge pull request #3189 from Beep6581/cacorrect
    
    Speedup and code review for raw ca correction

commit 1ddd7b6e3f32b672af6a1abff36bbcc1d0a10d53
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Mar 2 17:10:02 2016 +0100

    Small optimization for ca correction

commit da9df6dfecac50c842d82db77d0695ef2eb6acf3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 23:43:34 2016 +0100

    restore some accidently removed labels, fixes #3190

commit d00c895b3dc732c76a2662d6113c5aa238072b3b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 22:07:41 2016 +0100

    Hide new auto ca-correction strength slider to merge the ca-correction speedups into master

commit 4df5e6405612fe37d5731d8865ea9f00e82e698b
Merge: 98dd9910 9df905aa
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Mar 1 20:31:14 2016 +0100

    Merge pull request #3188 from Beep6581/cbdlbw
    
    Adapt Cbdl to B&W tools

commit 9df905aa1414ffe206f3f8fbde9f85db8992da19
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 20:21:51 2016 +0100

    Set default method for cbdl to 'before b&w'

commit 755f7568bb55d6aac5197fb85ae9e4f6128d0a53
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 19:30:48 2016 +0100

    removed big block of inactive code which I forgot to remove in last commit

commit 51de80b558c73db9b79fb76f0f9caff337e0326a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 19:16:34 2016 +0100

    Fixed bug with combination of cbdl and ciecam, cleaned code, made SSE version for lab2rgb

commit 777b08f7f60c6e0da649731cced2104c09ae7838
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Mar 1 00:51:19 2016 +0100

    Futher speedup for auto ca correction and cleaned code

commit 98dd99103d8ab164185b8ad74bd8d17234cf4fe3
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Feb 28 22:56:40 2016 +0100

    Added new DCPs

commit cbc88a5804b51f34d0dd8bac518138bf3d6f541b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Feb 28 22:08:07 2016 +0100

    Additional Speedup for CA-Correction, also included a prototype to allow strength of Auto-CA-correction

commit 583a73774b3fcd1db780cd67659926e9ab707c7f
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Feb 26 23:26:15 2016 +0100

    Added DCPs, closes issue #2989

commit 00a0da32a9e3b4f5bf1c93d865f57c98d3d75a37
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Feb 27 19:20:41 2016 +0100

    Fix #3181 by store the filename which will be unset when the entry is deleted and hence cannot be bound by reference.

commit 5788dabf0d215024c2c8aca516562814f607f036
Merge: d8e41eae f0113b8f
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Feb 27 15:07:19 2016 +0100

    Merge pull request #3172 from Beep6581/lut-and-init-cleanup
    
    Reduce start time and memory usage by removing redundant lookup tables and filling remaining lookup tables in parallel. Also replaced all x^(1/3) with std::cbrt

commit d8e41eaeaa1568f2b76541fe16984c9e7b98b7d2
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Feb 27 09:44:14 2016 +0100

    Fix #3711 by using the method to clear a combo box which is correct in version 2 and 3 of Gtk+.

commit 6b5db692e158072bd14b02d9807a798a82874e20
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 26 22:29:48 2016 +0100

    Reduce cache conflicts in correction pass of raw CA correction

commit 84f58da6ff9c98c9f416c1471c152d2fd7094ebc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 26 22:08:33 2016 +0100

    Eliminate all pow() calls in CA_correct_RT.cc

commit 43c316f43b051146596ae1d961d9e698679d1c40
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 26 13:27:43 2016 +0100

    Remove unused and uninitialized key 'ThumbImageOffset' from cache

commit f0113b8f57313debba499adab4965503407ccee3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Feb 25 19:14:00 2016 +0100

    Removed benchmark code and made Color::gammatabThumb a LUTuc

commit 1b220543f347a61d1cb5f2b67d07d8c253866275
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Feb 25 16:50:21 2016 +0100

    Replace all x^(1/3) with std::cbrt(x)

commit bf66671a6d9fa7b461d611acbba70776bf78be44
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Feb 25 15:45:42 2016 +0100

    Moved gamma lookup table from rtthumbnail.* to color.*

commit aae360a5aa144429ac3b98d26c91dd57f7d9aff0
Merge: ad32009c 21a1b8eb
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Wed Feb 24 19:55:38 2016 +0100

    Merge pull request #3166 from adamreichold/clean-up-coordinate-helper
    
    Clean up the Coord and PolarCoord helper classes

commit 24ca91dc61a8463ddcd7c3417790acc1be58bf55
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Feb 24 02:17:09 2016 +0100

    Removed cleanupCache from improcfun.h and StopWatch for iccstore

commit e52b1fcdd402c364200a931926af559d40654fbb
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Feb 24 01:35:47 2016 +0100

    Reduce start time and memory usage by removing redundant lookup tables and fillig remaining lookup tables in parellel

commit ad32009c536486b7e2a8b340614a5f11816151fb
Merge: 3f85ee00 686b25f3
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Feb 23 23:57:33 2016 +0100

    Merge pull request #3170 from Beep6581/sonylensfix
    
    Fix Sony LensID issue, kudos to dschlegel

commit 3f85ee00e998cc9f3d53e7f16fcdb94303e62f60
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Tue Feb 23 22:08:22 2016 +0100

    Add commented-out line for inclusion of gdb.exe in debug builds, issue #3060

commit e8309858700c750133d95a6852b25ed65326a2e7
Merge: 89a060b8 5d37aeb4
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Tue Feb 23 20:17:05 2016 +0100

    Merge pull request #3164 from adamreichold/remove-safegtk
    
    Remove SafeGtk and SafeKeyFile modules

commit 89a060b89d3722370984a0c3385a0d19c4d68cb5
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Tue Feb 23 15:45:10 2016 +0100

    Update WindowsInnoSetup.iss.in

commit 686b25f33d65c73e0ba94e1a9acbf2c757ea55f5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Feb 23 15:31:26 2016 +0100

    Fix LensId Issue with Fuji DNG files

commit b2b9eb5ab11b9bda8c7b7daea0d2319ecd13855f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Tue Feb 23 10:18:13 2016 +0100

    Update README.md

commit 61121cada3b8cead74aed4cbed1a39c6cb5eb715
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Feb 22 22:40:39 2016 +0100

    Fix Sony LensID issue

commit e16a505e04ca2b369e919cb1f3c033db66905067
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Feb 22 19:28:03 2016 +0100

    Fix broken build without OpenMP

commit baa8e616328609aed274ed23006298354c81acd0
Merge: afec724b ca1c1a03
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Mon Feb 22 19:03:33 2016 +0100

    Merge pull request #3165 from adamreichold/add-profiling-build-option
    
    Add build option to enable gprof-based profiling instrumentation

commit ca1c1a03d774e1017c8110127fc71814e4be89df
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 15:44:41 2016 +0100

    Add build option to enable gprof-based profiling instrumentation.

commit afec724b72eaec1275ff0af4b0286c925e3d8c47
Merge: 9f29f49f 1f77da52
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Mon Feb 22 19:01:22 2016 +0100

    Merge pull request #3167 from adamreichold/add-sanitizer-build-option
    
    Add a build-time option to easily enable run-time sanitizers

commit 9f29f49f0196ae3bec1dd54971a9d6f221372e36
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Feb 21 23:45:48 2016 +0100

    Re-formatted tools/osx/macosx_bundle.sh

commit 053905838231ee0c0bba8a885b1173a6471b70fb
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Feb 21 23:35:48 2016 +0100

    Fixed old paths in osx scripts and quoted some variables

commit 1f77da52388e9cd77661d1340a54f2003b04cca0
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 20:30:02 2016 +0100

    Add a build-time option to easily enable run-time sanitizers available in recent versions of Clang and GCC.

commit 5d37aeb4e1ff68180142909de129dc8e856c0d21
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 18:22:28 2016 +0100

    Request only the minimal amount of attributes when using enumerate_children to improve performance.

commit 21a1b8ebdcbf2f91520a4505170cf07bf7c6801f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 18:04:34 2016 +0100

    Clean up the Coord and PolarCoord helper class for the GUI to follow standard practice for values types.

commit be173412f15a6364393d5514ed3d680ea7520f5c
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 16:44:21 2016 +0100

    Fix the key file write path which depends on exceptions from loading before writing being swalloed.

commit ad45ba6df1cb6368512e50ed50961038c78d0c30
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 21 10:45:25 2016 +0100

    Remove one last instance of the obsolete PROTECT_VECTORS macro that was accidentally reintroduced during rebasing.

commit 85c809ce6c23ff382b526d64e7c694ad6c004a3c
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 20:09:57 2015 +0100

    Also remove the SafeKeyFile wrapper class.

commit a2eea7c2650f922cfb6a027ebd60d0e2a2040979
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 16:22:06 2015 +0100

    Finally fully remove the safegtk module.

commit 1297f4b2ec4e158e1b24fe486a72a37b820cdeb0
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 15:06:46 2015 +0100

    Move the UTF-8 string conversion helper to their respective places of use.

commit 0eab0ebd9469601638a7c8bfa24daecd5110d26f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 14:35:36 2015 +0100

    Move the two low-level file I/O helper to their respective single place of usage.

commit e8536298540560e78375d153a0991343256542c8
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 12:14:09 2015 +0100

    Move the external command helper into the external program store singleton.

commit bcda68f6e0d14406fa7afb7fac0baee5cd453393
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 02:15:24 2015 +0100

    Remove the last safe directory listing functions.

commit 747a28014b14158a269228a727897f7277b7d070
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 26 01:35:22 2015 +0100

    Begin removing simple pass-through wrapper for POSIX-style file system functions from safegtk module.

commit b62b78e2f87ccb2b827e56c915ada41d02f1f23d
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 23:28:10 2015 +0100

    Move the special directory query helpers into the places browser.

commit e78d29ef3593a3e846f52f44edd5b1b58aac5b30
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 23:05:53 2015 +0100

    Move sub directory listing helper to its only place of use in the directory browser.

commit 13ebcb0dd090c9bba967be044695efdb5f58fc51
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 22:39:53 2015 +0100

    Move image loader helper functions from safegtk to RTImage module.

commit 0b32f12f6c405929054f03c35b6fddc5efa15ca8
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Feb 21 00:20:34 2016 +0100

    Solving issue #3163: "Detail window centres to whole image instead of
    centre of preview"

commit c40979340b9c00e70d56cde085c6aa9c98896bb6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Feb 20 21:09:24 2016 +0100

    Fix broken windows build

commit 174c0cd601ca5318bac6fe44704d7e54548e753f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Feb 20 20:49:09 2016 +0100

    Fix typo in safe_build_subdir_list, fixes #3160

commit 80dacddedc9eb31abe3ee470fbba885dca970137
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Feb 20 18:59:56 2016 +0100

    Added patch for libiconv 1.14 needed for OS X, see issue #3161

commit 926e5f810c71c815c7682da6957ba27e49e04cb4
Merge: 817ac171 a1e2fda5
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Feb 20 18:31:23 2016 +0100

    Merge branch 'master' of github.com:Beep6581/RawTherapee

commit 817ac17189959f19cf17052eacc52651d774b4a3
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Feb 20 18:30:59 2016 +0100

    Updated OS X scripts and moved OS X and Windows files from rtdata/ to tools/

commit a1e2fda596eab93f964a5373b7f4c5352d2bd97c
Merge: a79c67f4 fa6a9671
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Sat Feb 20 14:10:34 2016 +0100

    Merge pull request #3142 from Beep6581/NewPreviewCanvas
    
    Modified Preview Canvas
    Now the image can be shifted off the borders and the 'on preview' geometry can be manipulated outside of the image's domain. This will prepare future enhancement or new features.

commit a79c67f4959ab05d27dfab07fcb7d705dee11fea
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Feb 20 14:09:32 2016 +0100

    Fix clang compile issue in ipsharpen.cc without losing omp in sharpenHaloCtrl

commit a15fe1de3eb19c6e3e18ac75156098913567d3e8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 19 21:52:02 2016 +0100

    Cbdl before b&w, fix ciecam02 issue and clean the code a bit

commit c2c93faa3581352fc8156b43be614c43a5c2fe70
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 19 19:26:11 2016 +0100

    Cbdl before b&w, fix refresh bug

commit 5d9b07ae1a78c4d9ec45246ead441703e7f1051b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 19 17:34:57 2016 +0100

    CMakeLists.txt, remove package fftw3 (we use fftw3f)

commit 5f988861b0adf134fc1683e4006877a499186ce3
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Feb 19 16:58:23 2016 +0100

    Init CBDL before Black and White

commit 904467b5a34d1c0fed623df4dd97ac8246ef065c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Feb 17 18:22:22 2016 +0100

    Fix wrong condition which leads to uninitialized memory access for xtrans files, fixes #3156

commit 583dd8ea8c515b55ef56e05ec2250e90095adc32
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Feb 17 18:19:41 2016 +0100

    Fix wrong initialization in xtrans demosaic 3-pass

commit d8c980f8243f999ef9d2b925a743df39c98d1c11
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Feb 16 15:33:51 2016 +0100

    Fix aligned access to misaligned stack, fixes #3152

commit a7fbe52f50a8613b3cfabfddc8f9e45087f42e3c
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Feb 14 19:48:03 2016 +0100

    Deutsch translation update by TooWaBoo, closes #3149

commit fa6a9671cb218a2efa4b79a9da00724be934d49f
Merge: de7c6d77 180959fa
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Feb 13 17:57:13 2016 +0100

    Merge branch 'master' into NewPreviewCanvas

commit de7c6d773a9642ad3d5b047b2a55c6ef24f3ddaa
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Feb 13 17:54:47 2016 +0100

    Updated code taking into account Adam's comments + bugfix

commit 67a19d0cc97fbb289e2cc5db91f2211c1d3255fc
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Feb 13 08:02:04 2016 +0100

    small change to take into account new scale with iterations

commit 180959fa41f48fa6845748c1a2e46cb832e0938a
Merge: 6d7e2df1 382b2e5c
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Fri Feb 12 19:57:14 2016 +0100

    Merge pull request #3147 from Beep6581/xtrans_fix
    
    Recalculate XTrans matrix after cropping by camconst settings, fixes …

commit 73b0bb14c0fd6b621b3e61bfbf6bced3b6fd6d4c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 12 18:42:08 2016 +0100

    Retinex, precalculate some expensive stuff (sin, cos, atan2) using SSE and line buffers

commit 382b2e5c263d32411f0f13197e0555b540768556
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 12 15:27:12 2016 +0100

    Recalculate XTrans matrix after cropping by camconst settings, fixes #3110

commit ba5161d446bee8d3273963faa3fe295a5c1f431d
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Feb 12 13:36:32 2016 +0100

    change default Tansmission curve

commit a21deef3deda7af52ca9546e0872bc4cd172ae2a
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Feb 12 12:51:46 2016 +0100

    GUI improvment and re-introduce scale

commit 6d7e2df16093b2e0fc07b2bd83fe889913391622
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Feb 11 23:25:17 2016 +0100

    Fix crash opening X-Trans files generated using new firmware, fixes #3137

commit b449e0827b26671409f5cd5173041f66ecd48bab
Author: Desmis <jdesmis@gmail.com>
Date:   Thu Feb 11 18:21:56 2016 +0100

    Init new process gain with curve

commit 7d79df3e2870b4bbdf5c84d8d9ea5d881b178ab8
Merge: 7655fce8 a391847b
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Feb 11 12:01:10 2016 +0100

    Merge pull request #3145 from Beep6581/retinex_fix
    
    Retinex, fix calculation of iterative gaussian blur

commit 7655fce8f998dafbbf5149ddf56441ba98b8b538
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Feb 11 00:44:26 2016 +0100

    Shadows/Highlights Sparmpask, speedup using SSE4 for native builds

commit a391847b028753990f19a12e73137ddce43ea254
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Feb 10 00:09:43 2016 +0100

    Retinex, fix calculation of iterative gaussian blur

commit a91d2c3dba3a37909bc2adbdb1651f301a23e0eb
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Feb 9 21:47:31 2016 +0100

    Updated README file

commit 4b9e713c76d6c9485ac651e3194e9ade2336cacc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Feb 9 20:13:57 2016 +0100

    Retinex, removed benchmark code

commit 42e025501dbf6da15cf1f09c532c54d15b0a6df5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Feb 8 16:33:37 2016 +0100

    Retinex, fix wrong usage of omp

commit 23ea31cd7867dc18b7827032a8b6759fcc4b10b6
Merge: 0cb10a7f a3531d87
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Mon Feb 8 19:39:41 2016 +0100

    Merge pull request #3138 from Beep6581/coverity_scan_one
    
    Try to solve issues found in iplab2rgb, ipwavelet, partialpastedialog and retinex during Coverity scan.

commit 0cb10a7f6fb05b7f8127fb06fb70daf59591022a
Merge: 706f573f 00c22ef9
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Sun Feb 7 19:46:01 2016 +0100

    Merge pull request #3139 from adamreichold/remove-free-array2-helper
    
    Remove freeArray2 helper function

commit 00c22ef95e7a8275b96d406d1692bc8c3396998c
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 18:11:24 2016 +0100

    Fix incorrect comment and add missing preamble to jagged array header.

commit 7d8fac214ad1f2a94c031bd175cd1ab08e452e40
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 13:04:53 2016 +0100

    Fix leaking an array of arrays by freeing it using freeArray2 and introduce a jagged array helper class to use for temporary buffers.

commit 706f573f689e54209e2dbae60b47112195cc9087
Merge: b6ffe04c ed25099a
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sun Feb 7 15:31:21 2016 +0100

    Merge pull request #3140 from Beep6581/d1xfix
    
    Fix border und highlight reconstruction issues for Nikon D1x files

commit ed25099a59307694acc10a38e952cca448c56ca0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Feb 7 15:23:51 2016 +0100

    Added some switch defaults and removed a cast

commit a3531d87fbc1f2386a19dd602501a7b50fccd9a7
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 14:10:36 2016 +0100

    Fix passing the large type struct cont_params by value in the image processing functions.

commit 2636d3e38618f197f46ea89216b98b05a516256e
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 14:04:16 2016 +0100

    Remove some duplication w.r.t. the ICC store from the lab2rgb function.

commit 171674a3e85247d3abb285fb1fe39098f23823ce
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 13:43:58 2016 +0100

    Assert memory access preconditions in ImProcFunctions::ContAllL and begin to remove some of the detritus in that file as well.

commit 246115ecb2a312c4f643751a88c8019b84d0a2b6
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 13:35:16 2016 +0100

    Fix some value and code duplication in parameter initialization.

commit d2c13ff1aa9447b2ee73114503d6a92113b39ce1
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Feb 7 13:30:51 2016 +0100

    Remove some commented out or unused members of the partial-paste dialog.

commit 2532a5e27c3961b1480e3b20704a3ffce64b3904
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Feb 7 00:39:38 2016 +0100

    Some further cleanup of code (mainly using macros for SSE to increase readability)

commit 23db45b3a24f3830bcaba6dd8d82eb6193012b6d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Feb 7 00:27:19 2016 +0100

    Moved some helper functions to anonymous namespace and did some further cleanups

commit 036114c6044db66413c1f83aeb4083f67c0ad437
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Feb 5 23:30:46 2016 +0100

    Fix border und highlight reconstruction issues for Nikon D1x files

commit b6ffe04c462b27a470f77ddc3443985516a74c28
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Feb 5 21:20:25 2016 +0100

    Try to fix #3131 by opening the batch queue CSV file in binary mode to prevent any unwanted implicit text codec conversion on Windows.

commit 4665b88788528e1792aae5be435b421abb7ad1f4
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Jan 29 22:09:56 2016 +0100

    Modified Preview Canvas
    
    - Now the Preview can show free space around the image (the image's
    corner will coincide with the center of the preview area)
    - Editing objects can now be manipulated in this free space
    - The editing mechanism has been split : it was completely handled in
    rtengine before, now rtengine still handle the pipette's data provider,
    but rtgui now handle the objects data provider.
    - Bugfix: when using coarse rotate in the Editor panel, the Gradient
    widgets are now correctly displayed

commit 8c3e6eab95959571050570da44169113d34bd05f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Feb 2 15:31:30 2016 +0100

    Fix crash when opening a folder containing dng files with corrupted thumbs, fixes #3129

commit 80085787a144e6a0d38feb6ef3e3e5b5a6ceaedb
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Jan 28 14:35:08 2016 +0100

    limit number of file attributes

commit d734372ffa6d901b555f034e209f3fc69b782d33
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Feb 1 16:47:15 2016 +0100

    Fix typo in gauss.cc, fixes #3128

commit fea35baf69300de63680ffdb94a5a6135abb548c
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Feb 1 10:55:34 2016 +0100

    Try to solved iplab2rgb ipwavelet partialpasted retinex

commit 85e735153dd79219248abe9a2ba677f3f9783e0f
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Jan 31 22:06:14 2016 +0100

    Added <keywords> section to appdata file, closes #3107 even more than before

commit 02113431412f556f9dbf46cb665e578628f381c6
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Jan 31 21:47:39 2016 +0100

    Added Keywords= to desktop file, closes #3107

commit 4d3f1d92ad541319bfb6d8dedabfd4edcde8e3e2
Merge: b5aa2dcf 17d9309f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jan 30 23:24:31 2016 +0100

    Merge pull request #3062 from adamreichold/clean-up-threadutils
    
    Clean up thread utilities

commit 17d9309f1c3c5fa22bf3882c3f3c230293d3464b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Jan 5 23:59:14 2016 +0100

    Remove PROTECT_VECTORS option since either program is correct without locking or it is not, especially since std::vector is definitely not thread-safe on all major platforms.

commit 5883410354c48d30d4d262bf66030c87eaea098b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Jan 5 23:30:29 2016 +0100

    Rework the thread utilities so that: We don't pay for a recursive mutex when we don't need the debugging capabilities, a race condition in the reader/writer locks is removed and the interfaces and (still inlined) implementations are separated for improved readability.

commit b5aa2dcffc82ebd986dd4d02d230a8f295a12e01
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Jan 30 15:07:09 2016 +0100

    Updated interface translation files.

commit 0fca97b72518c49e28e70f2905f63988a22d8f6d
Merge: 87f2b102 8a860941
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jan 30 14:36:41 2016 +0100

    Merge pull request #3073 from adamreichold/optimize-multilangmgr
    
    Simplify the multiple language manager for better maintainability

commit 87f2b1028426c992422681ad4c068550969334c4
Merge: 78d2d65e 5499974f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jan 30 14:35:07 2016 +0100

    Merge pull request #3124 from adamreichold/fix-slow-clut-parsing-again
    
    Improve handling of slow CLUT parsing

commit 78d2d65e2a29e8e1b52aaf42b52e8a22f6a9513c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Jan 29 23:26:23 2016 +0100

    Fix some aligned access to unaligned memory

commit 5499974ffa72beaf84458d3afbabd14a53f7ec86
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Wed Jan 27 21:18:50 2016 +0100

    Fix #3121 by asking the user if a slow CLUT scan should be cancelled.

commit 24248fcb39626517fb5e3e8753e53f5a6f2ee3b1
Merge: 91f240d0 d99e8997
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Wed Jan 27 19:47:36 2016 +0100

    Merge pull request #3123 from adamreichold/fix-cache-limitation-file-names
    
    Fix #3122 by properly splitting out the MD5 part of the data file name

commit d99e89977460f36b2abf09d53f932b41034c7e1e
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Wed Jan 27 19:33:06 2016 +0100

    Fix #3122 by properly splitting out the MD5 part of the data file name to get the base file name when limiting the cache.

commit 91f240d057bf88f5bbe4d81695e942703d37d0ad
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Jan 27 00:22:54 2016 +0100

    Disabled benchmark code in Amaze demosaic

commit ae69a0861978eeb668fa1fae11d192c92b21b39b
Merge: e9cbaf3b 260e1f80
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Wed Jan 27 00:05:00 2016 +0100

    Merge pull request #3120 from adamreichold/fix-batch-queue-accelerator-group-destruction-order
    
    Fix #3113 by changing the destruction order in the batch queue

commit e9cbaf3be5a41fb6e7e9f7375a51094933c55d6d
Merge: f1a153c8 ded93005
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Jan 26 23:30:10 2016 +0100

    Merge pull request #3119 from Beep6581/amaze_speedup
    
    Merge Amaze changes to get more testing

commit ded93005d9cb0cd19d5f2c3d6669a0cccf171668
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jan 26 23:27:52 2016 +0100

    removed streaming code because after adding _mm_mfence() it wasn't faster than the non SSE memset

commit f1a153c8afbe5ca400dd35ddd5dca6e6f76d70cd
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Tue Jan 26 23:26:22 2016 +0100

    Made TP_FILMSIMULATION_SLOWPARSEDIR more clear after user feedback.

commit 260e1f808f20c4e319c3d5c1ae2a55366b6c2f4f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Jan 26 21:53:36 2016 +0100

    Fix #3113 by changing the destruction order in the batch queue, so that the accelerator group reference-counted pointer is destructed after the menu to silence the otherwise resulting Gtk+ RTTI warnings.

commit ee665d67908eb9b3652aaf9d42a1923b5aab838f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jan 26 13:10:38 2016 +0100

    Amaze Demosaic: Speedup, cleaned code, changed nyquist code

commit 481fdab32c394424209d78d5ccd09d8f4def31f4
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Jan 26 10:58:48 2016 +0100

    Fixed display Transmission in Retinex

commit 2017a0e59223878913f5c1e04ab97c29c4c02d7c
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Jan 24 01:44:35 2016 +0100

    Code review and speedup for Amaze Demosaic

commit 55fc921814406d463711abe0910849c86727d0bb
Merge: e5b1abdc d282bba4
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Fri Jan 22 17:39:03 2016 +0100

    Merge pull request #3111 from Beep6581/newretinex
    
    Newretinex - new features and bug fixes

commit d282bba42956317cee273390aa9ecb7351872321
Merge: c50a4bb7 ba98b34b
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Jan 22 13:23:29 2016 +0100

    Merge master into newretinex and fixed some merge conflicts

commit e5b1abdc3b508bd8f0766693c26d49ce2783ec4d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Jan 19 15:59:21 2016 +0100

    Remove some #include

commit f222338a7b798883e9fca49e52abef3a1062b108
Merge: ba98b34b 75e60501
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Tue Jan 19 15:23:45 2016 +0100

    Merge pull request #3094 from adamreichold/fix-cluts-dir-listing
    
    Fix slow parsing of CLUT directory

commit ba98b34b496d57f64429f38af36e7ec1d853a12b
Merge: 33ea7156 a3c20daa
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Jan 19 14:15:28 2016 +0100

    Merge pull request #3106 from Beep6581/gaussmerge
    
    Cleaned gauss code and included some speedups for RL Deconvolution, Impulse Noise Reduction and Defringe

commit a3c20daa46d29cad6f3215f8591a325be2ca194d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Jan 18 23:56:02 2016 +0100

    Cleaned gauss code and included some speedups

commit 33ea7156b895c9386eb8f1b0e66c47232a6b04b1
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Jan 18 00:11:56 2016 +0100

    Solving issue 3092: "Profile file names containing german Umlaute are
    not shown"

commit c50a4bb7a933f4ea2075c9af5da2caef885fe2c2
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Jan 17 18:46:48 2016 +0100

    Simplify interface Process and Mask

commit 94725dedae4c210f5d15eda980f4e01a9eeb817a
Merge: 9a0d19ac 7dac8dbd
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Jan 17 17:15:10 2016 +0100

    Merge pull request #3102 from horst3180/fix_treeview_background
    
    Prevent treeview background color from being changed by the system theme, pull 3102

commit 9a0d19ac248dcdaefc4862e40ddff88e0bdf9f8b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Jan 17 16:32:03 2016 +0100

    Fix #3104, i.e. the batch queue context menu, by binding a reference instead of the initial value of the  vector.

commit 75e605012a4d910b3ad3a068c2167b3e558baf82
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Jan 17 16:21:57 2016 +0100

    Fix logic error in extension checks for loading ICC and CLUT files.

commit 2d77d783e0855e479654a75a9a7f7bb3177fa62c
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Jan 17 10:06:22 2016 +0100

    Fixed various bug issue 2969

commit 7dac8dbd1d8fa858e8ac8660f8f44aff277ed623
Author: Horst3180 <horst3180@users.noreply.github.com>
Date:   Sun Jan 17 00:55:36 2016 +0100

    Prevent treeview background color from being changed by the system theme

commit 250e06884d28fc1db5a047df29a496f3e0df9531
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Jan 12 17:31:13 2016 +0100

    Only notify the user once if the parseDir method of the film simulation is slow.

commit bf2c24a48fe54874766d450061f3a78b0927373a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 11 23:42:59 2016 +0100

    Limit CLUT file search by wall time instead of number of directories and files.

commit 8a86094198d2c28b4e8bdf7d531d5b37769b872e
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 11 23:09:26 2016 +0100

    Add back missing handling of newline characters in translation files using C++11 regular expression support.

commit 93d497573a7243297810867d3e8009119d643681
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 11 22:55:04 2016 +0100

    Only sort those CLUT file names which are actually regular files.

commit cc585058abdb003a338865a8807dc3275fc1b110
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 11 20:58:36 2016 +0100

    Limit the recusrion depth, direction and file count of the search for CLUT files.

commit b8aa69c8d545e389783c858c3379ecf43506b1d8
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 11 18:57:45 2016 +0100

    Fix SIGSEGV on startup if ClutsDirectory is empty by always creating a model.

commit 5ff270bf51d16a13147f1849fff0936ce528530f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Jan 10 17:45:40 2016 +0100

    Close #3064 by fixing an uninitialized pointer in RawImageSource::MSR.

commit 7f8704950773bb57afdbeeafbc7b996061d1b4c7
Author: Anders Torger <anders@paganini.it4u.local>
Date:   Sun Jan 10 15:33:56 2016 +0100

    Added Phase One IQ3 backs

commit 955218e087bb516883b941d14dc04ecf1f9e4f3c
Author: Anders Torger <anders@paganini.it4u.local>
Date:   Sat Jan 9 15:26:02 2016 +0100

    Issue 3054: apply color management to file browser view

commit ea926477e3c6186ab44c715867b3e116631c9221
Merge: e36ccb01 46d57426
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Jan 9 14:47:36 2016 +0100

    Merge branch 'master' of github.com:Beep6581/RawTherapee

commit e36ccb018b5e0aaac6af7ecd8c86f1bd0ca108ef
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Jan 9 14:46:44 2016 +0100

    Interface language files updated - Retinex is work in progress, do not translate yet.

commit 46d57426bcdd76c2299948f52c634678705fce8a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Jan 9 14:31:25 2016 +0100

    Fix one more usage of the deprecated std::auto_ptr that slipped through due to the order merging pull requests.

commit b5a7037e4f7c9cf7dcdfe68cde02662262f08d5d
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Jan 9 10:50:29 2016 +0100

    Fix a shadowed indirect header dependency in the batch queue to close #3074.

commit 255ba251649e580f56ed39c6db5af076c55c5e6f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Dec 28 22:12:55 2015 +0100

    Simplify the multiple language manager for better maintainability.

commit cc266431646867831f8797689bfd7f1628eebdd4
Merge: de8c7df0 4f68e370
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Fri Jan 8 22:34:34 2016 +0100

    Merge pull request #3063 from adamreichold/use-signals-and-slots-instead-of-listeners
    
    Merge use signals and slots instead of listeners

commit de8c7df0906b0e7a3463b3fad656bbda804bebb9
Merge: bc80ef94 5006fb6b
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Fri Jan 8 22:33:06 2016 +0100

    Merge pull request #3040 from adamreichold/cpp11-example-code
    
    Add some example code using C++11 language features and fix some deprecation warnings

commit bc80ef946b5ba55ada5536b149e0aea6ecba2064
Author: Anders Torger <anders@paganini.it4u.local>
Date:   Fri Jan 8 19:33:37 2016 +0100

    Added initial support for IQ3 MP100 and 16 bit IIQ files (RawFormat 8)

commit 5f8a472476f0a8c9d635f366325fac4c41ec1cf4
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jan 8 17:58:54 2016 +0100

    Make the compiler require an error instead of a warning during build configuration to close #3070.

commit b8b3b3f47e9edee374b229eb523e84ab8c9e0bc2
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Jan 8 17:17:42 2016 +0100

    Changed adjusterMinDelay, issue #3068

commit 7d28c2531c73f87775231959fd916684d59ae1df
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Jan 7 19:18:49 2016 +0100

    Fix #3067 by including the memory header directly into the cache manager.

commit 4f68e370d47d8c0be27099ed93e80b320735f8cd
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 5 11:45:15 2015 +0100

    Replace the DirBrowserRemoteInterface by slots to reduce coupling by using ad-hoc yet type-safe collaborations.

commit 87016d353a48916f982780a762d42c1215314cda
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 5 11:25:23 2015 +0100

    Replace the DirSelectionListener interface using a typedef'ed signal to increase simplicity and reduce boiler plate.

commit 5006fb6b27dd662bfe29c7ab35017beda9712694
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Dec 28 21:01:09 2015 +0100

    Remove all conditional compilation w.r.t. disabling exceptions in Glib since that is no longer supported anyway.

commit ff616eb4736ac44e6a0e9d934ad6991074f052ce
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Dec 25 19:48:20 2015 +0100

    Replace the last folder persister and the use of std::auto_ptr by a simple method using a lambda to bind a variable using the selection_changed signal.

commit 547b969ed446f58a78ceef3d5c1a8bff1b1b9309
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Dec 6 18:42:14 2015 +0100

    Rewrite the routines to save and load the batch queue using iostreams.

commit b85e9c623f649dc5e053c2eb44ce1d32f917dd5a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Dec 6 17:44:38 2015 +0100

    Copy-edit some methods of the batch queue to test usage of C++11's auto variables and lambda functions.

commit a727460f77a884a390ce325a904e0d8023331f57
Merge: f85d9a5b 142e0886
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Wed Jan 6 19:51:50 2016 +0100

    Merge pull request #3059 from adamreichold/fix-cache-size-limitation
    
    Fix enforcing the cache size limit and modernize the cache manager

commit 142e0886a656d5066a90df5f52d92a1024dabaad
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Jan 5 19:32:51 2016 +0100

    Remove those parts of the safegtk API that were only used in the cache manager.

commit 0fdcff3057ef65880f09bc34a5dec7c7967c38b2
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Jan 5 16:27:29 2016 +0100

    clean dots in ipretinex

commit f66e838eb97af45603bee83636223136bc79f613
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Jan 4 21:02:40 2016 +0100

    Fix enforcing the cache size limit and modernize the cache manager.

commit 6420467006ef0b8b4a1eee54b55127da1fdda5ef
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Jan 4 14:09:39 2016 +0100

    Fixed also issue3026

commit 6abab61a6740b92976eb50842bdb8f00517ca69d
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Jan 4 12:32:31 2016 +0100

    Init newretinex

commit f85d9a5b4523156e88164397442c988b3f32b4fc
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Jan 4 02:41:16 2016 +0100

    History message fixed for Wavelet's "'After' contrast curve", closes #2992

commit d146809651e2a676e816ef0aeb3a52f4532727b7
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Jan 4 02:39:55 2016 +0100

    Several fixes to Retinex additions, issue #2969

commit cdd073e80591457ba126a2ce58113f2558cf8818
Merge: 96af836f edd88be8
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Jan 3 17:13:13 2016 +0100

    Merge pull request #3055 from Beep6581/retinexadd
    
    Retinexadd

commit edd88be82c7af3fa05d10efadc6b0f644e417804
Merge: 4e229fe9 4d6833c4
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Jan 3 16:56:21 2016 +0100

    Try to solve conflit

commit 4e229fe9284b62346b8cf096cd7037d03260b73d
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Jan 3 15:48:22 2016 +0100

    update retinexadd with master 4d6833c

commit 96af836f614f188d809bd63f0b96b4c77ba6afc1
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Jan 2 18:35:27 2016 +0100

    "Apply white balance" off by default, closes #2953

commit 8eb26157fd2497c9fc262db368b0a02d21ad8219
Merge: 4d6833c4 fd7dcf4b
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jan 2 16:21:18 2016 +0100

    Merge pull request #3052 from Beep6581/partialpaste-prsharpening
    
    Implement post-resize sharpening in the partial paste dialog, fixes #3051

commit 4d6833c43ce706054c3c5edcf97ee6698a5dd7b6
Merge: 527c45c6 d70c3e67
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jan 2 14:29:51 2016 +0100

    Merge branch 'master' of https://github.com/Beep6581/RawTherapee

commit 527c45c68588ba7ce9bfc83dbedeabb17c5507e0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Jan 2 14:28:48 2016 +0100

    Build failure on ARM and PowerPC architectures, fixes #3053

commit d70c3e67a2d42e2bba002f3165aba6a50453cf71
Merge: 59f01ba6 15813b9f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Jan 2 14:08:04 2016 +0100

    Merge pull request #3029 from Beep6581/add-monitor-profile-and-softproofing
    
    Add easy selection of monitor profile and rendering intent, closes #2744

commit 15813b9fb045e8314e5a80615866754ffc1e889f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Jan 2 12:22:32 2016 +0100

    Fix the missing output profile intent in ParamsEdited::set and make sure the default output intent is relative colorimetric everywhere instead of perceptual as to not change the previous behaviour.

commit 59f01ba6f9adc52eb32af39bc2b34828b99254c3
Merge: b343b9a7 052533bd
Author: adamreichold <adamreichold@users.noreply.github.com>
Date:   Sat Jan 2 09:45:35 2016 +0100

    Merge pull request #3028 from adamreichold/mandate-cpp11-and-gcc49
    
    Always enable C++11 support and warn if GCC older than 4.9 is used

commit fd7dcf4b847adf15790024aefe7bae16f3b0d34e
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Jan 2 02:14:33 2016 +0100

    Implement post-resize sharpening in the partial paste dialog, fixes #3051

commit 61f639192f32066bd6fc4498232a95a8c29ecb91
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jan 1 20:24:10 2016 +0100

    Make use of the rendering intent enum in the preferences implementation as well.

commit cefb22122000654ed3b2521c1efb71ba6a0395b9
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jan 1 20:10:48 2016 +0100

    Remove the redundant isColorProfile dirty flag, but keep updating the monitor profile using processing parameter change events.

commit 5fd5d5bece84b0930a8aa96e6b83ce4b5194a2b2
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Jan 1 19:43:09 2016 +0100

    Remove the soft proof button and internal flag as it was decided not to mix this with the output profile handling.

commit c9a6f74efaad0ceeddaa3a3786dcd8bbc4681681
Merge: 38f9c05c b343b9a7
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Jan 1 15:44:58 2016 +0100

    Merge branch 'master' into retinexadd

commit b343b9a7b3bd13c5b37155296efe703fd2168d8e
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Tue Dec 29 17:42:14 2015 +0100

    Also change the currently Windows-specific code path for selecting the output folder in the batch queue.

commit 79a1c19c60ccbbcf3dd934d222de8b2c2565ca90
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Nov 12 17:11:56 2015 +0100

    Fix issue #2905 by using the file chooser's selected instead of the current folder.

commit 31eef891185da3e832918d09f5b77a95bd66abe5
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Dec 28 18:05:46 2015 +0100

    Use the LOCAL_SISO* constants to determine the language name on Windows to support systems older than Vista.

commit bcbb45454a0038c0d28923382de379fd17831d36
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Dec 29 03:52:50 2015 +0100

    Updated icons (from Drslony), code cleanup and bugfix

commit 0daea6659747ce4b0eeecbf56dcd37cae4a6c0ba
Author: Hombre <natureh.510@gmail.com>
Date:   Mon Dec 28 14:43:37 2015 +0100

    Adding the Absolute entry for monitor rendering intent + icons updated

commit 6260b472a628e1d099c2b833e2e006c90a20e875
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Dec 25 13:17:33 2015 +0100

    Deutsch interface translation updated by TooWaBoo, closes #3039

commit de42472225a0141ddc823f7c90c4ff177cbe8d15
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Dec 21 22:55:33 2015 +0100

    Updated all interface translations

commit 9cf3fac41428b10378b4bb425e7ecdb5ac116844
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Dec 21 22:55:07 2015 +0100

    Deutsch interface translation updated by TooWaBoo, closes #3020

commit 210f82bc6a6aeb49e11d0d66f6f7cce904586092
Merge: a345eb7c 6b52742d
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Dec 20 23:25:21 2015 +0100

    Merge pull request #3037 from adamreichold/fix-file-count-on-removal
    
    Fix the number of files displayed in the file browser tab title being…

commit a345eb7c8ace16fff2486ad43d34f093ccb76aa7
Merge: 13e7260a df70d03e
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Dec 20 23:24:14 2015 +0100

    Merge pull request #3036 from adamreichold/fix-range-selection
    
    Fix range selection

commit 4ecf463f9f9f1e980fcf6c0e6d105fcf20325aa5
Merge: 151556ae 13e7260a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Dec 20 20:53:59 2015 +0100

    Merge master for the C++11 ABI fixes.

commit 151556ae23b0ec883a098c739c18092aac69bb4f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Dec 20 15:56:12 2015 +0100

    Add an optional function to the pop-up button, so that it will select the next entry when clicked and also do some miscellaneous code clean-ups including forward declarations.

commit 13e7260a237333687a25a1bff105c7c41c103379
Author: Harshula Jayasuriya <harshula@hj.id.au>
Date:   Sun Dec 20 13:26:27 2015 +0100

    Close #2964: Fix Segmentation fault in rtengine::processImage due to crop
    
    When a pp3 contains negative values for X & Y in the Crop section these get
    parsed into array indexing code without being checked and set to 0. This results
    in a segmentation fault because the code tries to index the '-1' element of the
    array.

commit 7227ccc63c6446b00e65da049a57997a631c3e08
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Dec 19 22:50:38 2015 +0100

    Fixes #3003 Detect pango-querymodules version from Homebrew on OS X

commit f63ebce657aa4fddd6e0dfea73c60925a98f3d23
Author: Hombre <natureh.510@gmail.com>
Date:   Sat Dec 19 22:10:31 2015 +0100

    Updating the path of Inkscape/64 on Windows

commit 4d6533746e155e1834f59a65f4514f62659a3fd8
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Dec 19 19:45:54 2015 +0100

    Delete WindowsEnvironmentSetup.html
    
    Made obsolete by http://rawpedia.rawtherapee.com/Windows

commit d90d803977327ac0e8b6b3df53afd642a6f05d32
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Dec 19 18:35:08 2015 +0100

    Update README.md

commit 46388488ca0db156dee68a58e38c6bbba6aa1ec6
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Dec 19 18:32:58 2015 +0100

    Update README.md
    
    Removed brief compilation instructions as the RawPedia articles are now up to date and explain everything in relevant detail.

commit 0a56ba6e87fd57f2239f220ae14ba1fa158a2559
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Dec 19 18:12:05 2015 +0100

    Delete COMPILE.txt
    
    Deleted COMPILE.txt, refer to:
    http://rawpedia.rawtherapee.com/Linux
    http://rawpedia.rawtherapee.com/Windows
    http://rawpedia.rawtherapee.com/OS_X

commit 052533bdcc049469a2140c2ea8c49817285b0e0f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 19 15:45:35 2015 +0100

    Always enable C++11 support and warn if GCC older than 4.9 is used.

commit f8347ea698411568ecb13b55b7b31dbd11701cd4
Merge: 1ef2229b c09a00bf
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Dec 19 13:44:53 2015 +0100

    Merge pull request #3027 from adamreichold/add-cxx-abi-flag
    
    Expose force the old C++ ABI as a build time flag.

commit c09a00bf16cbb29cb7fc3dccd4d5a76f7d580a68
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 19 09:39:54 2015 +0100

    Expose force the old C++ ABI as a build time flag.

commit 1ef2229ba43338a53d049d893b6a009635332e28
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Dec 19 09:18:18 2015 +0100

    Close #3025 by fixing the fully defining the original selection function.

commit e9141dd98c98d3e8d9dee1fb36bfa0cfbef360d8
Author: Hombre <natureh.510@gmail.com>
Date:   Fri Dec 18 01:45:59 2015 +0100

    Cleaning up the GUI for the monitor profile and rendering intent +
    output profile rendering intent + soft-proof button.
    
    DCP profile GUI switched from 2x2 array to a single column.

commit 1650333b2a911e21c2e59bdf889005bff872bf9e
Merge: 4e0e3230 1b4fd2dc
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Dec 17 22:44:16 2015 +0100

    Merge branch 'adamreichold-filter-original'

commit 1b4fd2dcb5e1a56c0f17390a741e9be4137937a5
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Dec 17 20:01:40 2015 +0100

    Use the provided images for the filter-original button and the parsed extensions list and extend the filer-original tool tip.

commit 97814fbf6ed628566ff047e090a712c6f1be06fa
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Dec 17 19:45:13 2015 +0100

    Import icons provided by Beep6581 into source tree.

commit b89cd282e012ec0d82bd80e145b8db2fa32a74a3
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Fri Nov 13 20:08:25 2015 +0100

    Add buttons to the file browser preferences to make the list of extensions user-sortable.

commit ee766b71b83dd9377300da829a821d488bfe39e7
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 8 12:24:48 2015 +0100

    Add a button to filter the original files to the file browser.

commit d3ac22531bc4899f0ae8b4f3c45cdb1daca3d09c
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 8 11:32:14 2015 +0100

    Extend the file browser so that it will only show the original image if several files of different formats are present.

commit 4e0e3230ccde4e4290c78859cccf19c088525f6a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Dec 16 16:56:26 2015 +0100

    Segfault in Denoise Auto Multizone mode when smoothing set to max in preferences, fixes #3022

commit 32eb6b996c73708d5dc30c75cf7f4fe4a8061028
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Dec 15 01:06:38 2015 +0100

    Adding softproofing. Now the output profile and the new rendering intent
    profile for the output profile will only be shown when the new softproof
    toggle button (bottom of the preview in the Editor panel) will be on.

commit 09062a95076bb3c2b3c63fb053047df5780be226
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Dec 9 15:44:28 2015 +0100

    Fix build problem with latest commit

commit 26e094d56e996e76e995fd921ade7dcd0972171f
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Wed Dec 9 14:04:02 2015 +0100

    Prevent segfault when invalid theme in options file, fixes #2991

commit 031c41af60469314ccceef649c0683bf04a5205b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Dec 9 01:54:47 2015 +0100

    Fix Win32 Debug build part two

commit b856e210aed86d7c8da5bd4f1d4b969da8fbbd2f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Dec 8 19:00:35 2015 +0100

    Fix Win32 Debug build part one

commit 8f733776014d3535f897905cb0bafe66cccb49c1
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Dec 8 18:00:14 2015 +0100

    Add method to explicitly handle menu item sensitivy for the pop-up button.

commit 5f59156bb0377ff20a70b0a8d89d5e0665d9259f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Dec 6 02:30:18 2015 +0100

    Simplify querying the default monitor profile as suggested by Hombre57.

commit 22bffabe7fed331fa913c605490a79b471fa9a1b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Nov 30 21:24:26 2015 +0100

    Extend the editor panel to support selection of a monitor profile and rendering intent and extend the preferences to provide a default profile and intent for the editor panel.

commit 35919bddc9947f81850efcb0e7c773eff44f2993
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Mon Nov 30 21:23:22 2015 +0100

    Copy-edit the ICC store for better performance and maintainability and add a method to load profile lists from arbitrary directories.

commit 594b4f9b6e344434436c448ac282323b42da8f3a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 29 10:25:12 2015 +0100

    Reenable the colorimetric intent selector on the color management tab, but display it below the monitor profile to indicate that this is the only place where it is used.

commit 7ef35abb57ebd3654fc9e7b3b383821a7152eb87
Merge: 606a1cab 871e661a
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Fri Dec 4 08:31:00 2015 +0100

    Merge pull request #3004 from adamreichold/remove-unused-colortoning-labels
    
    Remove two unused labels from the color toning tool that were always …

commit 871e661a93325393348ba451d6addd3eb6744c5a
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 29 11:56:38 2015 +0100

    Remove two unused labels from the color toning tool that were always hidden when not in batch mode.

commit 606a1cabc3f62a101d7d1694d0b5c9a30c41124a
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Tue Dec 1 21:52:45 2015 +0100

    Updated Deutsch interface translation by TooWaBoo

commit e85da94b8e462c2f5459eb70f1b280065f80c66c
Merge: 4273fa30 39ef59dd
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Nov 30 17:25:08 2015 +0100

    Merge pull request #2995 from adamreichold/fix-sigcpp-2-5-1-cpp-11
    
    Add '-std=c++11' if libsigc++ depends on it

commit 4273fa300047e31a9e06b0c7736f1071f9a8fe37
Merge: 5758f4d9 286b8e7f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Nov 30 17:07:16 2015 +0100

    Merge pull request #2999 from adamreichold/fix-edit-tag
    
    Fix trying to dereference invalid iterator in ExifPanel::editTag.

commit 39ef59ddeb7679c71274b1da3faadd395b650c73
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 29 11:48:30 2015 +0100

    Build with '-std=c++11' if libsigc++ version 2.5.1 is used as it does require it.

commit df70d03e1398d9d1394405b7123fd0d1a2c188ac
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sun Nov 29 00:07:21 2015 +0100

    Try to refactor the behaviour of the thumb browser selection modes adding support for shift-and-control range-selection to select several independent ranges.

commit 88ab82cee9073b0cc7abcfef172433b7dccb6f48
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 23:21:17 2015 +0100

    Factor out the three thumbnail browser selection modes without changing their behaviour.

commit 286b8e7f67d261a051438c6fe1bf259f7cc0ce57
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 22:40:22 2015 +0100

    Fix trying to dereference invalid iterator in ExifPanel::editTag.

commit 5758f4d9ad04f42f041dc291e1d27d2d55f84d62
Merge: 283fa51a 68271b92
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Nov 28 18:53:55 2015 +0100

    Merge pull request #2994 from adamreichold/improve-singletons
    
    Continue to simplify and improve singletons

commit 283fa51aa82b4f1d0b86e41b9cc1b866def43b7d
Merge: 4272e2e1 0611939c
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Sat Nov 28 18:52:08 2015 +0100

    Merge pull request #2993 from adamreichold/fix-sanitize-leaks
    
    Fix some of the leaks found by starting with GCC's leak sanitizer

commit 68271b92794ca236978c76072105eca60940979f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 12:54:03 2015 +0100

    Regularize the camera constant store singleton to use a function local static like most other singletons.

commit ebe85388a3a3babdca8c2d11b18824b7ce46b9ab
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 12:48:06 2015 +0100

    Simplify the EditWindow singleton using an instance wrapper.

commit 9ec0557edf48ceb8681141e3688e915f53613356
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 12:31:43 2015 +0100

    Simplify the DCLP singleton instances found by searching for methods named 'getInstance'.

commit f77ca41a6fa588371d9e88d7e868b8bb6a361f09
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Nov 12 22:26:24 2015 +0100

    Fix usage of the double-checked locking (anti-)pattern in the cache manager singleton.

commit 0611939c7a8ca81c16de11fa81cbce8b4c27707f
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 14:52:09 2015 +0100

    Remove apparently unused additional preview handler also fixing a memory leak.

commit e52ce5c485577290ba11a59f0368951192f85202
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 14:30:38 2015 +0100

    Replace a dubious manual return-value-optimization by a standard named-return-value-optimization to simplify leak detection.

commit 1ed09dc049bf192c0b06f4fe64641977a180ba6b
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Sat Nov 28 14:13:46 2015 +0100

    Fix leaking the axis adjusters in the coordinate adjuster.

commit 4272e2e16787fe6e6f05332a4f9a25e2a584ddf3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Nov 27 23:19:45 2015 +0100

    Simlified use of StopWatch and included example into amaze demosaic

commit 0730b1b494e650e76a7fcd1a70d5f305e7aed7a3
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Nov 27 20:16:04 2015 +0100

    Added MAIN_BUTTON_SENDTOEDITOR language string

commit 43b62adecf6b73adb758cef071f43357d33be9fa
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Nov 27 17:35:44 2015 +0100

    Updated all interface translations files.

commit 56c0762256a7212d410514783d2c9fcefa611013
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Nov 27 17:29:09 2015 +0100

    Optimized generateTranslationDiffs, 5x faster, changed from parameter expansion to grep.

commit 3bf8a1f3f6466175df7bde1f449e23f8b9de69c0
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Nov 27 17:26:23 2015 +0100

    Fixed tools/generateTranslationDiffs

commit 415efdefb2f7e66152e96f54e8c2da4a0a2d1230
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Nov 27 15:56:15 2015 +0100

    Changed Exposure tool button from Neutral to Reset, fixes #2952

commit 156fe7cdf46a51c91db0abd9deb5facee2426cd8
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Nov 27 13:46:02 2015 +0100

    Correction to last commit

commit a27327de33a77f2f32e048c4bf67d281c7b339ab
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Nov 23 22:48:34 2015 +0100

    TUNNELMETADATA fixed in Nederlands

commit 9926462e97408146fd1a8c828e90872b81a78047
Merge: 6cb26dc9 4fedf941
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Nov 23 22:42:24 2015 +0100

    Merge branch 'translations'

commit 6cb26dc9f5d027825bc5bcbe385dffe6fc69cc04
Merge: 6923a569 187fdbfd
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Tue Nov 24 22:09:30 2015 +0100

    Merge pull request #2987 from Beep6581/sonyrawfix
    
    Fix Sony 12 bit uncompressed bug.

commit 187fdbfddd7d7698911778b1302af0e729c1f2bf
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 24 21:58:16 2015 +0100

    updated dcraw.patch file

commit 77cf129bf23e8cb7aff9048f67fe4e56f849f8fa
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 24 21:29:35 2015 +0100

    Fix Sony 12 bit uncompressed bug

commit 4fedf9412d010d1b076201972a82ef9c6c8b7c1d
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Nov 23 22:42:13 2015 +0100

    Updated Czech and Nederlands interface translation files

commit 82054bcc63fa6a9d7851ee65ee99125408d4f503
Merge: 6cb26dc9 eac03665
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Nov 23 22:27:18 2015 +0100

    Merge branch 'czech_translation' of git://github.com/mkyral/RawTherapee into translations

commit eac03665e23931a9526d6851db7e8e568b3e6742
Author: Marián Kyral <mkyral@email.cz>
Date:   Tue Nov 24 22:10:19 2015 +0100

    Update Czech translation

commit 6923a569ee6a773b7a7de11cc86f5f393eb7d674
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Nov 23 08:40:13 2015 +0100

    Update README.md
    
    I updated the Linux compilation instructions in RawPedia, so README.md now points to it and offers its brief info only as a quick reminder.

commit d23500fadd06ca1bd80cd7d577667604eb57d344
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Nov 22 23:27:19 2015 +0100

    Update README.md
    
    Added -DCMAKE_CXX_FLAGS="-std=c++11"

commit ffb9e4daeda8133b83a164a6f5333b9660a99caa
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Nov 22 08:06:54 2015 +0100

    Added Exif to list of affected metadata standards in PREFERENCES_TUNNELMETADATA

commit 38f9c05c3c2ec2a75981daaa5a85f187a1dbe4d1
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Nov 15 16:57:02 2015 +0100

    Enhancement to 'Process Transmission' and High radius unsharp mask

commit f74e4b0dd20aafce52a208434570bece705687c1
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Nov 13 08:45:24 2015 +0100

    Fixed numerous bug and add Preview for mask and transmission

commit 6b52742d84535dba497ea4ebc7e037fdf5f25cc6
Author: Adam Reichold <adam.reichold@t-online.de>
Date:   Thu Nov 12 22:17:28 2015 +0100

    Fix the number of files displayed in the file browser tab title being wrong after removal of a file by an external actor.

commit 44490e81ae9bb9cde02cfcc9d61de2d4d9db39ed
Author: Desmis <jdesmis@gmail.com>
Date:   Thu Nov 12 08:58:07 2015 +0100

    Add mask method

commit 13febd8009c5b1504e08946b76d7a8f15f36ebfc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Nov 12 02:02:29 2015 +0100

    Updated dcraw.patch file

commit 8f489d5caed6fd6bcd46bde43ab589d71b2565bc
Merge: 3ea11fcf 6ec6e51c
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Nov 12 01:25:21 2015 +0100

    Merge pull request #2966 from bobobo1618/cpluspluseleven
    
    Add explicit type conversions to satisfy C++11 requirements.

commit 3ea11fcfcd9a0099b59082ec34e3fb6510761b70
Merge: cc472c44 2cbd7d55
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Thu Nov 12 00:27:13 2015 +0100

    Merge pull request #2974 from innir/dcraw_signed_char
    
    Change type of src to 'signed char' as it contains negative numbers.

commit 2cbd7d551c09a226a4a403093559084cd2f86ba8
Author: Philip Rinn <rinni@inventati.org>
Date:   Wed Nov 11 19:38:36 2015 +0100

    Change type of src to 'signed char' as it contains negative numbers.
    Background is that 'char' is considered 'unsigned' on some architectures which causes a compliation error with C++11

commit cc472c449c512a8bd63c8f89150b8de6e7daf1b4
Merge: 41cd98d4 7d805f72
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Nov 11 17:46:00 2015 +0100

    Merge pull request #2973 from Beep6581/waveletcrashfix
    
    RT crashes when using wavelet on completely overexposed image, fixes …

commit 7d805f723cc396c00832a2660da6a12a76735812
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Nov 11 14:33:35 2015 +0100

    RT crashes when using wavelet on completely overexposed image, fixes #2971

commit 41cd98d462a73a7270aceda30f4a15771376234b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 10 21:24:03 2015 +0100

    Fix bug for non Nikon files with ISO > 65535

commit a1fd3d72b205e3fb362ab29afc1e8807567562c0
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Nov 10 11:34:17 2015 +0100

    Improvement to Gaussian gradient

commit 4b6fa0c5f830e45a16467888091c3cb31e8fa397
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Nov 10 08:30:29 2015 +0100

    Forgot Tooltip label

commit 8cfab83f51dd5b35a60bd7039187b951bcc0a1a5
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Nov 10 08:05:44 2015 +0100

    Changes some labels - small change to gradient

commit 2af6d842b9f4000d050d22ee5687f0356106ff61
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 10 00:58:54 2015 +0100

    Fix bug for Nikon files with ISO > 12800

commit 04478c3b946fc3e836d62330bda0d917084f440f
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Nov 9 07:57:22 2015 +0100

    Fixed segfault bug and add strength gradient

commit 1892bbf7724ddc01835a4e1e77fd793358c4389b
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Nov 7 18:47:37 2015 +0100

    Init retinex add tone-mapping

commit 6ec6e51c3585d0633d1034722c22c95f10ea5256
Author: bobobo1618 <bobobo1618@gmail.com>
Date:   Sun Nov 1 01:02:48 2015 -0700

    Add explicit type conversions to satisfy C++11 requirements.
    (cherry picked from commit b93c730)

commit af0572629ed4b5759d6e3b9a8263c6ffd157c69a
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Nov 5 23:34:26 2015 +0100

    generateTranslationDiffs

commit ba217b695a891e86cb0c33cbd7bf8c2cd33854c5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 3 19:13:36 2015 +0100

    Add SSEFUNCTION header to boxblur

commit 0edbe74fd3c85a79b1a9c57433ed01d10852745f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Nov 3 14:17:56 2015 +0100

    SSE code for vertical part of boxblur

commit 5ddc43278cb5bc3be5d8d19eadedb550aefba136
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Nov 2 22:04:29 2015 +0100

    Fix wrong behaviour of retinex in combination with Colour propagation when zooming in

commit 5196d4b9a7f349861af4e70f5d804b95b840fb54
Merge: 07e0920c d9fad5c3
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Mon Nov 2 13:31:32 2015 +0100

    Merge pull request #2959 from Beep6581/retinexgausstest
    
    Merge retinex fixes into master

commit d9fad5c3c31439b55e86c2827bc397be0c97de62
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Nov 2 12:06:55 2015 +0100

    Fix inconsistent preview in retinex when Colour Propagation is active

commit 07e0920cd4b9a5e6b98629d4e4fe2ecf37ae0d87
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Nov 2 10:32:11 2015 +0100

    Deutsch interface translation file updated by TooWaBoo, #2941

commit 493c16856b3c175970b81fd04d70f94417c68a43
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Nov 2 10:03:21 2015 +0100

    reverted last commit

commit 684a5dc5e72a7d9094284deda14db5d1e5788cac
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Nov 2 00:36:57 2015 +0100

    Change order of Retinex and Colour Propagation

commit 6dbb1af4c9e204a3261febf740960155d972348f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Nov 1 23:19:40 2015 +0100

    Retinex, correction to last commit, code cleaned

commit 0120bcd836cccc4c74faf20a42a9a4fed048b296
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Nov 1 13:41:21 2015 +0100

    Speedup for boxblur

commit 71303fd51c378d12247e796551b85ca144917bb0
Merge: 47898f54 6dc09ed8
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 31 21:45:34 2015 +0100

    Merge branch 'master' into retinexgausstest

commit 6dc09ed8a906e83b6d274d44c67e47f5352fba3b
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 31 21:45:04 2015 +0100

    Small fix to Retinex tooltips

commit 3821749177582a0b4cb8897c30f75791900f4c8d
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 31 21:28:21 2015 +0100

    Fixes Retinex Hue Equalizer not reapplying effect when changing Method, issue 2833

commit b98aa2966d56040b58998025c259779cb3318b44
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 31 21:27:43 2015 +0100

    Fixes Retinex Method not read from PP3, issue 2833

commit 47898f54fd72f04d53e616200cb1f0658306b3fb
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 31 21:25:12 2015 +0100

    Use iterated boxblur to approximate gaussian blur for retinex

commit 7ba4a8f471c6f2ca0e08add373d537b74423801d
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Thu Oct 29 22:43:49 2015 +0100

    Better chroma subsampling explanation and correct

commit 280feabddf43c6ce05c447dccaccc8821c793756
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 29 15:49:13 2015 +0100

    Test version of slow gauss for retinex

commit d7009c9b6af27606b10a970f3821bb36d511af90
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Wed Oct 28 21:32:01 2015 +0100

    Removed text so the appdata.xml file validates

commit 26d182dabc6f133c27bffa3aac3f91b7ae55d578
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Mon Oct 19 20:09:47 2015 +0200

    Fixed language error in Retinex Gamma label, no issue.

commit 26b5d4f25e63c5bfd79d3540d864a5e298194e76
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 16:13:55 2015 +0200

    Use default theme if options file sets theme to nothing, "Theme=", fixes #2937

commit 84a9c2c664964ac60006acbfecca7b3cd3deee9d
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 16:09:37 2015 +0200

    Updated RELEASE_NOTES.txt

commit 4ace3d96bc1367dc2fab354b596367ee0a243edd
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 16:05:35 2015 +0200

    interface language translation files updated

commit a51ac8b905c69a8fbfa9fe7f5c3a6f1e665a170d
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 15:25:37 2015 +0200

    a little remaining astyle

commit 31e6157a5c60649b026e0d4293a2c7871de31eb7
Merge: a9ba2d7a 7ca8de08
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Oct 17 15:05:12 2015 +0200

    Merge pull request #2933 from Beep6581/retinex
    
    Retinex tool added, branch merged into master

commit 7ca8de08ab3140e53beb184b3b4937082aef7e50
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 14:45:24 2015 +0200

    astyle all modified files in retinex branch

commit 7e6d0d45f4d56348b1b9b75db6cac099359d8175
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 14:44:14 2015 +0200

    Revised Retinex language file and settings

commit 349c6d33a6c6c53c4bae3b50e0fa79bd7b6f805c
Merge: 678177ba a9ba2d7a
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 12:27:26 2015 +0200

    synced with master (merged master into retinex)

commit a9ba2d7a0944ac4b0f8d6fc3be5243befd3f67f4
Merge: a0dabf80 aef0fc7e
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sat Oct 17 11:43:27 2015 +0200

    Merge branch 'master' into hilite_recon

commit 678177bad998550370cba6a6573773b75eadb473
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Oct 16 11:56:18 2015 +0200

    simplification of the interface

commit a0dabf8067ef34fa5fedb0ef142bf82a28f11c89
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 14 23:15:01 2015 +0200

    Colour Propagation, cleanup and a small speedup

commit aef0fc7ec8847b75650a86fd63b31bc0dc63ab49
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Oct 14 16:37:54 2015 +0200

    Updated dcraw.patch file

commit 01b141c483d64d5a159a58000c5efc7a2609279b
Merge: 33182f74 c6620b41
Author: Ingo Weyrich <heckflosse@users.noreply.github.com>
Date:   Wed Oct 14 16:27:58 2015 +0200

    Merge pull request #2935 from mbajor/master
    
    Fixes for build with C++11 flags and sigc++ >= 2.5.2

commit c6620b415db72cbdf8833476a21af5190e15fa22
Author: Marcin Bajor <marcin.bajor@gmail.com>
Date:   Wed Oct 14 10:51:27 2015 +0200

    Fix for build with C++11 flags

commit 17eca17e61924e551b6bb433f23b9474b8059356
Author: Marcin Bajor <marcin.bajor@gmail.com>
Date:   Wed Oct 14 10:43:33 2015 +0200

    Fix for build with sigc++ >= 2.5.2

commit 604020e1e24fb5b282ca4d3d3c1db8aeecb3f17c
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Oct 13 17:07:17 2015 +0200

    best transition between method high and highlight

commit d669f2ff2ea787f86baa2f76f6c59805eafa199a
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Oct 13 14:49:37 2015 +0200

    change gamma and log

commit 9061b2549d4a43f4d7aa51567b54d18c9da4f2ad
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Oct 13 14:36:19 2015 +0200

    Fix inconsistent behaviour in Colour Propagation

commit 33182f743cfa80066be24edcb2284f65b29e4cb3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Oct 12 17:57:38 2015 +0200

    sometimes getimage is not called after demosaic, fixes #2932

commit 6eaf68e8500efd1672508c1026490c6888c49692
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Oct 11 19:17:09 2015 +0200

    Improved quality of Colour Propagation for some cases

commit 257d4bf54ede968513c8872ca39cc850aa7b38f3
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Oct 10 08:56:55 2015 +0200

    Suppress 2 sliders and add hue-curve

commit b1dd9dd59a4895f5d6928406c381072b68a205d5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 10 01:05:08 2015 +0200

    Speedup and reduced memory usage for Colour Propagation

commit 9dc786f0ea236bc793cd77b365fae1fbf9772017
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Oct 6 22:29:44 2015 +0200

    Segfault when curve black point is moved below white point, fixes #2923

commit 8fe6e7e8db4d0f71651453e8cac1e3d1f9cabe21
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Oct 6 08:20:50 2015 +0200

    Clean code and change sensitivity highlight threshold

commit eb96e11a4370122751f27748cecb67ad5d48e8c5
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Oct 5 17:02:26 2015 +0200

    suppress printf in improccordinator.cc

commit 731ccb3ef5b91b778cb5e9ebce64b10b4779f486
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Oct 5 15:19:36 2015 +0200

    Add 2 methods for magenta highlight

commit 20839d3a4a0de88a217a3709a089749268bc6bfc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 3 13:33:52 2015 +0200

    Color propagation highlight reconstruction causes crash on some files, fixes #2928

commit 058f5b8f986a8c8c1a4e0b3a6f849fed39a494c3
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Oct 3 09:06:10 2015 +0200

    Bug in gamma calculation

commit 929c0ad1b3aecf18fce6245e0b75809990d8c364
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Oct 3 00:17:18 2015 +0200

    Removed Stopwatches

commit b995aaab41b70931908bc8f1e4095460ef378f66
Merge: ee4e56ce d05754fb
Author: heckflosse <heckflosse@users.noreply.github.com>
Date:   Sat Oct 3 00:08:19 2015 +0200

    Merge pull request #2926 from Beep6581/hotdeadpixels
    
    Speedup for Hot/Dead pixel detection

commit d05754fbf8bbb3943a72beea4ee4dcbbcb96cb54
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 2 23:03:32 2015 +0200

    Reduced updates to progress bar for amaze demosaic

commit 643a9e7d54d6c3266aa4d20fbf9e791c3038753f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 2 23:01:56 2015 +0200

    added a file I forgot at last commit

commit ad4e96b9ca4ef672b9c162ec45108e6e4c307dc2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Oct 2 23:00:10 2015 +0200

    Fixed comments and added some #ifdef _OPENMP

commit aaf21544a3e85eda247c7a9dd1eac9621c3aec9d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Oct 1 21:16:47 2015 +0200

    Speeduo for Hot/Dead pixel detection

commit ee4e56ce0094ef329552cad7f47f59919818e282
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Sep 30 17:45:36 2015 +0200

    Enable DCP options regardless of DCP source. Neutral profile disables DCP curve and look table. Fixes #2922

commit aa42f7394cfc6eb8037fd1b6464e87c934990360
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Sep 28 12:35:43 2015 +0200

    Highlight magenta!!

commit 6c49279ab94c932b9c69ebafc64abfc97170082b
Merge: e234bb92 e525fbb3
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Sep 27 21:18:17 2015 +0200

    Merge branch 'master' into retinex

commit e525fbb3537e16a3fdf7bb30ebd97180776a7104
Author: Hombre <natureh.510@gmail.com>
Date:   Sun Sep 27 16:35:05 2015 +0200

    Updated French strings

commit 8c059ee3ffd6b02d5bededa483edabf26af27e04
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Sun Sep 27 16:31:03 2015 +0200

    Changed Noise Reduction method string

commit 9fec32cbfab6a9fe60010dd627be17757d7c1f72
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Sep 25 20:09:14 2015 +0200

    Removed USM sharpening Threshold selector's background gradient and switched its place with Amount, fixes 2906

commit 401bf7899c3439d7790fa1cc88861e21481e3fee
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Sep 25 19:49:33 2015 +0200

    Added Pentax K-5 II dual-illuminant DCP made using DCamProf 0.9.11

commit 741f44f40ecd86ef4b7694b9a661526cbfa6e9fa
Author: Beep6581 <entertheyoni@gmail.com>
Date:   Fri Sep 25 19:48:43 2015 +0200

    Added better Canon PowerShot G7 X dual-illuminant DCP made using DCamProf 0.9.11

commit c3051d8fd8df3e7f2cf9a74441b2f647f6bd55dd
Merge: 7e37b83f 46b6c9c1
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 23 22:17:14 2015 +0200

    Merge commit '46b6c9c130a769ffdef9a95245bc160ca78a9ae4'

commit 7e37b83fee787bf87bdb23086cd01efe0106057d
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 23 22:16:44 2015 +0200

    Added Pentax K10D dual-illuminant DCP made using DCamProf 0.9.11

commit 46b6c9c130a769ffdef9a95245bc160ca78a9ae4
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 23 20:19:39 2015 +0200

    Wrong naming of snapshots in SETM, fixes #2915

commit b34b27201d48b56460247e9f9dda4fccb4e77691
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 23 18:38:57 2015 +0200

    Added Canon PowerShot G7 X dual-illuminant DCP made using DCamProf 0.9.11

commit fb6ffa6aa88f8cf41c471891ace428abf4a98662
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 23 17:22:28 2015 +0200

    Added Canon EOS 100D/Canon EOS Rebel SL1/Canon EOS Kiss X7 daylight DCP made using DCamProf 0.9.11

commit e234bb92785f2425c79e0d182c8e4451bd933f55
Author: Desmis <jdesmis@gmail.com>
Date:   Wed Sep 23 11:23:30 2015 +0200

    Batch processing GUI

commit 5f2151ba4dd8f19c5ebc178c64644d45c825b3fd
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Sep 22 17:26:40 2015 +0200

    Segfault when pasting a copied profile with retinex filter, fixes #2913

commit bedd95e181d5387f04de1d70493ccb7b8a4aef36
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Sep 22 09:07:47 2015 +0200

    Partialpaste omission Retinex

commit 56eb18e4df48f3300d3e8a6de12c50959a365f45
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Sep 21 09:25:44 2015 +0200

    Wavelet contrast and chroma interfere #2894

commit 645791fd7138e9477dcb387e864c0ca7caef1c4e
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Sep 18 17:23:44 2015 +0200

    enhancement gamma free retinex

commit ea737ca86698bbdf2cc0d1f17b8d4a1510962059
Merge: 8291e837 3935c6b2
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 16 21:03:39 2015 +0200

    Merge branch 'master' into retinex

commit 8291e8375cda322d4263f456a6948506b7c0a8bb
Merge: e9a8a6f3 718b1008
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 16 20:15:40 2015 +0200

    Merged retinex-yoni1 into master

commit e9a8a6f32b7cd2cd2861c2648b097d36c9287302
Author: Desmis <jdesmis@gmail.com>
Date:   Wed Sep 16 18:47:11 2015 +0200

    Gamma before-after Retinex to restore tones

commit 718b10084f05169a4ffeecb6d2dd199aace65f26
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 16 18:13:01 2015 +0200

    Fixed history and preview refreshing

commit 7d78c056033109b58d62ea0a4b84dee9c03c7a2a
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 16 03:12:44 2015 +0200

    Remember Retinex Settings expanded state, wip

commit d6c4035a73537d1d75f1b422939fe4e5a2229247
Merge: 03d7fe8f 5f97c4f1
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Sep 16 00:52:46 2015 +0200

    Merge branch 'retinex' of github.com:Beep6581/RawTherapee into retinex

commit 3935c6b2aa63ca867be82ba56a4cd8d837aefc09
Merge: f7afe06d baf6bea1
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Sep 16 00:37:13 2015 +0200

    Merge pull request #2898 from helmi03/master
    
    Updated OSX COMPILE.txt using Clang, by helmi03.

commit 5f97c4f15be2b35cb6de584121cde9f4032994b2
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 16 00:14:58 2015 +0200

    Simpler interface for gaussian blur, speedup for double precision gaussian blur and speedup for retinex transmission curve

commit 03d7fe8f373a544aeb07384a75afc6ce52b2a958
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 15 21:11:04 2015 +0200

    Simplified curve defaults code

commit 6eba3914f479be122c6bcaa810959e32176bd889
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 14 16:39:42 2015 +0200

    Retinex: Fixed compile bug

commit c59fca2d6ae8c6ebeb7f27c6adc4ceff7392f5ba
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 14 14:49:43 2015 +0200

    Retinex: Fixed crash in queue and race conditions in histogram

commit 270367c592360b8423ba8b7e0a2a02329b051d72
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Sep 14 13:14:28 2015 +0200

    Display histogram L in Histogram equalizer

commit 48690e0fab4c3753611832b15fe0651ffbbcf46d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 14 12:21:14 2015 +0200

    Retinex, correction for last patch

commit 864ab0685d5fe359f39266578fc99784d14954b7
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 14 03:01:04 2015 +0200

    Retinex: Fixed wrong gaussian part for methods 'low' and 'uniform'

commit 192569a6bd62937933afda6c42472cfffd73450d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Sep 14 01:46:17 2015 +0200

    retinex: changed gaussian part to reduce halos, small increase in processing time

commit f7afe06d8b34dd03268db5fb820f816c86c77af6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Sep 13 17:40:02 2015 +0200

    Changed default delay for adjusters from 0 to 200 ms

commit 4720231d5384e7b0061ecc2911a89bf05630a799
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Sep 13 01:24:46 2015 +0200

    Retinex: Set delay for sliders to 200 ms to avoid double processing when moving sliders

commit bc841d98085761eaa40c075fa5bdf5549fd0d92e
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Sep 13 00:39:55 2015 +0200

    Retinex, only demosaic when enabled/disabled or Colorspace changes

commit 2fd42e79eab4c118ec81515b9e1f13f7a08cf915
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Sep 12 19:58:43 2015 +0200

    Bug in Histogram equalizer curve

commit e8d1e14282034c5710d8669a84bc9dd38b8a0c55
Author: Desmis <jdesmis@gmail.com>
Date:   Sat Sep 12 08:09:32 2015 +0200

    small bug in GUI

commit 9b73dfb91656be44368d83fef3e508ffe6a8cc8f
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Sep 12 00:44:24 2015 +0200

    Fix crash when using Retinex with some curves

commit 5402c3d27cf4123ecb1e5d4affccf0f580c2e3c6
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 11 22:19:47 2015 +0200

    Optimizations for Retinex HSL mode

commit 5aa6f7861a5502743a5688b92592536ad7331ce5
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Sep 11 21:04:29 2015 +0200

    Dehaze tool renamed to Retinex, GUI fixed, defaults changed

commit 36537532ec827a6f07e9873906ffc17e1961dcb9
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Sep 10 11:23:29 2015 +0200

    Fixed compilation error - StopWatch.h capitalization

commit e82c79bd8aa0cf66b3d709ce5cfa8a5e676834ce
Author: Desmis <jdesmis@gmail.com>
Date:   Thu Sep 10 07:11:17 2015 +0200

    Add linear mode to HSL

commit 528d85b1f9d5a847ac3adc1f7a571743df7f1cbc
Author: Desmis <jdesmis@gmail.com>
Date:   Wed Sep 9 20:01:27 2015 +0200

    Dehaz enhancement HSL GUI bugs partialpaste...

commit 6cdc6e1fe4c7350908ea98b5ec502c09082f57b3
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 9 12:22:25 2015 +0200

    Added experimental hsl mode for DeHaze (with still incomplete gui)

commit d8945607d554866c25efe54c3760c03398ac7d47
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 8 09:56:30 2015 +0200

    astyle modified code on dehaze

commit 5d6f7080b771a87aa5bdb298f30ffb97adeb569c
Merge: 60b3341f 18fb107f
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Sep 8 09:40:23 2015 +0200

    Merge branch 'master' into dehaze

commit 60b3341f3a540ca4b7668fdede8436d3b06c5c48
Author: Desmis <jdesmis@gmail.com>
Date:   Tue Sep 8 07:14:59 2015 +0200

    GUI enhancement for DeHaze

commit 18fb107f822bbb33f77840c3f6a84b42b686fc74
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Sep 7 00:16:13 2015 +0200

    Fixed "HISTORY_MSG_167;Demosaicing method" string

commit baf6bea1a44eb778077a85db8e5cf0a9a8f44a04
Author: Helmi bin Ibrahim <helmi@tuxuri.com>
Date:   Mon Sep 7 02:26:05 2015 +0800

    remove user dir

commit 0343b0fb7d9d33278af7e408d3a6d7e474335f9f
Author: Helmi bin Ibrahim <helmi@tuxuri.com>
Date:   Mon Sep 7 02:22:27 2015 +0800

    Updated instructions compile on OSX

commit a7db8f001ce1bccb93bc31d64f0165db5527da5a
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Sep 4 23:50:39 2015 +0200

    Added TooWaBoo, thanks for translating the Deutsch file :-)

commit 95b12983b405057d147c6086509535ed228941c9
Author: TooWaBoo <softegg@rocketmail.com>
Date:   Fri Sep 4 22:26:15 2015 +0200

    Updated Deutsch translation closing issue #2896
    
    Signed-off-by: Morgan Hardwood <entertheyoni@gmail.com>

commit 86fb53037d41fdf01789c96c963fcd83db6af529
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Sep 3 22:48:32 2015 +0200

    Fixes #2892 - tone curve node spinbutton range

commit 8b911d47896f000c4f9a2eb9423f054bd3ab48f0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Sep 3 17:34:05 2015 +0200

    DeHaze enhancements (Desmis) and some bugfixes (heckflosse)

commit 8511131771e7d27de55dd33c109f5f13a4bfdaff
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 2 18:32:06 2015 +0200

    Fixed wrong border handling in DeHaze

commit aab584fa53a9912e2acca76a09c6bec5caf1a8fa
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Sep 2 16:05:15 2015 +0200

    DeHaze bugfixes, optimizations and changed behaviour of strength slider

commit 98c12219089d9c171aa3d5269733cafb54467073
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Sep 1 18:09:46 2015 +0200

    crash when first two curve points are at x=0, fixes #2888

commit 11d382d998231bfc5ec7dffdf46763fa5fcf31f3
Merge: 4777020a 483a8911
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sat Aug 29 12:05:43 2015 +0200

    Merge pull request #2886 from Beep6581/HDRMergeMakerNotes
    
    Fix wrong handling of MakerNotes in dng files created with HDRMerge from Nikon NEF files

commit 4777020a04ac0f5555ddbccbf78c3e3e4d873e41
Merge: d4e083ab 71eb3653
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sat Aug 29 11:50:12 2015 +0200

    Merge remote-tracking branch 'origin/lensfix'

commit 483a8911fc13d2185c50b20a62d31b4b2d73a0e5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Aug 28 22:13:33 2015 +0200

    Fix wrong handling of MakerNotes in dng files created with HDRMerge from Nikon NEF files

commit 4fdbe89ebe3e0720281527d2ad7e623e90dc01fc
Author: Desmis <jdesmis@gmail.com>
Date:   Fri Aug 28 19:57:06 2015 +0200

    Dehaze bug with some files

commit d4e083ab0e77a1372fb3348dae56fc8b69db8045
Merge: df13fb8b da7ae694
Author: heckflosse <heckflosse@users.noreply.github.com>
Date:   Fri Aug 28 12:01:05 2015 +0200

    Merge pull request #2884 from Beep6581/gauss
    
    Speedup for gauss when sigma >= 70

commit 71eb36535dae8893f8f82987b8c64b466a4fd46d
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Aug 27 17:35:03 2015 +0200

    Updated rtexif/*.cc to use f/ aperture notation

commit ea8e878400a1c0b2319ddcf3bf46f75558317a9d
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Aug 27 17:25:45 2015 +0200

    Updated generateLensList to make aperture notation consistent: f/

commit da7ae69428103028ea15337cdd59ae1159e0e395
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Aug 27 17:11:05 2015 +0200

    Speedup for gauss when sigma >= 70

commit f22c11c27e8e65e6cf7e131791037c6814183951
Author: Desmis <jdesmis@gmail.com>
Date:   Thu Aug 27 17:10:31 2015 +0200

    Dehaze suggestions

commit df13fb8b1b7b5fc4f4ee1304cfb974221fa6ff84
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Aug 26 16:17:57 2015 +0200

    Fixed a bug in perceptual curve speedup

commit 5116a3c43a2fe0321b0cf52754bcd9f670ad55f8
Merge: ce87f577 a2e5cda3
Author: heckflosse <heckflosse@users.noreply.github.com>
Date:   Tue Aug 25 16:37:21 2015 +0200

    Merge pull request #2881 from Beep6581/WaveletSpeedup
    
    Speedup for Wavelet/Final Touchup/Final local contrast curve, fixes #2874

commit a2e5cda38425c2a99e2c6c4be41c9881b97c773b
Author: heckflosse <heckflosse67@gmx.de>
Date:   Tue Aug 25 16:34:57 2015 +0200

    Speedup for Wavelet/Final Touchup/Final local contrast curve, fixes 2874

commit 281aa43d139d13573bb34bf6d8546cb625336785
Author: Desmis <jdesmis@gmail.com>
Date:   Mon Aug 24 16:34:29 2015 +0200

    Dehaze range settings

commit 4b29b2cf549e54d9678a976ae6533d1d716dff7d
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Aug 24 15:45:56 2015 +0200

    Fix compilation error

commit e4d4fe41705eece6061901cb3f339007c4756922
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Aug 24 15:29:26 2015 +0200

    Updated nikonattribs.cc with lenses from exiftool-10.00

commit d74bba0e94ea4a6e2b83f0d05e740b1974b67d28
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Mon Aug 24 15:28:34 2015 +0200

    Updated generateLensList to handle Nikon cameras

commit ce87f577f086522fcc6ffd8ba38acf33c606be3a
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Aug 24 13:59:18 2015 +0200

    Update README.md

commit b6fedc800a0bcbe33532efe145da5947f2bf8da6
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Mon Aug 24 13:54:20 2015 +0200

    Update README.md

commit 0bceb1e6df93418c0a1dadd7fde211bf97f61328
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Aug 24 13:13:48 2015 +0200

    Speedup 2 for DeHaze

commit b22b8582b085964e7e9d6e81a33a3e1373918e3e
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Aug 23 22:47:01 2015 +0200

    Fixed octal issue

commit 72fc3fe89ba842a59c546b52ff3ba7ded0b05b8e
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Aug 23 22:44:02 2015 +0200

    Formatting

commit 0e8f954eb9960c02cf1b28bb3b270e9d4367543f
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Sun Aug 23 22:41:49 2015 +0200

    Added SSH clone description

commit 7f60ed65c2677cb5253edc0ad3862de5a7dc83d1
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Aug 23 21:59:44 2015 +0200

    Updated canonattribs.cc olympusattribs.cc pentaxattribs.cc sonyminoltaattribs.cc with lenses from exiftool-10.00

commit 1f76af5ba9d36b1a52da51e7c21862d3cf2d26e3
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Sun Aug 23 21:58:35 2015 +0200

    Added tools/generateLensList Bash4 script to make updating lens ID from exiftool for rtexif/* easy

commit 2d4fe00aa3bb669d7d71ab59f2e8f386d2320d45
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Aug 23 21:45:34 2015 +0200

    Speedup for DeHaze (Function MSR)

commit 751298915715c0e608f51885cb6a54a106d0e120
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Aug 23 18:51:44 2015 +0200

    Dehaze improvrmrnt offset

commit 3bddbc8d6fc6e032fb4798f1cfe00b0f6c1d3572
Author: Desmis <jdesmis@gmail.com>
Date:   Sun Aug 23 16:41:51 2015 +0200

    Dehaze with Rawprocess

commit b3a12b699add804e3eba988377e2a5c6f70374f6
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Aug 21 11:01:03 2015 +0200

    Don't replace focal_len from Exif by focal_len from Makernotes is Makernotes focal_len is 0

commit 4198ac108366d237e1be5cfe1d32b950edc92668
Merge: 3969bcc1 33b2d643
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Fri Aug 21 00:38:34 2015 +0200

    Merge branch 'PerceptualCurveSpeedup'

commit 3969bcc1e72c80aaba669057deae5018da103b9d
Merge: d4c808ef 697612b4
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Thu Aug 20 22:53:05 2015 +0200

    Merge branch 'cmake_processor' - Show more informative "processor" info on Linux.

commit d4c808efd676c5b505fc1294e023965631037ea8
Merge: 60ddd563 c351be41
Author: Hombre <natureh.510@gmail.com>
Date:   Thu Aug 20 22:26:15 2015 +0200

    Merge branch 'OnPreviewEditEnhancement'

commit 33b2d643b1819ca67c03fcdce38e3d7b3fb674af
Author: heckflosse <heckflosse67@gmx.de>
Date:   Thu Aug 20 19:52:53 2015 +0200

    Cleaned code and removes StopWatch

commit b941188ac82217876742c704ab31fe983403e59a
Author: Desmis <jdesmis@gmail.com>
Date:   Thu Aug 20 13:54:18 2015 +0200

    Dehaze Improvement

commit c351be41b83c4a83a6ec0d283562a9a163bdf082
Author: Hombre <natureh.510@gmail.com>
Date:   Thu Aug 20 02:33:46 2015 +0200

    Add some new features to the On Preview Objects mechanism

commit 0b2b19a7610fd419f7dedabc7d5a6269f8ec31d5
Author: heckflosse <heckflosse67@gmx.de>
Date:   Wed Aug 19 20:55:25 2015 +0200

    Speedup for Wavelet/Final Touchup/Final local contrast curve, #2874

commit 697612b4cc423a07e48484e21e00b397c49fc2b0
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 19 00:27:54 2015 +0200

    If unix

commit cd7f5d9bdeff706cff18b823336de241748b6587
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Aug 18 23:40:25 2015 +0200

    More meaningful processor info

commit 60ddd563b8fbf5d572abe2bfa7b0fc8e71c33270
Merge: 0c3e5de0 0187ca10
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Tue Aug 18 16:48:56 2015 +0200

    Merge pull request #2873 from mbajor/master
    
    Missing changes for commit 0216c16a49 (issue #2871)

commit 0187ca10d2f3d6eb7d2f84b9468ac4df7e70ed9b
Author: Marcin Bajor <marcin.bajor@gmail.com>
Date:   Tue Aug 18 16:32:57 2015 +0200

    Missing changes for commit 0216c16a49 (issue #2871)
    
    @mbajor mbajor authored an hour ago

commit 0c3e5de0b076993864c1e438b101f77d30547c69
Merge: 73744fe1 0216c16a
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Tue Aug 18 16:03:36 2015 +0200

    Merge pull request #2872 from mbajor/master
    
    Fixed "Unknown git option: -C" for git<1.8.5 (issue #2871)

commit 0216c16a4907f9be351d853c6648ef8b2f988fd8
Author: Marcin Bajor <marcin.bajor@gmail.com>
Date:   Tue Aug 18 15:40:27 2015 +0200

    Fixed "Unknown git option: -C" for git<1.8.5 (issue #2871)

commit 73744fe131b55b47b7485fa555210d45e6e394b9
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Tue Aug 18 13:50:06 2015 +0200

    Fixed formatting in rtengine/helpersse2.h and rtengine/opthelper.h

commit 07c3cc620919ef96c9cac130bebf5ca78ff8f0ff
Merge: 902adde1 7f32b09f
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Aug 18 01:51:45 2015 +0200

    Merge branch 'gcc5_support'

commit 7f32b09fab5552d46d981afd7e07608dad8e769e
Author: Hombre <natureh.510@gmail.com>
Date:   Tue Aug 18 01:05:13 2015 +0200

    Adding Gcc 5 support for backard compatibility with Mingw/Gtkmm2
    (windows related)

commit 902adde1a53a1b22882c91a6fcbf75a486c72d83
Merge: 161fa159 bc7dc1f9
Author: Jean-Christophe <Hombre57@users.noreply.github.com>
Date:   Tue Aug 18 00:17:21 2015 +0200

    Merge pull request #2865 from innir/master
    
    Fix CMake and AboutThisBuild with git  (see issue #2860)

commit 86b0bb5420de940dd28b970d4615d6c2b8f795dc
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Aug 17 18:49:02 2015 +0200

    Initial commit for DeHaze branch

commit f7907a54745c6e6e556d2c981c56abcf1ba55280
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Aug 17 13:31:20 2015 +0200

    Speedup for perceptual curve, #2817

commit 161fa159226c3796fe93eb38d9061b627cad5c17
Author: heckflosse <heckflosse67@gmx.de>
Date:   Mon Aug 17 12:07:33 2015 +0200

    removed unsupported character in improcfun.cc, no Issue

commit bb2e3debb3798cb5ca15ea0a498684e74002556b
Merge: bb33cc6f c863cf03
Author: heckflosse <heckflosse@users.noreply.github.com>
Date:   Mon Aug 17 01:07:44 2015 +0200

    Merge pull request #2864 from Beep6581/CanonDualISO
    
    Fix Canon dual ISO problem

commit bc7dc1f9c2881898478f75b52eba876c5faa4a9d
Merge: 44516902 bb33cc6f
Author: Philip Rinn <rinni@inventati.org>
Date:   Sun Aug 16 23:42:55 2015 +0200

    Merge remote-tracking branch 'upstream/master'

commit c863cf035a42b69383590d815ce9c29a8c7a4aa0
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sun Aug 16 16:10:35 2015 +0200

    Added dcraw.patch file

commit bb33cc6ffe7e96f08011ecb183957aa0f5ce7e58
Merge: 294c3ccc 842f5080
Author: heckflosse <heckflosse@users.noreply.github.com>
Date:   Sun Aug 16 15:32:26 2015 +0200

    Merge pull request #2867 from Beep6581/IccTiffCrash
    
    Crash when saving to uncompressed tiff using a huge output profile

commit 44516902c97a08ca135c845650e57a4f277b88d9
Author: Philip Rinn <rinni@inventati.org>
Date:   Sat Aug 15 20:56:52 2015 +0200

    Clean CMakeLists.txt from unneeded code (see #2861).
    
    This also suppresses warnings from CMake > 2.8.12

commit bdbe5395f5483cc8553b9054358c866d17e751ca
Author: Philip Rinn <rinni@inventati.org>
Date:   Sat Aug 15 20:05:23 2015 +0200

    Update tools/generateReleaseInfo to work with git (see #2865)

commit 50156688659bbc6a5d092436f0eaa40e42f46602
Author: Philip Rinn <rinni@inventati.org>
Date:   Sat Aug 15 19:39:05 2015 +0200

    Fix generation of WindowsInnoSetup.iss (see issue #2865)

commit 842f5080886a19bc7a234e7150717d126c3856c9
Author: heckflosse <heckflosse67@gmx.de>
Date:   Sat Aug 15 17:44:46 2015 +0200

    Crash when saving to uncompressed tiff using a huge output profile

commit 3b9b484ec162d5bf2a0aa6c86a0efb7f2a69895b
Author: Philip Rinn <rinni@inventati.org>
Date:   Fri Aug 14 19:06:01 2015 +0200

    Fix CMake and AboutThisBuild with git  (see issue #2860)
    
    Tools to generate the release info are not updated jet, namely
    tools/generateReleaseInfo{.bat}.
    Only tested on Linux, OS X and Windows are untested.

commit 5c14b062092293363207de958e4a56c13dca31db
Author: heckflosse <heckflosse67@gmx.de>
Date:   Fri Aug 14 14:26:05 2015 +0200

    Fix Canon dual ISO problem

commit 294c3cccdcbf07326b928708abee290b3bd74e67
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 12 22:11:31 2015 +0200

    Fix segfault in wavelet with GCC < 4.9

commit 050f0c411460ea412b705e0f5bb756950cc7220c
Merge: 0ec9d841 985c1af0
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 12 20:07:44 2015 +0200

    Merge branch 'master' of github.com:Beep6581/RawTherapee

commit 0ec9d841915ee530c9f0ddf89cd64ab1a5fc58fc
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 12 19:52:39 2015 +0200

    Japanese translation updated by firefly

commit 985c1af09714bd973046395d7634b3995f53d52e
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 12 14:05:45 2015 +0200

    Added .. to cmake line

commit 91f67f0cb6760cc2703cfaeb698bd4fa12ee6064
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 12 13:27:45 2015 +0200

    Issue 2846: Filter preview through output profile when using a monitor profile.
    - Removed the "Rendering intent" setting from Preferences,
    - Hard-code "relative colorimetric" intent everywhere,
    - Filter through output profile before filtering through monitor
      profile if using a monitor profile,
    - If not using a monitor profile, a direct sRGB conversion is done,

commit 1fe1508fa97cf5afc13bf19376b63e366ec81610
Author: Morgan Hardwood <entertheyoni@gmail.com>
Date:   Wed Aug 12 13:00:47 2015 +0200

    Removed Mercurial .hgignore file, added Git .gitignore file

commit cee4fd1cd07d7e1150a450356d18ba49cadcd1f3
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 12 09:10:48 2015 +0200

    Updated README.md with working compilation instructions

commit eff1eda2c870435e5123aa3af5d0ebcab86ac253
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 12 08:41:45 2015 +0200

    Removed header from README.md

commit 3652197714e03c5f5b69374dba687ae03819c4f6
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 12 08:40:43 2015 +0200

    Updated README.md with logo

commit 9ee8713f8ae65a73e35baf6603e1f1466cabd39a
Author: Beep6581 <Beep6581@users.noreply.github.com>
Date:   Wed Aug 12 08:37:37 2015 +0200

    Created README.md

commit 0e0cfb9b25f7cc52f54fa0972e0b1eedc8b41de5
Author: DrSlony <entertheyoni@gmail.com>
Date:   Tue Aug 11 11:55:03 2015 +0200

    Formatted all .cc and .h code in rtengine, rtexif and rtgui using astyle

commit effb46c3e1fa958951cc6eb84bfcc2456d7379ca
Author: DrSlony <entertheyoni@gmail.com>
Date:   Tue Aug 11 11:53:44 2015 +0200

    Line endings

commit 96be30863d6a780fa294fa8588e12c65fbd0306d
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Aug 10 19:05:01 2015 +0200

    Issue 2826:USM threshold slider lacks history entry or undo

commit 7bd42755949491e3d365c01c9532b93bd1709cee
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Aug 10 14:50:58 2015 +0200

    Updated all interface language files for translation

commit 92745d5568aeb8f48642d1da522c0b6d55e98fc5
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Aug 10 14:41:25 2015 +0200

    Updated Swedish translation on behalf of Johan, issue 2875

commit 1294bdb3924d957ec07769cc373284096aa8c357
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Aug 10 14:39:17 2015 +0200

    Updated camconst.json on behalf of Ilias, issue 2348

commit 16061aad88bf978fc36d5e2ac13d33222052a6f7
Author: DrSlony <entertheyoni@gmail.com>
Date:   Sun Aug 9 20:56:10 2015 +0200

    Removed unused files

commit 8de1e5d24951e0085d8a1035ed3fc6db781b5d26
Author: DrSlony <entertheyoni@gmail.com>
Date:   Sun Aug 9 20:39:23 2015 +0200

    Issue 2873: Next/Previous Image buttons should not clear active filters.

commit 3ff086de0257b75069b8b7ae4cf220de4f2dca3b
Author: jdc <jdesmis@gmail.com>
Date:   Sun Aug 9 20:31:56 2015 +0200

    Issue 2872: Fixed Wavelet defects reported by Coverity

commit f41a6385007f14b217f5fc503eeb96b8f43dd116
Author: DrSlony <entertheyoni@gmail.com>
Date:   Fri Aug 7 21:28:15 2015 +0200

    Fixed possible issue with #pragma directive

commit 386d3eeaecd62dceb3cd279dbf963c931372c5a1
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Fri Aug 7 11:39:48 2015 +0200

    Compile error in curves.cc, Issue 2871

commit f7fe9f027dad3f2d6a7e3e850a358c7108fbc1ee
Author: torger <torger@ludd.ltu.se>
Date:   Wed Aug 5 22:32:17 2015 +0200

    issue 2869: further removal of unnecessary re-demosicing

commit 37352b02ef32abb52f9becb1578c9cca9c0f746d
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Aug 5 18:31:10 2015 +0200

    Possibly fixes some compile errors when using gcc 5.x on windows, no Issue

commit aeb11c78e07a82e7d48b6578e79defc4116d1481
Author: torger <torger@ludd.ltu.se>
Date:   Wed Aug 5 11:28:20 2015 +0200

    Issue 2869: don't re-demosaic when changing ICC/DNG profile

commit efabc73b7b49b74de0ca52248c1ca04f3a7ff122
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Tue Aug 4 16:05:46 2015 +0200

    Too saturated greens when using CIACAM02

commit 184c7e1066b24d3f426108dbeeb28d9c331ddea9
Author: torger <torger@ludd.ltu.se>
Date:   Fri Jul 31 10:26:35 2015 +0200

    issue 2863: fixed batch mode perceptual curve bug

commit 82da6f3fb69d7317c353a5705b74255aa49cb0cf
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 29 19:22:25 2015 +0200

    Issue 2844: Wavelet improvements to Edge Sharpness and Denoise and Refine, also some language file fixes.

commit 6f2078ea1b437103fa513186b7fa88b15544579e
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 29 18:37:51 2015 +0200

    Added tooltip to Save Reference Image for Profiling's Apply white balance checkbox, no issue.

commit 46c530b5d94f7dc8bf97882ec52dfc8565fd1bd0
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 29 18:15:18 2015 +0200

    Issue 2855: Changed straighten and crop tool mouse cursor icons from GDK::CROSSHAIR to cHand so that they will be visible when used over both light and dark images.

commit fca16a697acea3dd35a8d7a36b4177c8310fc60f
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jul 29 17:53:19 2015 +0200

    Issue 2837: Fixed CIECAM02 clipping issues

commit 6bb0d15ff025bce66d470ab09309e74c166edc52
Author: torger <torger@ludd.ltu.se>
Date:   Sun Jul 26 20:37:44 2015 +0200

    Issue 2837: added 'Perceptual' tone curve

commit c5546d21206fd3b0a99ce416193b3ba9478562af
Author: torger <torger@ludd.ltu.se>
Date:   Sun Jul 26 18:47:39 2015 +0200

    Issue 2854: reverted recent highlight behavior

commit 9c4e0544845ab1bb8c17b95e704ea563831f8cfe
Author: torger <torger@ludd.ltu.se>
Date:   Fri Jul 24 21:29:51 2015 +0200

    issue 2850: make it truly srgb (was wrong curve segment gamma before)

commit 8eeb203a27bc722307bca50bbfe297f33bc6cf2e
Author: torger <torger@ludd.ltu.se>
Date:   Thu Jul 23 21:37:03 2015 +0200

    Issue 2850: updated ppversion due to slight curve behavior change

commit b2836b388f9082a411a4d9b77ac26bbf402f0d47
Author: torger <torger@ludd.ltu.se>
Date:   Thu Jul 23 21:34:00 2015 +0200

    Issue 2850: normalized RGB-pipeline curve gammas to sRGB, make curve algorithms operate on linear image data

commit db306ccfed3228c766a80d827dd841fa388d62ae
Author: Hombre <natureh.510@localhost>
Date:   Thu Jul 23 20:26:22 2015 +0200

    Solving issue 2846: "Wavelet - expanding a sub-tool adds a history item"

commit 11093f939b35c30c3f9421bc8426804dcb27ff97
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 22 21:36:07 2015 +0200

    Issue 2842: Fix by Ingo to prevent black square artifacts from appearing when using Post-Resize Sharpening - RL Deconvolution and a non-zero value for the Black slider.

commit d4c1c437ee76193f5395e2a1ec22b918660e1c43
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Jul 20 22:16:46 2015 +0200

    Japanese interface translation updated by firefly, issue 2848

commit 196db6ee67b064d199f870a40cd84e50c1beec3a
Author: DrSlony <entertheyoni@gmail.com>
Date:   Sun Jul 19 21:37:12 2015 +0200

    Update all language files for translation

commit 3628f8982a3399f201b0b748da8670da0df410ba
Author: DrSlony <entertheyoni@gmail.com>
Date:   Thu Jul 16 18:52:31 2015 +0200

    Issue 2739: DCP settings in Color Management panel moved into own frame.

commit 4cd2da11b6dc152e7145ad076321abc335107a73
Author: jdc <jdesmis@gmail.com>
Date:   Wed Jul 15 22:15:35 2015 +0200

    Wavelet zero-out unwated levels bug fixed, issue 2702#369

commit 21c7a483a457ad73d96f15f68f3d6b656b082c32
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jul 15 20:36:42 2015 +0200

    Issue 2843: fixed newly introduced highlight clipping issue

commit 094ad23cce580672e21e83328daae8f3eb5734f8
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jul 15 17:13:06 2015 +0200

    Issue 2843: Hl compression function restored (restored some bad changes caused by new DCP look table code)

commit a1ca02fd67ee4e2c8d3c58fa4915aa30e02cd12b
Author: jdc <jdesmis@gmail.com>
Date:   Tue Jul 14 20:44:27 2015 +0200

    Added Wavelet sub-tool enable/disable buttons, and some bug fixes. Issue 2831

commit 8c471a1f6f644223ddf06b8bc6a36eaca76362b3
Author: torger <torger@ludd.ltu.se>
Date:   Mon Jul 13 15:20:48 2015 +0200

    Fixed missing code for new DCP parameters

commit d1f6602f76a7be2d5bf66a1666cf5f35859b6c5d
Author: Hombre <natureh.510@localhost>
Date:   Sun Jul 12 18:32:31 2015 +0200

    Fixes a bug when compiling with gcc < 4.9.x, using OpenMP and aligned memory and -O3

commit 569f361f3074ab0381b3b21d0751abc98c5f5bac
Merge: d5ca351c 40fc3303
Author: torger <torger@ludd.ltu.se>
Date:   Fri Jul 10 12:39:26 2015 +0200

    Merge

commit d5ca351c2080bc18f401ff9993e09d0289352dde
Author: torger <torger@ludd.ltu.se>
Date:   Fri Jul 10 12:00:36 2015 +0200

    Issue 2134: removed obsolete raw highlight preservation setting from GUI (still left in procparams for backwards compatilibility)

commit 40fc3303cb3c3800e2d6fc36792e9116fa90deb5
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Fri Jul 10 00:02:03 2015 +0200

    4.2.245 - Linux, segfault, Issue 2835

commit 0f0e46c56045a194e2bc00e58bc0bd64a1c74a00
Author: torger <torger@ludd.ltu.se>
Date:   Thu Jul 9 21:55:37 2015 +0200

    Issue 2803: adjusted clipping behavior of raw image

commit d155a9a0862daf0d105f16ca28dc83a7561e76f3
Author: torger <torger@ludd.ltu.se>
Date:   Thu Jul 9 21:46:25 2015 +0200

    Removed obsolete raw parameters from convertcolorspace; cleaned up dcp; support Adobe DNG profiles which expect ACR standard curve

commit 73c8bfdc726d65710bbf4e0aa91a5957d10835dd
Author: DrSlony <entertheyoni@gmail.com>
Date:   Thu Jul 9 10:49:38 2015 +0200

    Cleaned up unnecessary #include <iomanip>

commit 18f791c45f95ebb12dc4abe974750db23dc5dafa
Author: DrSlony <entertheyoni@gmail.com>
Date:   Thu Jul 9 10:49:03 2015 +0200

    Added tools/generateDirtyFiles Bash script to help find unnecessary header includes

commit 8aca334bde6d6dbe4592d335b892b5ff4ecbc876
Author: DrSlony <entertheyoni@gmail.com>
Date:   Thu Jul 9 10:44:27 2015 +0200

    The Wavelet sub-tools are now foldable using right-click and memorized upon restart, and the Wavelet main tool is expanded by default

commit be6fd5ced658e3feb3cce92e5632b9724b783320
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Jul 8 12:14:16 2015 +0200

    Compilation fails on GCC-4.7.2, Issue 2832

commit 3f08841819f1e4d4262bd34dd7a085b2ea2e47d7
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jul 8 10:38:18 2015 +0200

    clipping fix for issue 2739

commit 3f019c92b73c1197d5087ffddf817a1e2be7f1f9
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 8 09:42:24 2015 +0200

    Exposure and Contrast by Detail Levels buttons made to stretch and fit, no issue.

commit e3131f9c076503f4ade25a87cf27b62c0cb55218
Author: DrSlony <entertheyoni@gmail.com>
Date:   Wed Jul 8 09:40:50 2015 +0200

    Wavelet Levels improvements and cleanup, issue 2702#359

commit 1008e0e98d41d1b40570bc6f1be42bc6a02fcb4c
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Tue Jul 7 16:34:05 2015 +0200

    CIECAM02 speedup

commit b6f8bc675b3d6a6c8fe0c8922f41a1c4baca8156
Author: torger <torger@ludd.ltu.se>
Date:   Mon Jul 6 10:26:29 2015 +0200

    Issue 2739: DCP looktable and curve now applied after exposure, plus fixed some premature clipping issues

commit 4d5081909f1b6abf5f555041edd3d08d96d6139e
Author: jdc <jdesmis@gmail.com>
Date:   Sun Jul 5 06:42:35 2015 +0200

    Wavelet levels improvements issue2702

commit af3bb68bf91bc9f77d5f56d707ccc65a66bee23d
Author: DrSlony <entertheyoni@gmail.com>
Date:   Thu Jul 2 15:39:53 2015 +0200

    Added Post-Resize Sharpening tool with some code cleanups, optimizations and language file consistency improvements. Issue 2825

commit 607ecc82a59d57f9b17af593a3df661478cb30ef
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Tue Jun 30 14:09:07 2015 +0200

    Ciecam02 artifacts, Issue 2819

commit 4d3d6bda727534ae70f3f5b65ed7df39584c3efa
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Jun 29 21:53:37 2015 +0200

    Added astyle options file to format source code, so we can all commit consistently formatted code. Usage: astyle --options=rawtherapee.astylerc file.cc

commit 4b0e8e94cc41fdebec49e0b9064e1bf971e2aa7b
Author: DrSlony <entertheyoni@gmail.com>
Date:   Sun Jun 28 13:44:05 2015 +0200

    Added Ctrl+s keyboard shortcut to start/stop the queue when the Queue tab is focused. Issue 2822

commit 90229e99f67537ddf320c4010a9e17a1b9d54265
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Thu Jun 25 22:22:44 2015 +0200

    Fixed endless loop in chromiluminancecurve, Issue 2821, Fixed some ciecam02 bugs, Issue 2819

commit 0bfc5a0e9861cf703a0058a8fea2120f8a41d92d
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Jun 24 21:18:33 2015 +0200

    Don't prefetch camera icc profiles, Issue 2818

commit 4ab63d8e65b73cc17b3881f15f8eb55239a587be
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Jun 24 21:08:28 2015 +0200

    reduce number of file system accesses to load icon files, Issue 2816

commit 44f26d43a27635f4f16b11b8064872b8eb00f25a
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jun 24 19:43:22 2015 +0200

    Make sure output from HueSatMap is used as input for LookTable (if both exist). No visible difference in most cases, but now it's made in the right order anyway.

commit 36e83356583e7f717a8170bcf76c9112ac132116
Author: torger <torger@ludd.ltu.se>
Date:   Wed Jun 24 12:33:01 2015 +0200

    Fixed typo causing rendering errors of some gamma-encoded DCPs

commit bb611afb807032f8989ab28233e9d765a9b3b3ec
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Thu Jun 18 22:18:26 2015 +0200

    Don't allow focus on reset buttons when using keyboard, Issue 2814

commit 8ee3235607bf326c8688261042fe3f5a28469f78
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Jun 15 23:33:27 2015 +0200

    Japanese interface translation updated by firefly, issue 2811

commit 4f81331ea79d26aa18978590119527115444a168
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Sat Jun 13 14:58:49 2015 +0200

    block 'a' to 'z', '+' and '-' for numeric input fields, Issue 2808

commit 6ef1edbe8aea95ed89a02964ca71a39ef3a2307f
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed Jun 10 22:26:20 2015 +0200

    Avoid division by zero crash when options file contains 0 for 'Performance/nrhigh', no Issue

commit f267641fa5c8de2330e7dcc14ef1bed8e38d0faa
Author: michael <michael@michaelezra.com>
Date:   Tue Jun 9 13:37:11 2015 -0400

    Wavelet edge sharpness: change of default.for the 1-st level.

commit a51f76d30e0beb9da217ee99dffb42de825bed64
Author: DrSlony <entertheyoni@gmail.com>
Date:   Tue Jun 9 17:37:05 2015 +0200

    Re-generated all interface language files for Wavelet translation

commit 4feef970ab6283f014c967467c05a8c827037fdd
Author: DrSlony <entertheyoni@gmail.com>
Date:   Tue Jun 9 17:24:31 2015 +0200

    Final Wavelet language string revision, and made hue slider and threshold selector order consistent between tools. Issue 2702

commit efb56d97a33cfd6144c1b6b8ae65d679bd407960
Author: DrSlony <entertheyoni@gmail.com>
Date:   Tue Jun 9 16:09:57 2015 +0200

    2702wave3

commit 08bda863c9ffb1a09cd10ebce29ca94ea374ea09
Merge: d5fba1ea a30af5e9
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Jun 8 17:08:11 2015 +0200

    Merged fc0b7c9e9f9f and 5e4566f294fd

commit a30af5e91a4f289b6efe5ceab8b1992ceefcdbbb
Author: DrSlony <entertheyoni@gmail.com>
Date:   Mon Jun 8 17:05:38 2015 +0200

    Added File Browser and Filmstrip toolbar button to show only non-deleted images, patch from Adam Reichold, issue 2178

commit d5fba1ea4855c9a47e2527f34a74a1eb0b4f054c
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Mon Jun 8 16:22:33 2015 +0200

    Moved wavelet to its own tab

commit ed5219cc15f6c369c7af56220c783fa90a788882
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Sun Jun 7 19:14:10 2015 +0200

    Explicitly set default for crop/fixratio to false, no Issue

commit 59de31d6989680ebf4906d2537080808292785ae
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Sun Jun 7 12:58:03 2015 +0200

    Multiple editor tabs in own window mode: Opening second tab expands complete tools tree in first tab, Issue 2802

commit 58655c52e30db923e8b9c8251dd64b5f74317f24
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Sun Jun 7 12:42:52 2015 +0200

    Added crop orientation 'As Image', Issue 2577; fixed 'Crop Lock Ratio gets disabled when crop size larger than image size', Issue 992

commit 86df10be88d26550fa3b9e72d9b62e68bcfeffcc
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Sun Jun 7 12:18:38 2015 +0200

    Disable nested parallelism when compiled with clang, Issue 2731

commit 1ff51dde1558e241b788664fc1c25993650e64be
Author: jdc <jdesmis@gmail.com>
Date:   Sun Jun 7 07:00:40 2015 +0200

    Wavelet improvements issue2702

commit c6990dc78328b8c2a1f8f45b524fab784cf4bdda
Author: DrSlony <entertheyoni@gmail.com>
Date:   Fri Jun 5 16:54:03 2015 +0200

    Fixed input profile handling for non-raw images, issue 2801

commit c5db6f66ebaf9b68e5c6662ea966cf81ce154c6e
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Mon Jun 1 13:29:13 2015 +0200

    fixed wrong white level scaling for sony arw files, no Issue

commit dfc7d179f57d768473cf5ac394cebb5884c5dcd0
Author: DrSlony <entertheyoni@gmail.com>
Date:   Sun May 31 11:54:24 2015 +0200

    Japanese interface translation updated by firefly, issue 2799

commit 5fd1b42e36cc81136a1b75842888fc35898ecf99
Author: natureh.510 <natureh.510@localhost>
Date:   Fri May 29 01:31:17 2015 +0200

    Solving issue 2794: "Tone curves" ; The weighted standard could not be read from pp3 file...

commit 345ad8bf8c7e7fa8a5b528da284568dad76b6d02
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Fri May 29 01:06:34 2015 +0200

    Crash on Win64 when embedded jpeg thumb is corrupted, Issue 2795

commit d0af3d29b8ca5933c3e1aef12a7940b92629f474
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Fri May 29 00:53:05 2015 +0200

    Open editor for highlighted image in filmstrip and file browser with enter key, Issue 2791

commit f2d144c602d7fec82f7ed041591762d3ca23f4b7
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Thu May 28 19:45:43 2015 +0200

    Preferences dialog shows wrong GIMP (Wimdows) and PS (Windows and Apple) directory after restart, Issue 2793

commit 81bac14133c8a9aed26b07a1e008fb81235d1118
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Wed May 27 16:45:05 2015 +0200

    P45 IIQ issues, Issue 2792

commit 09cbdb8936ae604e2c56e4e344aa0f3c3886db65
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Tue May 26 21:40:37 2015 +0200

    Use sRGB for jpg files containing a non RGB profile, no Issue

commit b192a7f012a036f3c84e8c59450272c872bd57a1
Author: Hombre <natureh.510@localhost>
Date:   Tue May 26 21:03:01 2015 +0200

    Setting the default thumbnail size to 250px, to save quite a lot of disck space (for fresh install)

commit 2055fb27d4cd81097744bbee2dc43dfa148a3529
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Mon May 25 20:07:30 2015 +0200

    Save recent folders in options file, Issue 2790

commit 3ce41917892dc242817665c44ecc26840b47d561
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Mon May 25 19:55:59 2015 +0200

    g-key-file-error-quark occures rather often and freezes RT, Issue 807

commit d67806348437e89d676d5f9cc34cba5338d20f64
Author: Ingo <heckflosse@i-weyrich.de>
Date:   Mon May 25 19:34:01 2015 +0200

